# created with git log --stat=76 -M -C -500|fmt -sct -w80

commit 4ea1941841189fc119e6640f50516c8267c0c895
Merge: 6554e52f 813dd473
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Thu Oct 29 20:21:16 2020 +0100

    Merge branch 'icewm-1-4-BRANCH'

commit 813dd4736a185b740a0e0db134ead9fada9c0412
Merge: 31304553 d1e7a8f8
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Thu Oct 29 20:16:25 2020 +0100

    Merge remote-tracking branch 'upstream/icewm-1-4-BRANCH' into
    icewm-1-4-BRANCH

commit d1e7a8f863e61ac2444e5e1e2e22ccf7ae20ac94
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Thu Oct 29 18:50:24 2020 +0100

    make update-po

 po/ar.po     | 426 +++++++++++++++++++++++++++---------------------------
 po/be.po     | 428 +++++++++++++++++++++++++++---------------------------
 po/bg.po     | 426 +++++++++++++++++++++++++++---------------------------
 po/ca.po     | 430 +++++++++++++++++++++++++++---------------------------
 po/cs.po     | 430 +++++++++++++++++++++++++++---------------------------
 po/da.po     | 426 +++++++++++++++++++++++++++---------------------------
 po/de.po     | 426 +++++++++++++++++++++++++++---------------------------
 po/el.po     | 426 +++++++++++++++++++++++++++---------------------------
 po/en.po     | 423 +++++++++++++++++++++++++++--------------------------
 po/es.po     | 426 +++++++++++++++++++++++++++---------------------------
 po/fi.po     | 426 +++++++++++++++++++++++++++---------------------------
 po/fr.po     | 426 +++++++++++++++++++++++++++---------------------------
 po/he.po     | 426 +++++++++++++++++++++++++++---------------------------
 po/hr.po     | 426 +++++++++++++++++++++++++++---------------------------
 po/hu.po     | 428 +++++++++++++++++++++++++++---------------------------
 po/icewm.pot | 425 +++++++++++++++++++++++++++---------------------------
 po/id.po     | 426 +++++++++++++++++++++++++++---------------------------
 po/it.po     | 426 +++++++++++++++++++++++++++---------------------------
 po/ja.po     | 433 +++++++++++++++++++++++++++----------------------------
 po/ko.po     | 426 +++++++++++++++++++++++++++---------------------------
 po/lt.po     | 426 +++++++++++++++++++++++++++---------------------------
 po/lv.po     | 426 +++++++++++++++++++++++++++---------------------------
 po/mk.po     | 426 +++++++++++++++++++++++++++---------------------------
 po/nb.po     | 426 +++++++++++++++++++++++++++---------------------------
 po/nl.po     | 430 +++++++++++++++++++++++++++---------------------------
 po/no.po     | 426 +++++++++++++++++++++++++++---------------------------
 po/pl.po     | 426 +++++++++++++++++++++++++++---------------------------
 po/pt.po     | 426 +++++++++++++++++++++++++++---------------------------
 po/pt_BR.po  | 426 +++++++++++++++++++++++++++---------------------------
 po/ro.po     | 426 +++++++++++++++++++++++++++---------------------------
 po/ru.po     | 426 +++++++++++++++++++++++++++---------------------------
 po/sk.po     | 430 +++++++++++++++++++++++++++---------------------------
 po/sl.po     | 426 +++++++++++++++++++++++++++---------------------------
 po/sv.po     | 426 +++++++++++++++++++++++++++---------------------------
 po/tr.po     | 426 +++++++++++++++++++++++++++---------------------------
 po/uk.po     | 426 +++++++++++++++++++++++++++---------------------------
 po/vi.po     | 426 +++++++++++++++++++++++++++---------------------------
 po/zh_CN.po  | 426 +++++++++++++++++++++++++++---------------------------
 po/zh_TW.po  | 426 +++++++++++++++++++++++++++---------------------------
 39 files changed, 8277 insertions(+), 8360 deletions(-)

commit db669d4d38f6857d353ed1707225d3a81fb41fb0
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Thu Oct 29 18:49:34 2020 +0100

    Use default parameter of unmanage.

 src/wmmgr.cc | 10 +++-------
 1 file changed, 3 insertions(+), 7 deletions(-)

commit f34de0340657c371ff71fb0e477e28865bc80922
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Wed Oct 28 23:58:58 2020 +0100

    Prevent a frame without a client.

 src/wmframe.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit d5fb8a22d5bd67d3c4872aa6867723c5ca5a7cb0
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Tue Oct 27 12:38:22 2020 +0100

    Improve meaning of taskbar edge trigger timer.

 src/wmtaskbar.cc | 59 +++++++++++++++++++++-------------------------------
 src/wmtaskbar.h  | 16 +++++++-------
 2 files changed, 31 insertions(+), 44 deletions(-)

commit a4f6c7642c4520663e99884821be33952bf4c7b0
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Tue Oct 27 12:38:22 2020 +0100

    Use accessors. Fix for Xmgrace in #506. Simplify manageClient.

 src/decorate.cc |  8 +++----
 src/wmframe.cc  | 66 ++++++++++++++++++++++-------------------------------
 src/wmmgr.cc    | 32 ++++++++++----------------
 src/wmmgr.h     |  2 +-
 4 files changed, 44 insertions(+), 64 deletions(-)

commit 98e27dc1095deefd51bc11badfba51cb51119716
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Tue Oct 27 09:08:19 2020 +0100

    Revert "Stop overpainting clock every second when not needed"
    Because it causes valgrind errors like:
    "Conditional jump or move depends on uninitialised value(s)".
    It also changes lines for which there is no justification to change
    them.
    This reverts commit 54f8e02959e73f5a7fce7ab6a84a45943bd46a90.

 src/aclock.cc | 13 +++----------
 src/aclock.h  |  2 +-
 2 files changed, 4 insertions(+), 11 deletions(-)

commit 6161c2a4ef9dcb214c66103b7591345c4e177b23
Author: Eduard Bloch <blade@debian.org>
Date:   Sun Oct 25 17:24:15 2020 +0100

    Simplify basename extraction

 src/yicon.cc | 13 +++++--------
 1 file changed, 5 insertions(+), 8 deletions(-)

commit 3994ab4d3097c9b4d65e66230ab45d0901dd33c0
Author: Eduard Bloch <blade@debian.org>
Date:   Sun Oct 25 16:42:48 2020 +0100

    Apply icon theme blacklisting also to private dirs

    Previously the theme's icons folders were always considered. Now user
    has a way to use everything from a Theme but not the icons.

    Also stop stat'ing on image files (while looking for folders) and
    simplify logics.

 src/yicon.cc | 36 +++++++++++++++++++++++++-----------
 1 file changed, 25 insertions(+), 11 deletions(-)

commit b617ba5c72d6bed3c251dd6f35076340e940aad2
Author: Eduard Bloch <blade@debian.org>
Date:   Fri Oct 23 21:30:36 2020 +0200

    More use of unicode ellipsis

    Also obey 80char limit

 src/wmprog.cc | 10 ++++++----
 1 file changed, 6 insertions(+), 4 deletions(-)

commit 9b9d3f15d428358b40419bcd9aac8edc55c344d9
Author: Panwar <caspian7pena@gmail.com>
Date:   Thu Oct 22 06:19:30 2020 +0000

    Translated using Weblate (Hindi)

    Currently translated at 25.1% (85 of 338 strings)

 po/hi.po | 181 +++++++++++++++++++++++++++++++++--------------------------
 1 file changed, 100 insertions(+), 81 deletions(-)

commit 54a7a4636b61cf2d0fa531b70750d095a307a25a
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Tue Oct 20 21:53:21 2020 +0200

    Record and size resizes when fullscreen to saved size hints.
    Permit size hints width_inc and height_inc to be zero to disable
    maximization.

 src/movesize.cc |  8 ++++----
 src/wmclient.cc | 20 +++++++++++---------
 src/wmclient.h  |  5 ++---
 src/wmframe.cc  | 44 +++++++++++++++++++++++++++-----------------
 src/wmstatus.cc |  8 ++++----
 5 files changed, 48 insertions(+), 37 deletions(-)

commit d28cc0f78f1345341b2f648f5cb3cefa60c17660
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Tue Oct 20 03:39:41 2020 +0200

    Prefer actionPerformed on window key bindings.

 src/movesize.cc | 28 ++++++++++++++--------------
 1 file changed, 14 insertions(+), 14 deletions(-)

commit 6019c009432a2e0492ccadef4e18e6b77181293d
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Tue Oct 20 03:34:52 2020 +0200

    Workaround for non-standard behavior of xnec2c in issue #503. Simplify
    mapClient.

 src/wmmgr.cc | 19 ++++++++++---------
 src/wmmgr.h  |  2 +-
 2 files changed, 11 insertions(+), 10 deletions(-)

commit d0e89b871c6ef9ec9e8e3208c70eeec671bf72ee
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Tue Oct 20 03:34:52 2020 +0200

    Prefer actionPerformed on window key bindings.

 src/wmframe.h | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 4d773126f0b5c0fb0ef660f2f3c900146269118d
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Tue Oct 20 03:34:52 2020 +0200

    In progpath insist on a regular file.

 src/misc.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit f42be943502cde42a17aa4dd3e0c09dfc90d245f
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Tue Oct 20 03:34:52 2020 +0200

    Update logevents.

 src/logevent.cc | 41 +++++++++++++++++++++--------------------
 1 file changed, 21 insertions(+), 20 deletions(-)

commit 1d267d8ce688d4ef54422935e2816da014bbc0c2
Merge: 12835c47 bbe4d854
Author: Eduard Bloch <blade@debian.org>
Date:   Wed Oct 14 20:46:05 2020 +0200

    Merge remote-tracking branch 'bbidulock/icewm-1-4-BRANCH' into
    icewm-1-4-BRANCH

    Including override flag change.

commit bbe4d854084d4526309ee1e5d0557d22320dd4bc
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Oct 12 23:53:29 2020 +0200

    Fix compilation warnings. Fix iteration errors.

 src/yfontxft.cc | 10 +++++-----
 1 file changed, 5 insertions(+), 5 deletions(-)

commit 7825d1b95168e299ddf6181a60d12a48fd06183c
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Oct 12 23:43:13 2020 +0200

    Simplify introductions.

 man/icewm-session.pod | 19 +++++++++----------
 man/icewm.pod         | 42 ++++++++++++++++++++++--------------------
 2 files changed, 31 insertions(+), 30 deletions(-)

commit 9ee0cc301d98be79c1479ab897b19e4a1167cfd6
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Oct 12 23:42:33 2020 +0200

    Optimize loading of configuration.

 src/icesm.cc    |   4 +-
 src/icetray.cc  |  15 +---
 src/icewmbg.cc  |  14 +---
 src/wmapp.cc    | 135 ++++++++++++------------------------
 src/wmapp.h     |  17 +++--
 src/wmconfig.cc |  45 ++++++------
 src/wmconfig.h  |   9 ++-
 src/wmframe.cc  |   5 --
 src/wmmgr.cc    |   6 +-
 src/wmprog.cc   |   2 +-
 src/yconfig.cc  | 192 +++++++++++++++++++++++++++++-----------------------
 src/yconfig.h   |  81 +++++++++++++---------
 src/ykey.h      |   6 +-
 src/ypixmap.h   |   8 ++-
 src/yprefs.h    |   5 +-
 src/yxapp.cc    |   1 +
 src/yxtray.cc   |   1 +
 17 files changed, 261 insertions(+), 285 deletions(-)

commit 12835c47db05341be6bd8a60af39d42a855c78c9
Author: Eduard Bloch <blade@debian.org>
Date:   Mon Oct 12 19:54:41 2020 +0200

    Set override flags consistently in YXftFont

 src/yfontxft.cc | 18 +++++++++---------
 1 file changed, 9 insertions(+), 9 deletions(-)

commit 54f8e02959e73f5a7fce7ab6a84a45943bd46a90
Author: Eduard Bloch <blade@debian.org>
Date:   Fri Oct 9 11:47:16 2020 +0200

    Stop overpainting clock every second when not needed

    Also deobfuscate code.

 src/aclock.cc | 13 ++++++++++---
 src/aclock.h  |  2 +-
 2 files changed, 11 insertions(+), 4 deletions(-)

commit 9e1e48cb9dd2e98a2adf6dfae630cb50b82dc9d6
Author: Eduard Bloch <blade@debian.org>
Date:   Fri Oct 9 01:10:37 2020 +0200

    Revival of Unicode Ellipsis integration

    This time extra conservative, only using when the font set supports it
    for sure.

    Also extending docs for issue #500 and align with default setting.

 doc/icewm.adoc  |  4 ++--
 src/default.h   |  2 +-
 src/themes.cc   |  7 ++++++-
 src/wmprog.cc   | 15 +++++++++++++--
 src/yfontxft.cc | 11 +++++++++++
 src/ypaint.cc   | 36 +++++++++++++++++++++---------------
 src/ypaint.h    |  1 +
 7 files changed, 55 insertions(+), 21 deletions(-)

commit 71477c44f6d92269946c590b370c89872dec1766
Author: Eduard Bloch <blade@debian.org>
Date:   Thu Oct 8 12:57:48 2020 +0200

    Improve Graphics::drawStringEllipsis

    Make the function readable, and consider multibyte whitespace

    For issue #500

 src/ypaint.cc | 105 +++++++++++++++++++++++++++++-------------------------
 1 file changed, 56 insertions(+), 49 deletions(-)

commit 97147d090b91f83f9825740a5b0333c64fa29dc5
Author: Hugo Carvalho <hugokarvalho@hotmail.com>
Date:   Thu Oct 8 11:29:50 2020 +0000

    Translated using Weblate (Portuguese)

    Currently translated at 100.0% (470 of 470 strings)

 po/pt.po | 10 ++++++++--
 1 file changed, 8 insertions(+), 2 deletions(-)

commit 54bd0aad87c72139ddb3439d0930bd292d874469
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Oct 4 11:05:29 2020 +0200

    Handle requests for layer changes via actionPerformed to improve
    consistency.

 src/wmclient.cc | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit aaad915113136354eb1eb8a36d3f0628605fcdf8
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Oct 4 11:05:17 2020 +0200

    Fixes for TaskBarAutoHide for #499. Don't hide when taskbar is collapsed.

 src/wmtaskbar.cc | 58 +++++++++++++++++++++++++++-------------------------
 src/wmtaskbar.h  |  7 +++----
 2 files changed, 33 insertions(+), 32 deletions(-)

commit 6744c6624dcb8cf338256b96c991a14f279d4b9c
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Tue Sep 29 23:33:54 2020 +0200

    Eliminate some preprocessor checks.

 configure.ac          | 3 +--
 src/CMakeLists.txt    | 5 -----
 src/acpustatus.cc     | 2 --
 src/config.cmake.h.in | 5 -----
 src/icehelp.cc        | 2 --
 src/icesound.cc       | 6 ------
 src/misc.cc           | 9 ---------
 7 files changed, 1 insertion(+), 31 deletions(-)

commit 1da37b2750c45a300d2740dee30f8300910e93e0
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Tue Sep 29 23:33:54 2020 +0200

    Fix requests switching between different maximizations. Move
    _NET_RESTACK_WINDOW request to its dedicated function.

 src/wmclient.cc | 31 +++++++++++++++++++------------
 src/wmframe.cc  | 37 ++++++++++++++++++++++++-------------
 src/wmframe.h   |  1 +
 3 files changed, 44 insertions(+), 25 deletions(-)

commit d070d9e5f270e4a8e7d4541deaa2ee773780c259
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Tue Sep 29 23:33:54 2020 +0200

    Assume the _NET_RESTACK_WINDOW support from 1.8.3.

 src/icesh.cc | 14 +++-----------
 1 file changed, 3 insertions(+), 11 deletions(-)

commit 9ee889eb664aabd1c5a330c818386e4e1ef4459a
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Tue Sep 29 07:59:01 2020 +0200

    Add missing spaces.

 src/aapm.cc        | 10 +++++-----
 src/acpustatus.cc  | 12 ++++++------
 src/globit.c       |  4 ++--
 src/wmprog.cc      |  4 ++--
 src/wmswitch.cc    | 14 +++++++-------
 src/wmswitch.h     |  2 +-
 src/ycollections.h | 16 ++++++++--------
 src/yinput.cc      |  2 +-
 src/ypointer.h     |  2 +-
 9 files changed, 33 insertions(+), 33 deletions(-)

commit e37995e9f4dc9c7d03682f5ea5badd4cae16258f
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Tue Sep 29 07:45:05 2020 +0200

    Set check flag for AllWorkspaces.

 src/wmwinlist.cc | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit 31e198869af152da0b0b5b2f930fddf340b6b38f
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Tue Sep 29 07:45:05 2020 +0200

    Use isAllWorkspaces instead of isSticky, because the latter was unused
    by icewm.

 src/wmswitch.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit f18365c50642aa67199a1c45de2fa092c0ab3a01
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Tue Sep 29 07:45:05 2020 +0200

    Prefer to handle client message requests via actionPerformed for
    consistency. Make AllWorkspaces consistent with Sticky.

 src/wmclient.cc | 129 +++++++++++++++++++++++++++++++++++++---------------
 src/wmclient.h  |   1 +
 src/wmframe.cc  |  36 +++++++--------
 3 files changed, 111 insertions(+), 55 deletions(-)

commit 851c8f1b84224dd71946a2ac7d951fa357c07407
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Tue Sep 29 07:45:05 2020 +0200

    Typo

 src/logevent.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit bd020810afd4aa709849248bd70fdb896c0aab68
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Tue Sep 29 07:45:05 2020 +0200

    More succinct.

 src/icesh.cc | 85 +++++++++++++++++++-------------------------------------
 1 file changed, 28 insertions(+), 57 deletions(-)

commit 70a828f50146142f77c49941260b50d4d70b866c
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Sep 28 00:50:46 2020 +0200

    Add sticky, unsticky, borderless, bordered.

 man/icesh.pod         | 36 ++++++++++++++++-------
 man/icewm-startup.pod | 16 ++++++++--
 src/icesh.cc          | 75 +++++++++++++++++++++++++++++++++++++++++++++--
 3 files changed, 112 insertions(+), 15 deletions(-)

commit 3ca0bc7b8414798ff498cbec170b973bcdc17026
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Sep 28 00:50:46 2020 +0200

    Several fixes for correct PagerShowPreview updates for #496. Fix desktop
    mini icon for fullscreen windows. Allow at most one of fullscreen or
    maximized. Allow at most one of rollup, minimized, hidden. Don't activate
    fullscreen window on startup when it is unmapped. Handle _NET_WM_STATE
    change requests via the frame wm functions.

 src/decorate.cc  |  14 +++--
 src/wmclient.cc  | 111 ++++++++++++++++++++++++++++-----
 src/wmclient.h   |   1 +
 src/wmframe.cc   | 169 ++++++++++++++++++++++++---------------------------
 src/wmframe.h    |   8 ++-
 src/wmmgr.cc     |  32 ++++------
 src/wmtaskbar.cc |   9 ++-
 src/wmtaskbar.h  |   2 +-
 8 files changed, 214 insertions(+), 132 deletions(-)

commit 7ebb593db79738a143af9199d473feba2132233f
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Sep 28 00:50:46 2020 +0200

    Check only one menu entry for fullscreen or maximized. Fix minimize check.

 src/wmwinlist.cc | 10 +++++-----
 1 file changed, 5 insertions(+), 5 deletions(-)

commit e19d99e63d107c4001b8eb3048ed10a083191b53
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Sep 28 00:50:46 2020 +0200

    Add pseudo state WinStateUnmapped

 src/WinMgr.h | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 882a1b1851835e1fd05c80aa9c296d1f0e438b83
Author: Kukuh Syafaat <syafaatkukuh@gmail.com>
Date:   Sat Sep 26 04:22:52 2020 +0000

    Translated using Weblate (Indonesian)

    Currently translated at 100.0% (470 of 470 strings)

 po/id.po | 10 ++++++++--
 1 file changed, 8 insertions(+), 2 deletions(-)

commit 01ce65095342f259ca3f88e4f2fcdea265e81ade
Author: Eduard Bloch <blade@debian.org>
Date:   Fri Sep 25 20:12:14 2020 +0200

    Work around compiler warnings on PowerPC

 src/apppstatus.cc |  2 +-
 src/wmframe.cc    |  6 +++---
 src/wmmgr.h       |  4 ++--
 src/ycolor.cc     | 20 ++++++++++++--------
 4 files changed, 18 insertions(+), 14 deletions(-)

commit 4e6e4edaed92263517a9d1d0acde33738fb6232b
Author: Freek de Kruijf <freek@opensuse.org>
Date:   Wed Sep 23 21:30:05 2020 +0000

    Translated using Weblate (Dutch)

    Currently translated at 100.0% (470 of 470 strings)

 po/nl.po | 12 +++++++++---
 1 file changed, 9 insertions(+), 3 deletions(-)

commit c570a6fcd1de5d9f621a593fa9b0c4211ab47824
Author: Aleš Kastner <alkas@volny.cz>
Date:   Wed Sep 23 20:38:36 2020 +0000

    Translated using Weblate (Czech)

    Currently translated at 100.0% (470 of 470 strings)

 po/cs.po | 13 ++++++++++---
 1 file changed, 10 insertions(+), 3 deletions(-)

commit d713d625c76390899494a0813d33509099793202
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Thu Sep 24 01:18:16 2020 +0200

    Improved response to changes in Motif hint property which avoids resizing
    client when border toggles.

 src/wmframe.cc | 22 +++++-----------------
 src/wmframe.h  |  8 ++++----
 2 files changed, 9 insertions(+), 21 deletions(-)

commit 9cac358fe5d2bfa02f24ad0f3cd090a671aabe22
Author: Ferdinand Galko <galko.ferdinand@gmail.com>
Date:   Wed Sep 23 17:47:36 2020 +0000

    Translated using Weblate (Slovak)

    Currently translated at 100.0% (470 of 470 strings)

 po/sk.po | 13 ++++++++++---
 1 file changed, 10 insertions(+), 3 deletions(-)

commit ad5319222cea64fb0b919098efb4b455102ba950
Author: Luiz Fernando Ranghetti <elchevive68@gmail.com>
Date:   Wed Sep 23 17:27:24 2020 +0000

    Translated using Weblate (Portuguese (Brazil))

    Currently translated at 100.0% (470 of 470 strings)

 po/pt_BR.po | 11 +++++++++--
 1 file changed, 9 insertions(+), 2 deletions(-)

commit d5823914dfabaead71fc6c6f90913cefdd5e2ba5
Author: Yasuhiko Kamata <belphegor@belbel.or.jp>
Date:   Wed Sep 23 08:55:26 2020 +0000

    Translated using Weblate (Japanese)

    Currently translated at 100.0% (470 of 470 strings)

 po/ja.po | 12 +++++++++---
 1 file changed, 9 insertions(+), 3 deletions(-)

commit 2f6105fa21caeb67058544f02be1e339d56b0503
Author: David Medina <medipas@gmail.com>
Date:   Wed Sep 23 07:03:12 2020 +0000

    Translated using Weblate (Catalan)

    Currently translated at 100.0% (470 of 470 strings)

 po/ca.po | 13 ++++++++++---
 1 file changed, 10 insertions(+), 3 deletions(-)

commit 3590cf055c36b513bde2fbcfeeea19b3b7149a86
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Wed Sep 23 01:30:10 2020 +0200

    Benefit from iterable YProperty.

 src/yxtray.cc | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit b7857f2f32cb474680a9d1df26eae0cd743b0669
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Wed Sep 23 01:19:06 2020 +0200

    make update-po

 po/ar.po     | 146 +++++++++++++++++++++++++++++-------------------------
 po/be.po     | 146 +++++++++++++++++++++++++++++-------------------------
 po/bg.po     | 146 +++++++++++++++++++++++++++++-------------------------
 po/ca.po     | 146 +++++++++++++++++++++++++++++-------------------------
 po/cs.po     | 146 +++++++++++++++++++++++++++++-------------------------
 po/da.po     | 146 +++++++++++++++++++++++++++++-------------------------
 po/de.po     | 146 +++++++++++++++++++++++++++++-------------------------
 po/el.po     | 146 +++++++++++++++++++++++++++++-------------------------
 po/en.po     | 146 +++++++++++++++++++++++++++++-------------------------
 po/es.po     | 146 +++++++++++++++++++++++++++++-------------------------
 po/fi.po     | 146 +++++++++++++++++++++++++++++-------------------------
 po/fr.po     | 146 +++++++++++++++++++++++++++++-------------------------
 po/he.po     | 146 +++++++++++++++++++++++++++++-------------------------
 po/hr.po     | 146 +++++++++++++++++++++++++++++-------------------------
 po/hu.po     | 146 +++++++++++++++++++++++++++++-------------------------
 po/icewm.pot | 148 +++++++++++++++++++++++++++++--------------------------
 po/id.po     | 146 +++++++++++++++++++++++++++++-------------------------
 po/it.po     | 146 +++++++++++++++++++++++++++++-------------------------
 po/ja.po     | 146 +++++++++++++++++++++++++++++-------------------------
 po/ko.po     | 146 +++++++++++++++++++++++++++++-------------------------
 po/lt.po     | 146 +++++++++++++++++++++++++++++-------------------------
 po/lv.po     | 146 +++++++++++++++++++++++++++++-------------------------
 po/mk.po     | 146 +++++++++++++++++++++++++++++-------------------------
 po/nb.po     | 146 +++++++++++++++++++++++++++++-------------------------
 po/nl.po     | 146 +++++++++++++++++++++++++++++-------------------------
 po/no.po     | 146 +++++++++++++++++++++++++++++-------------------------
 po/pl.po     | 146 +++++++++++++++++++++++++++++-------------------------
 po/pt.po     | 146 +++++++++++++++++++++++++++++-------------------------
 po/pt_BR.po  | 146 +++++++++++++++++++++++++++++-------------------------
 po/ro.po     | 146 +++++++++++++++++++++++++++++-------------------------
 po/ru.po     | 146 +++++++++++++++++++++++++++++-------------------------
 po/sk.po     | 146 +++++++++++++++++++++++++++++-------------------------
 po/sl.po     | 146 +++++++++++++++++++++++++++++-------------------------
 po/sv.po     | 146 +++++++++++++++++++++++++++++-------------------------
 po/tr.po     | 146 +++++++++++++++++++++++++++++-------------------------
 po/uk.po     | 146 +++++++++++++++++++++++++++++-------------------------
 po/vi.po     | 146 +++++++++++++++++++++++++++++-------------------------
 po/zh_CN.po  | 146 +++++++++++++++++++++++++++++-------------------------
 po/zh_TW.po  | 146 +++++++++++++++++++++++++++++-------------------------
 39 files changed, 3043 insertions(+), 2653 deletions(-)

commit 365f66b6eccda780664d12c4f1ba40d0d561bc28
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Wed Sep 23 01:15:11 2020 +0200

    Simplify and reduce LOC. Optimize frame doManage to eliminate a call to
    updateMwmHints. In updateMwmHints try without configureClient. Add
    FULLSCREEN to _NET_WM_ACTIONs. Benefit from iterable YProperty.

 src/decorate.cc |  37 +------------------
 src/movesize.cc |   6 +--
 src/wmclient.cc |  66 +++++++++++++++------------------
 src/wmclient.h  |  21 ++++++++++-
 src/wmframe.cc  | 103 +++++++++++-----------------------------------------
 src/wmframe.h   |  53 +++++++++------------------
 6 files changed, 90 insertions(+), 196 deletions(-)

commit 2f543d5dbf0ccebe345026644e20a4bd8eca68f7
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Wed Sep 23 00:59:37 2020 +0200

    Make YProperty iterable.

 src/yxapp.h | 3 +++
 1 file changed, 3 insertions(+)

commit eeba081b0c399a0b1d848c23c8976e8b5be8b9dc
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Wed Sep 23 00:59:05 2020 +0200

    Avoid compiler warning for chdir.

 src/icesm.cc | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 912722e2192bbd1d9e559b95c8537bb357f84789
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Wed Sep 23 00:57:56 2020 +0200

    Print property details for WM_STATE and _WIN_STATE.  Show Fullscreen
    in symbols.

 src/icesh.cc | 52 +++++++++++++++++++++++++++++++++++++++++++++++++++-
 1 file changed, 51 insertions(+), 1 deletion(-)

commit b0ecf6297ac86303b868c9f53e86d7b54a353736
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Wed Sep 23 00:56:29 2020 +0200

    Workaround for the MWM ALL hack.

 src/MwmUtil.h | 10 ++++++----
 1 file changed, 6 insertions(+), 4 deletions(-)

commit 4057d2003e72ebbad178eb03403e80e83b14f69a
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Sep 20 23:59:32 2020 +0200

    Restore Motif hints functionality.

 src/decorate.cc | 15 +++++++--------
 src/wmbutton.cc | 10 +++++++---
 src/wmbutton.h  |  1 +
 src/wmframe.cc  | 39 +++++++++++++++++++++------------------
 src/wmtitle.cc  | 16 ++++++++++++----
 src/wmtitle.h   |  1 +
 6 files changed, 49 insertions(+), 33 deletions(-)

commit cd55ad5f463c0de90814f2e918b3b5e5b5431093
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Sep 20 23:56:12 2020 +0200

    Help on debugging options.

 src/icesm.cc | 14 +++++++++++++-
 1 file changed, 13 insertions(+), 1 deletion(-)

commit a0587274f81d6277aea33f32d01b0eb42afb3cd0
Author: Eduard Bloch <blade@debian.org>
Date:   Sun Sep 20 19:30:23 2020 +0200

    Compacting the network colleting classes even further

    Moved boilerplate into code file, keep only relevant interface in
    header.

 src/apppstatus.cc | 41 +++++++++++++++++++++++++++++++++++++++--
 src/apppstatus.h  | 43 +++----------------------------------------
 2 files changed, 42 insertions(+), 42 deletions(-)

commit ecc1f9791b66edb876bb0dad569d11f1e8612302
Author: Eduard Bloch <blade@debian.org>
Date:   Sun Sep 20 01:04:41 2020 +0200

    Drop extra functionality for ISDN status display

    ISDN is considered EOLed in 2020. Actually out of service except for
    some private operators, where the only extra functionality of icewm
    (dial-up number display) is probably irrelevant.

 src/apppstatus.cc | 48 +-----------------------------------------------
 src/apppstatus.h  | 10 ----------
 2 files changed, 1 insertion(+), 57 deletions(-)

commit 9ca88551801c30247928772eb32fac1aecb6470e
Author: Eduard Bloch <blade@debian.org>
Date:   Sun Sep 20 00:08:01 2020 +0200

    Inline an external data fetching function

    Making an outer function here does not make much sense.

 src/apppstatus.cc | 74 +++++++++++++++++++++------------------------------
 src/apppstatus.h  | 13 ---------
 src/wmtaskbar.cc  |  6 ++---
 3 files changed, 34 insertions(+), 59 deletions(-)

commit d9464ab7278c68b4dee9895282662e9fc5b3f641
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Sep 20 10:09:53 2020 +0200

    Add missing getProtocols to message dialog to fix issue #494.

 src/ymsgbox.cc | 1 +
 1 file changed, 1 insertion(+)

commit b5933ab362d587981c7fa4b854932bb6e6faa59e
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Sep 20 09:55:33 2020 +0200

    Always send one synthetic ConfigureNotify on initial window map for
    issue #492.
    Remove resize indicators when unneeded. Reduce redraws in title bar.
    Support incomplete _MOTIF_WM_HINTS property for mlterm.

 src/decorate.cc    | 69 ++++++++++++++++++++------------------------------
 src/wmclient.cc    | 25 ++++++++----------
 src/wmclient.h     |  4 +--
 src/wmcontainer.cc |  5 ++--
 src/wmframe.cc     | 58 +++++++++++++++---------------------------
 src/wmframe.h      | 10 ++++----
 src/wmmgr.cc       | 10 +++-----
 src/wmtitle.cc     |  2 ++
 8 files changed, 73 insertions(+), 110 deletions(-)

commit c2f7051fcbc0a52d2f2b9423a3efa50ea9c695b1
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Sep 20 09:54:37 2020 +0200

    Only test subwindow if indicators are created.

 src/movesize.cc | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit b662f170e0f0faaced94587bce624146f63f548b
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Sep 20 09:52:35 2020 +0200

    Add setType and getType to icesh for _NET_WM_WINDOW_TYPE.

 src/icesh.cc | 63 ++++++++++++++++++++++++++++++++++++++++++++++++++++++--
 1 file changed, 61 insertions(+), 2 deletions(-)

commit 103bd6576eb13bef10b0260d071a8ca50347f191
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Sep 20 09:50:39 2020 +0200

    Add --valgrind and --catchsegv options to icewm-session for debugging.

 src/icesm.cc | 28 ++++++++++++++++++++++++----
 1 file changed, 24 insertions(+), 4 deletions(-)

commit 8245982f9879265918d0ff1279c1f04729fcc0fb
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Sep 20 09:48:19 2020 +0200

    Allow 'Above' as a synonym for 'OnTop'.

 src/wmoption.cc | 1 +
 1 file changed, 1 insertion(+)

commit 43d5bfa2eec20aed85a227bfad4aa6062ea2273a
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Sep 20 09:47:43 2020 +0200

    Don't reconfigure the taskbar if unnecessary.

 src/wmtaskbar.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit d4a330a27b3d6855e28838b861f4dd2eea1cdf5d
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Sep 20 02:04:50 2020 +0200

    Properly handle name lookup failure for mailboxes for issue #493.

 src/amailbox.cc | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

commit b83f0c764b53737e7cc8e110a9471893f4d959c6
Author: Eduard Bloch <blade@debian.org>
Date:   Sat Sep 19 19:17:55 2020 +0200

    Also drop the menu category from session description

    There seems to be no evidence for a requirement of this anywhere, also
    there is apparently no officially specified category "WindowManagers".

    Also fix typo in Name[de].

 lib/icewm-session.desktop | 3 +--
 1 file changed, 1 insertion(+), 2 deletions(-)

commit acd63c59fc54fee84025dd4c297089a563e87b5c
Author: Eduard Bloch <blade@debian.org>
Date:   Sat Sep 19 17:44:36 2020 +0200

    Fix invalid application type

    Also added German & Russian translations

 lib/icewm-session.desktop | 7 ++++++-
 1 file changed, 6 insertions(+), 1 deletion(-)

commit 93bdaea51f8ca8f07c7700f2a99cf320585fe9c1
Author: Eduard Bloch <blade@debian.org>
Date:   Sat Sep 19 17:51:43 2020 +0200

    Add recent icons to AM

 lib/Makefile.am | 8 ++++++++
 1 file changed, 8 insertions(+)

commit 78507a6d0a4970353f4d77cde7a8033b82b793a5
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Thu Sep 17 21:30:28 2020 +0200

    Update to 1.8.3

 AUTHORS      |   35 +-
 ChangeLog    | 8544 +++++++++++++++++++++++++++---------------------------
 NEWS         |  Bin 29248 -> 34262 bytes
 README.md    |    4 +-
 RELEASE.md   |    2 +-
 VERSION      |    2 +-
 configure.ac |   10 +-
 7 files changed, 4262 insertions(+), 4335 deletions(-)

commit 6554e52fb991ffa5a4f9bcc0d3a1bd219b310e63
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Thu Sep 17 02:08:26 2020 +0200

    Prepare 1.8.3 release bis

 AUTHORS      |   2 +-
 ChangeLog    | 122 +++++++++++++++++++++++++++++++++++--------------------
 NEWS         |  11 +++--
 README.md    |   2 +-
 configure.ac |   4 +-
 5 files changed, 90 insertions(+), 51 deletions(-)

commit 6bc8d04acb290f764994ad56709aa59becccc7b9
Merge: 57a0569a 31304553
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Thu Sep 17 02:03:11 2020 +0200

    Merge branch 'icewm-1-4-BRANCH'

commit 31304553f5870c6d50b6941347efc23acb1876e1
Merge: 0bb305af 5cceaaaa
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Thu Sep 17 01:59:18 2020 +0200

    Merge remote-tracking branch 'upstream/icewm-1-4-BRANCH' into
    icewm-1-4-BRANCH

commit 5cceaaaafb5d3cf09cfae996f0eb43088a0aef9b
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Thu Sep 17 01:40:49 2020 +0200

    Check if filedescriptor is valid and fix off-by-one allocation error.

 src/yfileio.cc | 18 ++++++++++--------
 1 file changed, 10 insertions(+), 8 deletions(-)

commit 57a0569ae62df90f6ff2569c735f54a6601966a2
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Wed Sep 16 23:36:14 2020 +0200

    Prepare 1.8.3 release

 AUTHORS      |  19 +-
 ChangeLog    | 919 +++++++++++++++++++++++++++++--------------------------
 NEWS         | 201 +++++-------
 README.md    |  36 +--
 RELEASE.md   |   2 +-
 VERSION      |   2 +-
 configure.ac |  10 +-
 po/ar.po     |  14 +-
 po/be.po     |  14 +-
 po/bg.po     |  14 +-
 po/ca.po     |  14 +-
 po/cs.po     |  14 +-
 po/da.po     |  14 +-
 po/de.po     |  14 +-
 po/el.po     |  14 +-
 po/en.po     |  14 +-
 po/es.po     |  14 +-
 po/fi.po     |  14 +-
 po/fr.po     |  14 +-
 po/he.po     |  14 +-
 po/hr.po     |  14 +-
 po/hu.po     |  14 +-
 po/icewm.pot |  16 +-
 po/id.po     |  14 +-
 po/it.po     |  14 +-
 po/ja.po     |  14 +-
 po/ko.po     |  14 +-
 po/lt.po     |  14 +-
 po/lv.po     |  14 +-
 po/mk.po     |  14 +-
 po/nb.po     |  14 +-
 po/nl.po     |  14 +-
 po/no.po     |  14 +-
 po/pl.po     |  14 +-
 po/pt.po     |  14 +-
 po/pt_BR.po  |  14 +-
 po/ro.po     |  14 +-
 po/ru.po     |  14 +-
 po/sk.po     |  14 +-
 po/sl.po     |  14 +-
 po/sv.po     |  14 +-
 po/tr.po     |  14 +-
 po/uk.po     |  14 +-
 po/vi.po     |  14 +-
 po/zh_CN.po  |  14 +-
 po/zh_TW.po  |  14 +-
 46 files changed, 884 insertions(+), 853 deletions(-)

commit 1d8e030b12a35676308e1e57e2ae1acf3dd41231
Merge: 4f3c2fc9 0bb305af
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Wed Sep 16 23:25:20 2020 +0200

    Merge branch 'icewm-1-4-BRANCH'

commit 0bb305afe4be0506fdc2c725abf8f0ef0c6c1c48
Merge: d8b6c997 8cdd5da5
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Wed Sep 16 19:32:01 2020 +0200

    Merge remote-tracking branch 'upstream/icewm-1-4-BRANCH' into
    icewm-1-4-BRANCH

commit 8cdd5da58df9dfa4224e433ee14ed6184c5c84d2
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Wed Sep 16 03:52:28 2020 +0200

    Prevent compiler warning on chdir.

 src/icesm.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 2552cf5efa2f3542a1b6900c8f8145ba23e19ce6
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Wed Sep 16 03:43:36 2020 +0200

    Use pragmas to prevent compiler complaints if LOGEVENTS.

 src/logevent.cc | 12 ++++++++++++
 1 file changed, 12 insertions(+)

commit a05d15f944da15d3f16b7edcef9d2672771a5497
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Wed Sep 16 02:21:24 2020 +0200

    Make it compile on G++ 7.5.0.

 src/wmtaskbar.cc | 17 ++++++++---------
 1 file changed, 8 insertions(+), 9 deletions(-)

commit 47503036a1b06dde9390d7b9dbad75d5f50dd9f9
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Wed Sep 16 02:04:56 2020 +0200

    Reduce number of workarea updates for taskbar.
    Only let taskbar have struts if at top or bottom of screen.
    Keep global positioning of internal clients local to clients.
    Fix for autohide taskbar not wanting to hide.
    Support TaskBarAutoHide for TaskBarKeepBelow.

 src/wmapp.cc     |  4 +---
 src/wmframe.cc   | 48 +++++++++++++++++++++++++-----------------------
 src/wmtaskbar.cc | 46 +++++++++++++++++++++++++++++++---------------
 src/wmtaskbar.h  |  2 +-
 src/ytooltip.cc  |  2 +-
 5 files changed, 59 insertions(+), 43 deletions(-)

commit e4cec2cc0d9a5912f89c82ccb8aa3e3f2758d91c
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Tue Sep 15 21:40:29 2020 +0200

    Fix tooltip positioning.

 src/ytooltip.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 1f893bc5edbec9fe0d8f75b5c2cba20c50abb3a7
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Tue Sep 15 18:27:45 2020 +0200

    Prefer tlog over printf when logging.

 src/logevent.cc | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 78e0505335f250e077e13105aa0601728baaad11
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Tue Sep 15 18:04:51 2020 +0200

    Send synthetic ConfigureNotify events for resizing only when required
    by the ICCCM specification.
    Send synthetic ConfigureNotify events for positioning whenever this is
    required by the ICCCM specification.
    Fix for EWMH restack raise requests.
    Reflect layer changes in the ABOVE and BELOW flags in the EWMH
    _NET_WM_STATE property.
    Only update the frame position when it really has changed.

 src/decorate.cc |  10 +++--
 src/wmframe.cc  | 116 ++++++++++++++++++++++------------------------------
 src/wmframe.h   |   8 ++--
 3 files changed, 61 insertions(+), 73 deletions(-)

commit f466a9cfaf68564d58dd85cd9f8db5faa2a94a1c
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Tue Sep 15 18:04:33 2020 +0200

    Check if a map request is for a mapped window.

 src/wmcontainer.cc | 12 ++++++------
 1 file changed, 6 insertions(+), 6 deletions(-)

commit 6bb621c83a8d2eee262f4e44848ed0e634defcd1
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Tue Sep 15 18:00:32 2020 +0200

    Simplify removing a frame app from the taskbar.

 src/atasks.cc    | 14 +++-----------
 src/atasks.h     |  1 -
 src/atray.cc     | 29 +++++++++++------------------
 src/atray.h      |  2 +-
 src/wmtaskbar.cc |  4 ++--
 5 files changed, 17 insertions(+), 33 deletions(-)

commit 3e8f53cdba6e25f2785789d570ca6e3f26faeeac
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Sep 13 23:24:39 2020 +0200

    make update-po

 po/ar.po     | 140 ++++++++++++++++++++++++++---------------------------
 po/be.po     | 140 ++++++++++++++++++++++++++---------------------------
 po/bg.po     | 140 ++++++++++++++++++++++++++---------------------------
 po/ca.po     | 143 +++++++++++++++++++++++++++---------------------------
 po/cs.po     | 140 ++++++++++++++++++++++++++---------------------------
 po/da.po     | 140 ++++++++++++++++++++++++++---------------------------
 po/de.po     | 143 +++++++++++++++++++++++++++---------------------------
 po/el.po     | 140 ++++++++++++++++++++++++++---------------------------
 po/en.po     | 140 ++++++++++++++++++++++++++---------------------------
 po/es.po     | 140 ++++++++++++++++++++++++++---------------------------
 po/fi.po     | 140 ++++++++++++++++++++++++++---------------------------
 po/fr.po     | 140 ++++++++++++++++++++++++++---------------------------
 po/he.po     | 140 ++++++++++++++++++++++++++---------------------------
 po/hr.po     | 140 ++++++++++++++++++++++++++---------------------------
 po/hu.po     | 140 ++++++++++++++++++++++++++---------------------------
 po/icewm.pot | 142 +++++++++++++++++++++++++++---------------------------
 po/id.po     | 143 +++++++++++++++++++++++++++---------------------------
 po/it.po     | 140 ++++++++++++++++++++++++++---------------------------
 po/ja.po     | 140 ++++++++++++++++++++++++++---------------------------
 po/ko.po     | 140 ++++++++++++++++++++++++++---------------------------
 po/lt.po     | 140 ++++++++++++++++++++++++++---------------------------
 po/lv.po     | 140 ++++++++++++++++++++++++++---------------------------
 po/mk.po     | 140 ++++++++++++++++++++++++++---------------------------
 po/nb.po     | 140 ++++++++++++++++++++++++++---------------------------
 po/nl.po     | 144 +++++++++++++++++++++++++++----------------------------
 po/no.po     | 140 ++++++++++++++++++++++++++---------------------------
 po/pl.po     | 140 ++++++++++++++++++++++++++---------------------------
 po/pt.po     |  62 ++++++++++++------------
 po/pt_BR.po  | 143 +++++++++++++++++++++++++++---------------------------
 po/ro.po     | 140 ++++++++++++++++++++++++++---------------------------
 po/ru.po     | 140 ++++++++++++++++++++++++++---------------------------
 po/sk.po     | 143 +++++++++++++++++++++++++++---------------------------
 po/sl.po     | 140 ++++++++++++++++++++++++++---------------------------
 po/sv.po     | 140 ++++++++++++++++++++++++++---------------------------
 po/tr.po     | 140 ++++++++++++++++++++++++++---------------------------
 po/uk.po     | 140 ++++++++++++++++++++++++++---------------------------
 po/vi.po     | 140 ++++++++++++++++++++++++++---------------------------
 po/zh_CN.po  | 140 ++++++++++++++++++++++++++---------------------------
 po/zh_TW.po  | 140 ++++++++++++++++++++++++++---------------------------
 39 files changed, 2694 insertions(+), 2709 deletions(-)

commit 7ecb6850cab22efde2d1eed0b2d653bfa7879388
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Sep 13 23:07:26 2020 +0200

    Add WinStateFullscreen to the visible _WIN_STATE bits.

 src/WinMgr.h | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit a5363651a3de7895f5a7e06729c4058d3c98fef8
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Sep 13 22:57:31 2020 +0200

    Simplify setState with deltaState.

 src/wmframe.cc | 37 +++++++++++++++++++------------------
 1 file changed, 19 insertions(+), 18 deletions(-)

commit c30c1c1fcadce54e8c8c9858c284666a3a986083
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Sep 13 22:34:36 2020 +0200

    Check if icon is null.

 src/ymenu.cc | 11 +++++++----
 1 file changed, 7 insertions(+), 4 deletions(-)

commit d7f1464ca56b81dadd919892499e72aa75c68b9d
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Sep 13 22:33:53 2020 +0200

    Make switch icons opaque for 32-bit visuals.

 src/wmswitch.cc | 15 +++++++++++----
 src/wmswitch.h  |  1 +
 2 files changed, 12 insertions(+), 4 deletions(-)

commit 3249d058edd6c2104c8c18d7ac10f350ccd4b17f
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Sep 13 22:32:23 2020 +0200

    Postpone taskbar app status updates until idle.

 src/wmframe.cc   | 15 ++++++++-------
 src/wmframe.h    |  1 +
 src/wmtaskbar.cc | 39 +++++++++++++++++++++------------------
 src/wmtaskbar.h  | 16 ++++++++++------
 4 files changed, 40 insertions(+), 31 deletions(-)

commit 1eae0c0749fcc352d1863a2e520ded3b770027d3
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Sep 13 22:30:59 2020 +0200

    Merge WM_WINDOW_ROLE and WINDOW_ROLE.

 src/wmclient.cc | 26 +++-----------------------
 src/wmclient.h  |  3 +--
 2 files changed, 4 insertions(+), 25 deletions(-)

commit 41e4bfda5cb4d203cc1b41e370ee46a5613861d9
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Sep 13 22:30:04 2020 +0200

    Fix -list. Add +T. Print CARDINALs as unsigned. Show Above window handle
    for ConfigureNotify.

 src/icesh.cc | 35 +++++++++++++++++++++++++++++++----
 1 file changed, 31 insertions(+), 4 deletions(-)

commit 4fab5478a6335c14943db1ab75881ff7d801633e
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Sep 13 22:27:58 2020 +0200

    Only load icon if needed.

 src/atasks.cc | 14 +++++++-------
 1 file changed, 7 insertions(+), 7 deletions(-)

commit 662905903d52f2868937e73cc4a7765e1ab85794
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sat Sep 12 01:05:35 2020 +0200

    Send just one ConfigureNotify message per resize.
    In setState first compute size and relayout before updating
    _NET_WM_STATE and _WIN_LAYER for issue #491 and
    postpone low-priority updates for different timing for GTK-menubar
    terminals.

 src/wmframe.cc | 161 +++++++++++++++++++++--------------------------------
 1 file changed, 65 insertions(+), 96 deletions(-)

commit 3a0452973dd1c81f8c07538650807e721e3883ba
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sat Sep 12 01:04:20 2020 +0200

    More succinct _NET_WM_STATE implementation.

 src/wmclient.cc | 24 ++++++++----------------
 1 file changed, 8 insertions(+), 16 deletions(-)

commit 0cfb46d98ad3ffcb9181719151dd556c64498c0f
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sat Sep 12 01:03:57 2020 +0200

    Show more detail in logConfigureRequest and logClientMessage.

 src/logevent.cc | 85 +++++++++++++++++++++++++++++++++--------------------
 1 file changed, 53 insertions(+), 32 deletions(-)

commit 5a1ae06121bc31da020a9def0b98dab3b374d165
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sat Sep 12 01:00:35 2020 +0200

    Support "toggleState Fullscreen". Show state detail for spy ClientMessage.
    Support "iconic" and "normal" commands for WM_CHANGE_STATE.

 src/icesh.cc | 58 ++++++++++++++++++++++++++++++++++++++++++--------------
 1 file changed, 44 insertions(+), 14 deletions(-)

commit 356f55d79c0ee0a02723dece90967166b981f4d8
Author: Freek de Kruijf <freek@opensuse.org>
Date:   Thu Sep 10 14:33:56 2020 +0000

    Translated using Weblate (Dutch)

    Currently translated at 100.0% (469 of 469 strings)

 po/nl.po | 36 ++++++++----------------------------
 1 file changed, 8 insertions(+), 28 deletions(-)

commit 99dff22b92b8abe6bf1cd5d62dc39fc76f2f4710
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Thu Sep 10 14:24:19 2020 +0200

    Restore the translation which was overwritten by Weblate.

 po/pt.po | 2253 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++--
 1 file changed, 2194 insertions(+), 59 deletions(-)

commit b27252e4ea4a7eb9cb9fc39b454b7f0569de7325
Author: Hugo Carvalho <hugokarvalho@hotmail.com>
Date:   Thu Sep 10 08:48:23 2020 +0000

    Translated using Weblate (Portuguese)

    Currently translated at 100.0% (84 of 84 strings)

 po/pt.po | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit bfa7a5951bb1a6d2467bcfb8720dc66485f84e1f
Author: Hugo Carvalho <hugokarvalho@hotmail.com>
Date:   Wed Sep 9 22:59:45 2020 +0000

    Translated using Weblate (Portuguese)

    Currently translated at 100.0% (84 of 84 strings)

 po/pt.po | 2207 +---------------------------------------------------------
 1 file changed, 21 insertions(+), 2186 deletions(-)

commit 78145d5b0dad7ec49e05cd4a866f19851974fc7c
Merge: d70673ea 3b70ad6a
Author: Stanislav Brabec <sbrabec@suse.cz>
Date:   Wed Sep 9 20:39:15 2020 +0200

    Merge remote-tracking branch 'weblate/icewm-1-4-BRANCH' into
    icewm-1-4-BRANCH

commit 3b70ad6aa3710fd086d311d2f45969e69574898a
Author: Paolo Za <zapaolo@email.it>
Date:   Wed Aug 26 19:11:40 2020 +0000

    Translated using Weblate (Italian)

    Currently translated at 99.8% (468 of 469 strings)

 po/it.po | 37 +++++++++----------------------------
 1 file changed, 9 insertions(+), 28 deletions(-)

commit d70673eaf7e41c25b8bb6d9a7c434a0936eaf0a7
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Tue Sep 8 22:16:50 2020 +0200

    Use wmHide or wmShow to hide or show the taskbar for #489.

 src/wmtaskbar.cc | 4 +---
 1 file changed, 1 insertion(+), 3 deletions(-)

commit f160a3ceecccc27230aa4224bc0d60f03657e690
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Tue Sep 8 21:44:21 2020 +0200

    TaskBar cannot fullscreen.

 src/movesize.cc | 4 ++++
 src/wmframe.h   | 2 +-
 2 files changed, 5 insertions(+), 1 deletion(-)

commit 4f3c2fc9b5df9aa2b9e5c9726a0a7e9a15bfe317
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Tue Sep 8 00:55:57 2020 +0200

    Prepare 1.8.2 release

 AUTHORS      |    3 +-
 ChangeLog    | 1017 ++++++++++++++++++++++++++----------------------------
 NEWS         |  128 +++----
 README.md    |   38 +-
 RELEASE.md   |    2 +-
 VERSION      |    2 +-
 configure.ac |   10 +-
 po/ar.po     |  118 +++----
 po/be.po     |  118 +++----
 po/bg.po     |  118 +++----
 po/ca.po     |  118 +++----
 po/cs.po     |  118 +++----
 po/da.po     |  118 +++----
 po/de.po     |  118 +++----
 po/el.po     |  118 +++----
 po/en.po     |  118 +++----
 po/es.po     |  118 +++----
 po/fi.po     |  118 +++----
 po/fr.po     |  118 +++----
 po/he.po     |  118 +++----
 po/hr.po     |  118 +++----
 po/hu.po     |  118 +++----
 po/icewm.pot |  120 +++----
 po/id.po     |  118 +++----
 po/it.po     |  118 +++----
 po/ja.po     |  118 +++----
 po/ko.po     |  118 +++----
 po/lt.po     |  118 +++----
 po/lv.po     |  118 +++----
 po/mk.po     |  118 +++----
 po/nb.po     |  118 +++----
 po/nl.po     |  118 +++----
 po/no.po     |  118 +++----
 po/pl.po     |  118 +++----
 po/pt.po     |  432 +++++++++++------------
 po/pt_BR.po  |  118 +++----
 po/ro.po     |  118 +++----
 po/ru.po     |  118 +++----
 po/sk.po     |  118 +++----
 po/sl.po     |  118 +++----
 po/sv.po     |  118 +++----
 po/tr.po     |  118 +++----
 po/uk.po     |  118 +++----
 po/vi.po     |  118 +++----
 po/zh_CN.po  |  118 +++----
 po/zh_TW.po  |  118 +++----
 46 files changed, 3048 insertions(+), 3070 deletions(-)

commit e277ad96bcdf70b8473e9daee1e337876660bc71
Merge: cd96c1d5 d8b6c997
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Tue Sep 8 00:22:21 2020 +0200

    Merge branch 'icewm-1-4-BRANCH'

commit d8b6c99794a78d3c26466fbdf5ae76dd9a9bdabb
Merge: b0bf123a 3749a355
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Tue Sep 8 00:19:45 2020 +0200

    Merge remote-tracking branch 'upstream/icewm-1-4-BRANCH' into
    icewm-1-4-BRANCH

commit 3749a3557cf86457fc7c38df551fc709c1b45597
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Sep 7 22:07:53 2020 +0200

    Emulate gmake for Arch.

 rebuild.sh | 6 ++++++
 1 file changed, 6 insertions(+)

commit 2eb7a740aa0c2eef4c02e8f7c6f1d84d7a8d1dd5
Author: Eduard Bloch <blade@debian.org>
Date:   Mon Sep 7 10:23:56 2020 +0200

    Fixed and extended fakeroot detection and exceptions

 src/strtest.cc | 47 +++++++++++++++++++++++++----------------------
 1 file changed, 25 insertions(+), 22 deletions(-)

commit 7153174d0d1993991eab19797fda405306c8956d
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Sep 7 03:40:29 2020 +0200

    Also for strtest.

 src/CMakeLists.txt | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 23d646cc0aaf07e303dee269d58396c79b3850e6
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Sep 7 03:32:09 2020 +0200

    Make cmake work for BSD+Solaris.

 rebuild.sh         | 18 +++++++++---------
 src/CMakeLists.txt | 51 ++++++++++++++++++++++++++++----------------------
 2 files changed, 38 insertions(+), 31 deletions(-)

commit 5f11406820cab8b428ec89236c791215612b9ee5
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Sep 6 23:23:19 2020 +0200

    Add x11_ldflags to cmake genpref build.

 src/CMakeLists.txt | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 2e32afd7bc92e791b3798f63d4c29ae220ad29d3
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Sep 6 19:48:00 2020 +0200

    Enable inclusion of sys/sysctl.h for sysctlbyname for FreeBSD.

 src/acpustatus.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 6883aa54cfe32348b4a1aaa4d49609b812f1e80c
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Sep 6 18:55:52 2020 +0200

    Ignore a zero file size for /proc filesystem for issue #488.

 src/yfileio.cc | 20 ++++++++++++++++++++
 1 file changed, 20 insertions(+)

commit 3430958506d766cd35564249be1cc167a45f13af
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Sep 6 18:54:51 2020 +0200

    Reduce CHECK_FUNCTION and CHECK_INCLUDE to essentials.

 src/CMakeLists.txt    | 19 ++--------------
 src/config.cmake.h.in | 58 ++++++-----------------------------------------
 2 files changed, 9 insertions(+), 68 deletions(-)

commit 29d5de77716fc83693b931f8c28ee2c286461f37
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Sep 6 18:53:40 2020 +0200

    Reduce AC_CHECK_FUNCS and AC_CHECK_HEADERS to essentials.

 configure.ac | 18 ++++--------------
 1 file changed, 4 insertions(+), 14 deletions(-)

commit b151eb6a988fa94c56c09485986f88a7d69cb24c
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Sep 6 18:51:41 2020 +0200

    Update version to 1.8.1.

 VERSION      | 2 +-
 configure.ac | 6 +++---
 2 files changed, 4 insertions(+), 4 deletions(-)

commit 6c005554c1a262a872d964659a17355ddf363389
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Sep 6 17:04:41 2020 +0200

    Permit non-gnu date.

 autogen.sh | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 3123b1dcccae86100bdac564b90b9a453effb853
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Sep 6 16:09:52 2020 +0200

    Improve VERSION_RAW.

 autogen.sh | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit d5117b0fda367eb2a8ee27e13e12c829c63d330c
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Sep 6 15:07:25 2020 +0200

    Benefit from userhome when locating home directory.

 src/icesm.cc | 7 ++++++-
 src/yapp.cc  | 9 ++++-----
 2 files changed, 10 insertions(+), 6 deletions(-)

commit 0199788891a480b98b92cd8fc12885e93135ea38
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Sep 6 14:56:02 2020 +0200

    Revert "Extra control flow checking", because the strict exit code
    checking makes it too brittle. The CI build now also fails.

    This reverts commit f79e237ee0036e36b97e829fcecab7b6cc6bf5b7.

 autogen.sh | 12 +++---------
 1 file changed, 3 insertions(+), 9 deletions(-)

commit 8c0f2365dc94e36f66b84d6e58f2a38218afee07
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Sep 6 14:39:25 2020 +0200

    Improve use of userhome in tilde_expansion.

 src/misc.cc | 11 +++++++----
 1 file changed, 7 insertions(+), 4 deletions(-)

commit efa64e8d67e6c766c44050994abccbbc2ac1d029
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Sep 6 14:38:36 2020 +0200

    Solaris needs memset from string.h for FD_SET.

 src/yfileio.cc | 1 +
 1 file changed, 1 insertion(+)

commit f79e237ee0036e36b97e829fcecab7b6cc6bf5b7
Author: Eduard Bloch <blade@debian.org>
Date:   Sun Sep 6 12:48:24 2020 +0200

    Extra control flow checking

 autogen.sh | 12 +++++++++---
 1 file changed, 9 insertions(+), 3 deletions(-)

commit 11ef3124fbba82bc0aa6110938c07f6c928679d0
Author: Eduard Bloch <blade@debian.org>
Date:   Sun Sep 6 11:53:46 2020 +0200

    ~ expansion is modified by fakeroot, don't consider it

    It deviates from $HOME. Tests on plain variables can be kept.

 src/strtest.cc | 15 ++++++++-------
 1 file changed, 8 insertions(+), 7 deletions(-)

commit 72794a99753f5392bebe6459be420bdb12c253d1
Author: Eduard Bloch <blade@debian.org>
Date:   Sun Sep 6 12:04:35 2020 +0200

    Update apt index before installing dependencies

    Or it will cause build failures when build agents were not refreshed
    quick enough.

 .github/workflows/cmake.yml | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 1f2780de0998f0c0127245dc51c4d31884cd23aa
Author: Eduard Bloch <blade@debian.org>
Date:   Thu Sep 3 18:19:08 2020 +0200

    Rename LOGEVENTS option to follow existing pattern

    Make it friendly to cmake-gui grouped view.

 src/CMakeLists.txt | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

commit d46a7fde612314d348ce4fd91385f87b89157b85
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sat Sep 5 13:15:48 2020 +0200

    Add userhome, dollar_expansion and tilde_expansion functions.
    Let path_lookup also perform dollar_expansion and tilde_expansion.
    In menuprog and menuprogreload do dollar_expansion and tilde_expansion.
    Move event logging from misc.cc to its own file logevent.cc.

 src/CMakeLists.txt |  22 +-
 src/Makefile.am    |   3 +
 src/base.h         |  45 +---
 src/debug.h        |   8 +-
 src/default.h      |   1 +
 src/icesh.cc       |   1 +
 src/icesm.cc       |   1 -
 src/logevent.cc    | 514 ++++++++++++++++++++++++++++++++++++
 src/logevent.h     |  52 ++++
 src/misc.cc        | 699 ++++++++++++-------------------------------------
 src/strtest.cc     |  77 ++++++
 src/upath.cc       |   2 +-
 src/wmmenu.cc      |  13 +-
 src/wmmgr.cc       |   1 -
 src/ywindow.h      |   1 +
 src/yxapp.cc       |   2 +
 src/yxtray.cc      |   2 +-
 17 files changed, 849 insertions(+), 595 deletions(-)

commit de65cbb8c8c70c4dbf149fdd77ef327cbf094b35
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sat Sep 5 13:14:35 2020 +0200

    Keep value of fTransientFor for later.

 src/wmclient.cc | 3 +--
 1 file changed, 1 insertion(+), 2 deletions(-)

commit 2cb1e847576c1f5f3880e925e669b36cadba6a82
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sat Sep 5 13:14:03 2020 +0200

    Reduce LOC in read_pipe.

 src/yfileio.cc | 77 +++++++++++++++++++++++++-----------------------------
 1 file changed, 35 insertions(+), 42 deletions(-)

commit ba135aca19c3677a5384cbd5865ece30b47c7382
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sat Sep 5 13:12:43 2020 +0200

    Remove unused set_nb.

 src/yfileio.h | 2 --
 1 file changed, 2 deletions(-)

commit 774fa29df31aa4a8acc4c04e91cf9cbd78d80c76
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Thu Sep 3 22:44:03 2020 +0200

    Several fixes for reading from pipes with timeouts for issue #487.

 src/wmmenu.cc  |  35 ++++-----
 src/yfileio.cc | 217 +++++++++++++++++++++++++++--------------------------
 src/yfileio.h  |  69 +++++------------
 3 files changed, 149 insertions(+), 172 deletions(-)

commit 2b5b0d1c6d5d4293afdae9ba1e8d1d83db410ddf
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Thu Sep 3 22:43:13 2020 +0200

    More comparison operators.

 src/ytime.h | 12 ++++++++++++
 1 file changed, 12 insertions(+)

commit d7297dae98347472b4a7a97e5ff66b585384edcf
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Thu Sep 3 22:41:45 2020 +0200

    Add -C option for copyright.

 src/fdomenu.cc | 2 ++
 1 file changed, 2 insertions(+)

commit ca5c3b118df068ba527abacfb316afa79adb9889
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Thu Sep 3 22:40:04 2020 +0200

    Add -C option for copyright.

 src/icesound.cc | 3 +++
 1 file changed, 3 insertions(+)

commit b422e3ad5fa9c9be30fd84687771a6179b5879a6
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Thu Sep 3 22:39:02 2020 +0200

    Add -C option for copyright.

 src/icehelp.cc | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

commit cc97952eea45cd8419048f4bc20ff50af2cf8e44
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Thu Sep 3 22:36:44 2020 +0200

    Add fsmart resize.

 src/ypointer.h | 10 +++++++++-
 1 file changed, 9 insertions(+), 1 deletion(-)

commit 82d76bdb9f3b4d87793a61e42df51f9786119e01
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Thu Sep 3 04:18:38 2020 +0200

    Fix the inappropriate use of globals in the context of a dynamically
    loaded configuration for #483.

 src/yicon.cc | 211 ++++++++++++++++++++++++-------------------------------
 1 file changed, 93 insertions(+), 118 deletions(-)

commit d56e16619928d7bccb8a9e14df0f204c6513a505
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Thu Sep 3 04:18:25 2020 +0200

    Add find for YRefArray.

 src/yarray.h | 9 +++++++++
 1 file changed, 9 insertions(+)

commit 4520307a4e6b77acd6778e6b09e8936547881c63
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Thu Sep 3 02:01:24 2020 +0200

    CMake support for LOGEVENTS.

 src/CMakeLists.txt    | 2 ++
 src/config.cmake.h.in | 3 ++-
 2 files changed, 4 insertions(+), 1 deletion(-)

commit ef359cbffd58294bf776f3d01fbb9abff20cc0c5
Author: Hugo Carvalho <hugokarvalho@hotmail.com>
Date:   Wed Sep 2 23:43:09 2020 +0100

    Update Portuguese (pt) translations (#486)

    * Update LINGUAS: Add pt.
    * Add files via upload: Create and update portuguese translation (pt)
    * Update icewm-session.desktop: Add Portuguese Name (pt).
    * Update icewm.desktop: Add Portuguese (pt) Comment and fix typo in
    English Comment "manager".

 lib/icewm-session.desktop |    1 +
 lib/icewm.desktop         |    3 +-
 po/LINGUAS                |    1 +
 po/pt.po                  | 2622 +++++++++++++++++++++++++++++++++++++++++
 4 files changed, 2626 insertions(+), 1 deletion(-)

commit d5d1dfd497df86801cf3a478bb38cf131510ca06
Author: Hugo Carvalho <hugokarvalho@hotmail.com>
Date:   Tue Aug 25 15:33:55 2020 +0000

    Translated using Weblate (Portuguese)

    Currently translated at 100.0% (469 of 469 strings)

 po/pt.po | 1137 +++++++++++++++++++++++++++++++++++-----------------------
 1 file changed, 691 insertions(+), 446 deletions(-)

commit cbbb32bcf31490d08cc77d4176a6fbae5d18220c
Author: Eduard Bloch <blade@debian.org>
Date:   Tue Sep 1 21:19:16 2020 +0200

    Added strtest exection in ctest

 CMakeLists.txt     | 2 ++
 src/CMakeLists.txt | 2 ++
 2 files changed, 4 insertions(+)

commit 11edd35e3e841c8f7a01d6fb38630c1e4390f4f9
Author: Eduard Bloch <blade@debian.org>
Date:   Tue Sep 1 20:59:49 2020 +0200

    More CI build configs with more and less features

 .github/workflows/cmake.yml | 69 ++++++++++++++++++++++++++++-------------
 1 file changed, 47 insertions(+), 22 deletions(-)

commit 200a35a24187d3cbde3af1090fbe82aec4071326
Author: Eduard Bloch <blade@debian.org>
Date:   Tue Sep 1 20:50:51 2020 +0200

    Basic autoconf CI setup

 .github/workflows/cmake.yml | 59 ++++++++++++++++++++++++++++-------------
 1 file changed, 40 insertions(+), 19 deletions(-)

commit 037725535ec5a9533737f5a4845f7f96cc6844cd
Author: Eduard Bloch <blade@debian.org>
Date:   Tue Sep 1 20:48:51 2020 +0200

    Cope with shallow clones

 autogen.sh | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 4747be79780f14dff2e269ca2a0fb1d1443c7ea6
Author: Eduard Bloch <blade@debian.org>
Date:   Tue Sep 1 19:28:07 2020 +0200

    Install dev packages on Ubuntu

 .github/workflows/cmake.yml | 5 +++++
 1 file changed, 5 insertions(+)

commit 623fc2fa6710c0263db59e51d15edc53487d209a
Merge: 22b45f19 1fb2f320
Author: Code7R <Code7R@users.noreply.github.com>
Date:   Tue Sep 1 19:12:12 2020 +0200

    Merge pull request #485 from bbidulock/icewm-1-4-BRANCH_CI

    Create cmake.yml

commit 1fb2f320f873eebe3c51c96a3e2a0fb1958f210e
Author: Code7R <Code7R@users.noreply.github.com>
Date:   Tue Sep 1 19:11:39 2020 +0200

    Create cmake.yml

 .github/workflows/cmake.yml | 46 +++++++++++++++++++++++++++++++++++++++++
 1 file changed, 46 insertions(+)

commit 22b45f198a020b9f7310035fe468a9913132222f
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Aug 31 18:59:15 2020 +0200

    Update Marko's copy dates for #285.

 src/misc.cc    | 2 +-
 src/wmabout.cc | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit cd96c1d58f1ce67b11279126f639fbe93da5268b
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Aug 31 00:17:56 2020 +0200

    Prepare 1.8.1 release

 AUTHORS      |   6 +-
 ChangeLog    | 798 ++++++++++++++++++++++++++++++-------------------------
 NEWS         | 122 ++++-----
 README.md    |  36 +--
 RELEASE.md   |   2 +-
 VERSION      |   2 +-
 configure.ac |  10 +-
 po/ar.po     |  28 +-
 po/be.po     |  28 +-
 po/bg.po     |  28 +-
 po/ca.po     |  28 +-
 po/cs.po     |  28 +-
 po/da.po     |  28 +-
 po/de.po     |  28 +-
 po/el.po     |  28 +-
 po/en.po     |  28 +-
 po/es.po     |  28 +-
 po/fi.po     |  28 +-
 po/fr.po     |  28 +-
 po/he.po     |  28 +-
 po/hr.po     |  28 +-
 po/hu.po     |  28 +-
 po/icewm.pot |  30 +--
 po/id.po     |  28 +-
 po/it.po     |  28 +-
 po/ja.po     |  28 +-
 po/ko.po     |  28 +-
 po/lt.po     |  28 +-
 po/lv.po     |  28 +-
 po/mk.po     |  28 +-
 po/nb.po     |  28 +-
 po/nl.po     |  28 +-
 po/no.po     |  28 +-
 po/pl.po     |  28 +-
 po/pt_BR.po  |  28 +-
 po/ro.po     |  28 +-
 po/ru.po     |  28 +-
 po/sk.po     |  28 +-
 po/sl.po     |  28 +-
 po/sv.po     |  28 +-
 po/tr.po     |  28 +-
 po/uk.po     |  28 +-
 po/vi.po     |  28 +-
 po/zh_CN.po  |  28 +-
 po/zh_TW.po  |  28 +-
 45 files changed, 1041 insertions(+), 1001 deletions(-)

commit d647b3e3977506d9488a7cce22567939df396aa4
Merge: b8790433 b0bf123a
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Aug 31 00:06:13 2020 +0200

    Merge branch 'icewm-1-4-BRANCH'

commit b0bf123a680cca69aa3827f6bfb77f9ee7ff1dbb
Merge: 75fc965b 7e8c5927
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Aug 31 00:04:05 2020 +0200

    Merge remote-tracking branch 'upstream/icewm-1-4-BRANCH' into
    icewm-1-4-BRANCH

commit 7e8c59274e90905c1cd6cabe098838ad728dbb03
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Aug 30 23:19:44 2020 +0200

    Don't show error if timed out.

 src/wmmenu.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 9ab91ebeb41548d9127ab3b04925406b4cb07e27
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Aug 30 22:51:00 2020 +0200

    Fixes for reading from a pipe.

 src/wmmenu.cc | 18 ++++++++++--------
 1 file changed, 10 insertions(+), 8 deletions(-)

commit e8695362c5b120779e702657eda78103512ac2c3
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Aug 30 22:35:02 2020 +0200

    Fix the FreeBSD case where icewm-session is started in the root directory
    by the display manager.

 src/icesm.cc | 12 ++++++++++++
 1 file changed, 12 insertions(+)

commit cd5f28d6531a827f741597486d1f5dc28984f516
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Aug 30 19:38:37 2020 +0200

    Restrict ICE_COMMON_SRCS to essentials.

 src/CMakeLists.txt | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 32d513ad095f5cc215011dfc337ff58c1d6a1b3d
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Aug 30 19:21:07 2020 +0200

    Fix for --disable-gdk-pixbuf.

 src/yximage.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit c9c68f8797fce05463343224d42fc897d67bc718
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Aug 30 19:12:30 2020 +0200

    Fix for --disable-shape.

 src/wmminiicon.cc | 2 ++
 1 file changed, 2 insertions(+)

commit 1a6593f2a51f935d70a4d46aef8928d0ef27a207
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Aug 30 18:30:45 2020 +0200

    Changes for OpenBSD.

 src/aapm.cc       | 19 ++++++++++---------
 src/acpustatus.cc |  2 +-
 2 files changed, 11 insertions(+), 10 deletions(-)

commit 7d7986a58260a89df445bcc67ccfc8f923d40d51
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Aug 30 18:23:33 2020 +0200

    Cast we_wordc for OpenBSD.

 src/aaddressbar.cc | 2 +-
 src/icesm.cc       | 2 +-
 src/yicon.cc       | 2 +-
 3 files changed, 3 insertions(+), 3 deletions(-)

commit 376b022d3e061274246aed5b9a07b55961d89bb5
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Aug 30 18:01:55 2020 +0200

    make update-po.

 po/ar.po     | 140 +++++++++++++++++++++++++++---------------------------
 po/be.po     | 140 +++++++++++++++++++++++++++---------------------------
 po/bg.po     | 140 +++++++++++++++++++++++++++---------------------------
 po/ca.po     | 140 +++++++++++++++++++++++++++---------------------------
 po/cs.po     | 140 +++++++++++++++++++++++++++---------------------------
 po/da.po     | 140 +++++++++++++++++++++++++++---------------------------
 po/de.po     | 140 +++++++++++++++++++++++++++---------------------------
 po/el.po     | 140 +++++++++++++++++++++++++++---------------------------
 po/en.po     | 140 +++++++++++++++++++++++++++---------------------------
 po/es.po     | 140 +++++++++++++++++++++++++++---------------------------
 po/fi.po     | 140 +++++++++++++++++++++++++++---------------------------
 po/fr.po     | 140 +++++++++++++++++++++++++++---------------------------
 po/he.po     | 140 +++++++++++++++++++++++++++---------------------------
 po/hr.po     | 140 +++++++++++++++++++++++++++---------------------------
 po/hu.po     | 140 +++++++++++++++++++++++++++---------------------------
 po/icewm.pot | 142 +++++++++++++++++++++++++++----------------------------
 po/id.po     | 140 +++++++++++++++++++++++++++---------------------------
 po/it.po     | 140 +++++++++++++++++++++++++++---------------------------
 po/ja.po     | 140 +++++++++++++++++++++++++++---------------------------
 po/ko.po     | 140 +++++++++++++++++++++++++++---------------------------
 po/lt.po     | 140 +++++++++++++++++++++++++++---------------------------
 po/lv.po     | 140 +++++++++++++++++++++++++++---------------------------
 po/mk.po     | 140 +++++++++++++++++++++++++++---------------------------
 po/nb.po     | 140 +++++++++++++++++++++++++++---------------------------
 po/nl.po     | 140 +++++++++++++++++++++++++++---------------------------
 po/no.po     | 140 +++++++++++++++++++++++++++---------------------------
 po/pl.po     | 140 +++++++++++++++++++++++++++---------------------------
 po/pt_BR.po  | 140 +++++++++++++++++++++++++++---------------------------
 po/ro.po     | 140 +++++++++++++++++++++++++++---------------------------
 po/ru.po     | 140 +++++++++++++++++++++++++++---------------------------
 po/sk.po     | 140 +++++++++++++++++++++++++++---------------------------
 po/sl.po     | 140 +++++++++++++++++++++++++++---------------------------
 po/sv.po     | 140 +++++++++++++++++++++++++++---------------------------
 po/tr.po     | 140 +++++++++++++++++++++++++++---------------------------
 po/uk.po     | 140 +++++++++++++++++++++++++++---------------------------
 po/vi.po     | 140 +++++++++++++++++++++++++++---------------------------
 po/zh_CN.po  | 140 +++++++++++++++++++++++++++---------------------------
 po/zh_TW.po  | 140 +++++++++++++++++++++++++++---------------------------
 38 files changed, 2661 insertions(+), 2661 deletions(-)

commit b79a315c91183330faa119c5994cff574aa5ef39
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Aug 30 18:01:24 2020 +0200

    Update dependencies in Makefile.am.

 src/Makefile.am | 229 ++++++++++++++++++++++++++++++++--------------------
 1 file changed, 142 insertions(+), 87 deletions(-)

commit 5c893fabebcce8faedc450d4cefe235a37e96d27
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Aug 30 18:01:03 2020 +0200

    Remove comments from include statements.

 src/ybutton.cc | 2 +-
 src/ycursor.cc | 2 +-
 src/ydialog.h  | 2 +-
 3 files changed, 3 insertions(+), 3 deletions(-)

commit d00e04dc24e0d59efcdf43ffe09df8c364d4f3de
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Aug 30 18:00:04 2020 +0200

    Workaround for absent wordexp on OpenBSD.

 src/aaddressbar.cc |  2 +-
 src/icesm.cc       |  2 +-
 src/wmapp.cc       |  2 +-
 src/wmmgr.cc       |  4 ++--
 src/yapp.cc        |  2 +-
 src/yicon.cc       |  2 +-
 src/ywordexp.h     | 28 ++++++++++++++++++++++++++++
 7 files changed, 35 insertions(+), 7 deletions(-)

commit 30c375c1265b4c07c5859bf35b07d834aa12356a
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Aug 30 14:55:47 2020 +0200

    Update man pages.

 man/icewm-preferences.pod | 6 +++---
 man/icewm.pod             | 4 ++++
 2 files changed, 7 insertions(+), 3 deletions(-)

commit 4af7f8b6d022aa6697d42ad4531b381213f07ed2
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Aug 30 14:55:03 2020 +0200

    Prevent cyclic transients. Optimize setCurrentPositionOuter.

 src/wmclient.cc | 13 +++++--------
 src/wmframe.cc  | 56 ++++++++++++++++++++++++++++++++++++++++++++++-------
 src/wmframe.h   |  2 +-
 3 files changed, 55 insertions(+), 16 deletions(-)

commit cceb71f886fbd250ad1592f8a05fcfb8b1b4fb2f
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Aug 30 14:50:35 2020 +0200

    Remove undocumented KeyWinSnapMove. Add KeyWinSmartPlace to preferences.

 src/bindkey.h   | 18 ------------------
 src/default.h   | 25 +++++++++++++------------
 src/movesize.cc | 16 ----------------
 src/wmapp.cc    |  2 +-
 src/wmframe.cc  |  8 --------
 5 files changed, 14 insertions(+), 55 deletions(-)

commit 8eb48bee79b976417b2a038589dfd3f448936e34
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Aug 30 14:47:22 2020 +0200

    More spy output details.

 src/icesh.cc | 18 +++++++++++++-----
 1 file changed, 13 insertions(+), 5 deletions(-)

commit 2be16fe5dcbb223a9ebe7b091827f9952f7d535a
Author: Eduard Bloch <blade@debian.org>
Date:   Sun Aug 30 11:34:02 2020 +0200

    Fixup DEBUG build

 src/yfileio.cc | 1 +
 1 file changed, 1 insertion(+)

commit ebb82c6038f6ff2bae005d881068ecb189bddd0b
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sat Aug 29 21:15:11 2020 +0200

    Free fonts when done.

 src/acpustatus.h  |  3 ++-
 src/atasks.cc     |  1 +
 src/atasks.h      |  1 +
 src/aworkspaces.h |  2 ++
 src/objbar.cc     |  1 +
 src/objbutton.h   |  1 +
 src/wmstatus.cc   |  2 ++
 src/ybutton.cc    | 20 +++++++++++++++-----
 src/ybutton.h     |  2 ++
 src/ylabel.cc     |  4 ++++
 src/ylabel.h      |  1 +
 src/ylistbox.cc   | 13 ++++++++++---
 src/ymenu.cc      | 35 ++++++++++++++---------------------
 src/ymenu.h       |  1 +
 14 files changed, 57 insertions(+), 30 deletions(-)

commit 9ce2ecdd9a571bd1f579998bf98d41f4e599c70f
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sat Aug 29 21:14:06 2020 +0200

    Also spy on ClientMessages.

 src/icesh.cc | 280 +++++++++++++++++++++++++++++--------------------------
 1 file changed, 150 insertions(+), 130 deletions(-)

commit 86221fe784fbcf2a2d92cdbc52f89b71ccb03b3e
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sat Aug 29 19:11:42 2020 +0200

    Fix topSideVerticalOffset for fully opaque frame borders for #482.

 src/wpixres.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 2591e75b6b20d9e84a00dc9a5cdb1d9ce6afe4c2
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sat Aug 29 00:27:27 2020 +0200

    Free logoutMenu on exit.

 src/wmapp.cc | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

commit 14f78f6277711d82016d5dd633fc51fae9fd729b
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sat Aug 29 00:27:00 2020 +0200

    Remove 4 bools from YWindow.

 src/ywindow.cc | 58 +++++++++++++++++++++++++++++-------------------------
 src/ywindow.h  | 16 ++++++---------
 2 files changed, 37 insertions(+), 37 deletions(-)

commit b20e3fd9e79ff39a119a202ba1881af10ba762b8
Author: Code7R <Code7R@users.noreply.github.com>
Date:   Fri Aug 28 20:09:06 2020 +0200

    Feature/smart pointer in file reader (#463)

    Use smart file pointers instead of naked file buffers.
    Extend smart pointers with more unique_ptr semantics.
    Convert file reading into OOP style.
    Add reading with timeout.
    Replace the tmpfile hack with classic pipe because it fails badly in
    non-block mode.
    Add icewm code style file for Eclipse in the contrib subdirectory.

 contrib/icewm_cpp_style.xml | 193 ++++++++++++++++++++++++++++++++++++++++
 src/CMakeLists.txt          |  11 +--
 src/Makefile.am             |   1 +
 src/acpustatus.cc           |  11 ++-
 src/amemstatus.cc           |   2 +-
 src/apppstatus.cc           |   4 +-
 src/apppstatus.h            |   2 +-
 src/base.h                  |  17 +---
 src/icehelp.cc              |   2 +-
 src/misc.cc                 |  84 -----------------
 src/objmenu.h               |   2 +-
 src/upath.cc                |   7 +-
 src/upath.h                 |   8 +-
 src/wmmenu.cc               |  55 ++++++------
 src/wmoption.cc             |   2 +-
 src/wmprog.cc               |  15 ++--
 src/yconfig.cc              |   8 +-
 src/yfileio.cc              | 135 ++++++++++++++++++++++++++++
 src/yfileio.h               |  67 ++++++++++++++
 src/ypointer.h              |  21 ++++-
 20 files changed, 479 insertions(+), 168 deletions(-)

commit cd82c4d366d17df7bc361bc587c110df0b1c51e4
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Fri Aug 28 18:37:11 2020 +0200

    Prevent premature workarea changes when collapsing taskbar to avoid
    repositioning MiniIcons.

 src/wmtaskbar.cc | 8 +++++++-
 1 file changed, 7 insertions(+), 1 deletion(-)

commit 8d76bb37d2b24b39f38c95354fa5b209f15a4049
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Fri Aug 28 01:08:06 2020 +0200

    Remove double buffering from YWindow.

 src/wmcontainer.cc |  1 -
 src/wmframe.cc     |  1 -
 src/yrect.h        |  1 +
 src/ywindow.cc     | 43 ++-----------------------------------------
 src/ywindow.h      |  4 ----
 5 files changed, 3 insertions(+), 47 deletions(-)

commit 507e96fbbac6e846dd70b2c2be9f76e328cddced
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Fri Aug 28 00:27:08 2020 +0200

    Only define KeySysArrangeIcons if preference MinimizeToDesktop=1.

 src/wmmgr.cc | 2 ++
 1 file changed, 2 insertions(+)

commit 39fdb17cb4f017314cb61b548e2ea7a0595a6c1d
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Fri Aug 28 00:10:02 2020 +0200

    Fix path_lookup strtok_r for non-Glibc BSD systems for ice-wm/icewm#23.

 src/misc.cc | 7 +++++--
 1 file changed, 5 insertions(+), 2 deletions(-)

commit 7cf12342e0aac59b6c7cc8c3898af0f9b5d49ca6
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Fri Aug 28 00:02:49 2020 +0200

    Fix typo for the KeySysArrangeIcons key binding.

 src/bindkey.h | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit b47ae83c17a282bbf2e551d9f8ca7dcb2639c22e
Author: Eduard Bloch <blade@debian.org>
Date:   Wed Aug 26 12:08:38 2020 +0200

    Fix memory leak from path_lookup call

 src/wmmgr.cc | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 2e1715bf4ba3ba31e1f16f29b73ff9e7368d6466
Author: Hugo Carvalho <hugokarvalho@hotmail.com>
Date:   Tue Aug 25 11:02:29 2020 +0000

    Added translation using Weblate (Portuguese)

 po/pt.po | 2377 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 2377 insertions(+)

commit b87904338757f3c46e5b88552291cf2bd353f38d
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Tue Aug 25 02:18:03 2020 +0200

    Prepare 1.8.0 release

 AUTHORS      |   26 +-
 ChangeLog    | 8531 +++++++++++++++++++++++++++---------------------------
 NEWS         |  Bin 26387 -> 37084 bytes
 README.md    |   36 +-
 RELEASE.md   |    2 +-
 VERSION      |    2 +-
 configure.ac |   10 +-
 po/ar.po     |    2 +-
 po/be.po     |    2 +-
 po/bg.po     |    2 +-
 po/ca.po     |    2 +-
 po/cs.po     |    2 +-
 po/da.po     |    2 +-
 po/de.po     |    2 +-
 po/el.po     |    2 +-
 po/en.po     |    2 +-
 po/es.po     |    2 +-
 po/fi.po     |    2 +-
 po/fr.po     |    2 +-
 po/he.po     |    2 +-
 po/hr.po     |    2 +-
 po/hu.po     |    2 +-
 po/icewm.pot |    4 +-
 po/id.po     |    2 +-
 po/it.po     |    2 +-
 po/ja.po     |    2 +-
 po/ko.po     |    2 +-
 po/lt.po     |    2 +-
 po/lv.po     |    2 +-
 po/mk.po     |    2 +-
 po/nb.po     |    2 +-
 po/nl.po     |    2 +-
 po/no.po     |    2 +-
 po/pl.po     |    2 +-
 po/pt_BR.po  |    2 +-
 po/ro.po     |    2 +-
 po/ru.po     |    2 +-
 po/sk.po     |    2 +-
 po/sl.po     |    2 +-
 po/sv.po     |    2 +-
 po/tr.po     |    2 +-
 po/uk.po     |    2 +-
 po/vi.po     |    2 +-
 po/zh_CN.po  |    2 +-
 po/zh_TW.po  |    2 +-
 45 files changed, 4348 insertions(+), 4337 deletions(-)

commit 22988880bcb0ca363a84a5decacac93602242d75
Merge: 75ba6095 75fc965b
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Tue Aug 25 02:09:18 2020 +0200

    Merge branch 'icewm-1-4-BRANCH'

commit 75fc965b05864d70ccd8469ba03ef5f57ab8ad93
Merge: 1a8f4336 0ecbfa3c
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Tue Aug 25 02:04:19 2020 +0200

    Merge remote-tracking branch 'upstream/icewm-1-4-BRANCH' into
    icewm-1-4-BRANCH

commit 0ecbfa3ca99a9b197dbf6db811931b87d442133e
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Aug 24 19:20:42 2020 +0200

    Much improved drawing quality of MiniIcons.

 src/wmminiicon.cc | 22 +++++++++++++++++++---
 src/wmminiicon.h  |  6 +++---
 2 files changed, 22 insertions(+), 6 deletions(-)

commit 93e4b9224321c7eea4243510566b990aea42dc38
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Aug 24 19:20:00 2020 +0200

    Add support for backing store when mapped.

 src/ywindow.cc | 4 ++++
 src/ywindow.h  | 1 +
 2 files changed, 5 insertions(+)

commit d208e122794f855a7ab9cbb0b2f9da1503a0574f
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Aug 24 19:19:18 2020 +0200

    Disable copying of Graphics.

 src/ypaint.h | 3 +++
 1 file changed, 3 insertions(+)

commit 7fe2f36e53879caa003cb8de03de13133f06c4a2
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Aug 24 19:18:45 2020 +0200

    Rename fMailBoxStatus to fMailBoxControl.

 src/wmtaskbar.cc | 10 +++++-----
 src/wmtaskbar.h  |  2 +-
 2 files changed, 6 insertions(+), 6 deletions(-)

commit 94743be8d39fac6ff6e056ba30dfc3d91107aff4
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Aug 24 19:18:16 2020 +0200

    Use only one timer to space mailbox checks apart in time.

 src/amailbox.cc | 77 ++++++++++++++++++++++++++++++++++-------------------
 src/amailbox.h  | 25 ++++++++++-------
 2 files changed, 65 insertions(+), 37 deletions(-)

commit 7715e8a3b423ef633cf46955214111f6268d178f
Author: Rodrigo Macedo <rmsolucoeseminformatic4@gmail.com>
Date:   Thu Aug 13 17:40:51 2020 +0000

    Translated using Weblate (Portuguese (Brazil))

    Currently translated at 100.0% (469 of 469 strings)

 po/pt_BR.po | 12 +++---------
 1 file changed, 3 insertions(+), 9 deletions(-)

commit 7e0f8cbdb5f9bf37c658384b789eb5a7c74f7fd0
Author: Arif Budiman <arifpedia@gmail.com>
Date:   Thu Jul 30 09:18:00 2020 +0000

    Translated using Weblate (Indonesian)

    Currently translated at 100.0% (469 of 469 strings)

 po/id.po | 12 +++---------
 1 file changed, 3 insertions(+), 9 deletions(-)

commit 95b45d5accda5c9e64c2f63091d75f69af15d5ef
Author: Sarah Kriesch <ada.lovelace@gmx.de>
Date:   Thu Aug 6 14:00:51 2020 +0000

    Translated using Weblate (German)

    Currently translated at 100.0% (469 of 469 strings)

 po/de.po | 14 ++++----------
 1 file changed, 4 insertions(+), 10 deletions(-)

commit 2d56e223d3517980e161b16b153614e40126f0d7
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Aug 24 00:55:33 2020 +0200

    Make update-po.

 po/ar.po     | 326 +++++++++++++++++++++++++--------------------------
 po/be.po     | 330 ++++++++++++++++++++++++++--------------------------
 po/bg.po     | 328 ++++++++++++++++++++++++++--------------------------
 po/ca.po     | 329 ++++++++++++++++++++++++++--------------------------
 po/cs.po     | 333 ++++++++++++++++++++++++++--------------------------
 po/da.po     | 326 +++++++++++++++++++++++++--------------------------
 po/de.po     | 331 ++++++++++++++++++++++++++--------------------------
 po/el.po     | 326 +++++++++++++++++++++++++--------------------------
 po/en.po     | 326 +++++++++++++++++++++++++--------------------------
 po/es.po     | 329 ++++++++++++++++++++++++++--------------------------
 po/fi.po     | 326 +++++++++++++++++++++++++--------------------------
 po/fr.po     | 328 ++++++++++++++++++++++++++--------------------------
 po/he.po     | 328 ++++++++++++++++++++++++++--------------------------
 po/hr.po     | 326 +++++++++++++++++++++++++--------------------------
 po/hu.po     | 346 +++++++++++++++++++++++++++----------------------------
 po/icewm.pot | 328 ++++++++++++++++++++++++++--------------------------
 po/id.po     | 329 ++++++++++++++++++++++++++--------------------------
 po/it.po     | 326 +++++++++++++++++++++++++--------------------------
 po/ja.po     | 333 ++++++++++++++++++++++++++--------------------------
 po/ko.po     | 328 ++++++++++++++++++++++++++--------------------------
 po/lt.po     | 328 ++++++++++++++++++++++++++--------------------------
 po/lv.po     | 328 ++++++++++++++++++++++++++--------------------------
 po/mk.po     | 328 ++++++++++++++++++++++++++--------------------------
 po/nb.po     | 328 ++++++++++++++++++++++++++--------------------------
 po/nl.po     | 328 ++++++++++++++++++++++++++--------------------------
 po/no.po     | 328 ++++++++++++++++++++++++++--------------------------
 po/pl.po     | 328 ++++++++++++++++++++++++++--------------------------
 po/pt_BR.po  | 329 ++++++++++++++++++++++++++--------------------------
 po/ro.po     | 328 ++++++++++++++++++++++++++--------------------------
 po/ru.po     | 330 ++++++++++++++++++++++++++--------------------------
 po/sk.po     | 329 ++++++++++++++++++++++++++--------------------------
 po/sl.po     | 328 ++++++++++++++++++++++++++--------------------------
 po/sv.po     | 326 +++++++++++++++++++++++++--------------------------
 po/tr.po     | 328 ++++++++++++++++++++++++++--------------------------
 po/uk.po     | 328 ++++++++++++++++++++++++++--------------------------
 po/vi.po     | 328 ++++++++++++++++++++++++++--------------------------
 po/zh_CN.po  | 326 +++++++++++++++++++++++++--------------------------
 po/zh_TW.po  | 326 +++++++++++++++++++++++++--------------------------
 38 files changed, 6230 insertions(+), 6254 deletions(-)

commit 6d4364268cb2eb22b2266559a9c673011bebec2c
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Aug 24 00:14:51 2020 +0200

    Clarify the difference between close and kill.

 man/icesh.pod | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 80c5b4af3f9d4e3af3600f045d60d9c1dc1fb4d6
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sat Aug 22 01:47:51 2020 +0200

    Let workspacebutton use the workspace button fonts when drawing text
    for #467 and #475.

 src/aworkspaces.cc | 40 +++++++++++++++++++++++++++++-----------
 src/aworkspaces.h  |  2 ++
 src/ybutton.cc     |  9 ++++-----
 3 files changed, 35 insertions(+), 16 deletions(-)

commit a23c3dd6fa1561e4e589999e2b94ea9e6ffb59d9
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Fri Aug 21 16:46:18 2020 +0200

    Don't leak debugging info to the unwary user.

 src/yxapp.cc | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit 7619381b6dd1543534274e0f69c711b05ef02972
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Fri Aug 21 16:45:48 2020 +0200

    Don't switch focus on a FocusOut event on the root window, because it
    is probably stale and carries insufficient information.

 src/wmmgr.cc | 5 +++++
 1 file changed, 5 insertions(+)

commit dab6f4000c8aa231a775de0956915842cfc48fd8
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Fri Aug 21 16:45:48 2020 +0200

    In setState consider more cases for fullscreen layer update.

 src/wmframe.cc | 6 ++++--
 1 file changed, 4 insertions(+), 2 deletions(-)

commit be3cedd703004f6d15aa95588cf9ed181ffb42b4
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Fri Aug 21 01:32:51 2020 +0200

    Check frame state to guard against unnecessary calls to setState.
    Only attempt to set a transient above its owner when in same layer.
    Only wmLower if canLower permits it. Consider affectsWorkArea and
    topSideVerticalOffset in limitOuterPosition. Improved checks for
    limitPosition. Remove call to focusLastWindow in setState when
    minimizing.

 src/wmframe.cc | 144 ++++++++++++++++++++++++++++-------------------------
 src/wmframe.h  |   2 +
 src/wmmgr.cc   |  43 ++++++++--------
 src/wmmgr.h    |   5 +-
 4 files changed, 100 insertions(+), 94 deletions(-)

commit 78b7d880bde95e89f111b15078be3ad2dc934a62
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Fri Aug 21 01:32:20 2020 +0200

    Mask state in getWinStateHint.

 src/wmclient.cc | 12 ++++++------
 1 file changed, 6 insertions(+), 6 deletions(-)

commit 1c13cb02fa7ef3e749fc7170caebcbc84d0e5a85
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Fri Aug 21 01:31:36 2020 +0200

    Remove unused setWorkAreaMoveWindows.

 src/movesize.cc  | 3 ---
 src/wmtaskbar.cc | 2 --
 2 files changed, 5 deletions(-)

commit bc9ec1f9df1a783eca9c816b1b408a361b5addfb
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Fri Aug 21 01:27:40 2020 +0200

    Check for transients in canLower.

 src/decorate.cc | 12 ++++++++----
 1 file changed, 8 insertions(+), 4 deletions(-)

commit 26c4c56e808c0504f100a89f4a8edda78613a096
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Wed Aug 19 18:20:51 2020 +0200

    In the window list window, improve the Show command to consider work
    area and screen boundaries.
    In wmShow only call setState if window state must change.
    Add new function canShow to test if window is hidden or outside screen
    boundaries.
    Make YDesktop a private super class of YWindowManager.

 src/movesize.cc  |  2 +-
 src/wmabout.cc   |  2 +-
 src/wmapp.cc     | 21 ++++++------
 src/wmclient.cc  |  2 +-
 src/wmclient.h   |  1 +
 src/wmdialog.cc  |  2 +-
 src/wmframe.cc   | 93 +++++++++++++++++++++++++++++++---------------------
 src/wmframe.h    |  5 +--
 src/wmmgr.cc     | 15 +++++----
 src/wmmgr.h      |  4 +--
 src/wmprog.cc    |  2 +-
 src/wmstatus.cc  |  2 +-
 src/wmswitch.cc  |  2 +-
 src/wmtaskbar.cc |  6 ++--
 src/wmwinlist.cc |  4 +--
 15 files changed, 92 insertions(+), 71 deletions(-)

commit 8b14672ec8830b0db678fb5cf655a7b4dff3538d
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Wed Aug 19 15:33:21 2020 +0200

    Fix calls to getMask for hidden.

 src/wmclient.cc | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

commit fe75d6f44c5668c473512f8b007adf56b8cdcc26
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Wed Aug 19 02:59:56 2020 +0200

    Permit fullscreen when RaiseOnFocus=1 and focused is not raised.
    Optimize addTransients to only consider clients which have
    WM_TRANSIENT_FOR set to the new window.

 src/wmframe.cc | 17 ++++++++++-------
 1 file changed, 10 insertions(+), 7 deletions(-)

commit ed7ca86af4b31f229676a3e16454f8a4e5393a1c
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Tue Aug 18 20:58:01 2020 +0200

    When interating prefer for-loops over while-loops.

 src/decorate.cc  |  9 +++------
 src/wmapp.cc     |  4 +---
 src/wmframe.cc   | 17 ++++++-----------
 src/wmmgr.cc     | 19 +++++++------------
 src/wmwinmenu.cc |  9 +++------
 src/ywindow.cc   | 28 ++++++++++------------------
 src/yxapp.cc     | 18 +++++++-----------
 7 files changed, 37 insertions(+), 67 deletions(-)

commit aef0f5baf5e7d704eb7bebf8600ecfbe3b7eee62
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Tue Aug 18 20:54:53 2020 +0200

    Restore button font for #467.

 src/ybutton.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 75521f9112c55523b7bf0875c17048d964a0e1a1
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Tue Aug 18 01:48:01 2020 +0200

    Add an optional YInputLine to the message box popup for #473.

 src/wmdialog.cc     | 19 +++++++++++++------
 src/yactionbutton.h | 14 ++++----------
 src/yinputline.h    |  1 +
 src/ymsgbox.cc      | 34 ++++++++++++++++++----------------
 src/ymsgbox.h       | 21 +++++++++++----------
 5 files changed, 47 insertions(+), 42 deletions(-)

commit 6d936558ba0aca7ff052881ed59ebd34265bb80c
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Aug 17 13:44:44 2020 +0200

    Simplify.

 src/wmframe.cc | 4 +---
 src/wmmgr.cc   | 7 +------
 2 files changed, 2 insertions(+), 9 deletions(-)

commit a2b4d2535a1123d40532c735119db9149d3c7ef7
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Aug 17 13:43:31 2020 +0200

    Reuse getMask.

 src/wmclient.cc | 29 ++++++-----------------------
 1 file changed, 6 insertions(+), 23 deletions(-)

commit 6d557213227ea4952f7fe2f6b547bb26e8e8523c
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Aug 17 13:41:26 2020 +0200

    Button padding and minimum size only applies to YActionButtons for #467.

 src/wmdialog.cc     |  5 +++++
 src/yactionbutton.h |  1 +
 src/ybutton.cc      | 28 ++++++++++++++++++++++------
 src/ybutton.h       |  2 ++
 4 files changed, 30 insertions(+), 6 deletions(-)

commit 6d2b7cf4c8440794ec56b5e34c69e01fc86cc13b
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Aug 16 08:26:53 2020 +0200

    Give buttons some padding and a minimum size for #467.

 src/ybutton.cc | 14 ++++++++------
 1 file changed, 8 insertions(+), 6 deletions(-)

commit bb1ee19a965cf6d271936de7f641b822dbf36760
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Aug 16 08:14:49 2020 +0200

    Remove unnecessary call to autoSize when setting title.

 src/ymsgbox.cc | 1 -
 1 file changed, 1 deletion(-)

commit ff498840a21fd7ef778d48d9460cad9f5d45b420
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Aug 16 08:14:24 2020 +0200

    Drop unreliable character class in regex.

 src/wmprog.cc | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 03d524ffb4672f06d89a38dd1a50bcd7f387da5b
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Aug 16 01:59:49 2020 +0200

    Correct opacity for dialogs when using a gradient background for issue
    #471.

 src/wmtaskbar.h |  2 +-
 src/ydialog.cc  | 33 ++++++++++++++++++++++++++-------
 src/ydialog.h   | 14 +++++---------
 src/ymsgbox.cc  | 46 ++++++++++++++++++----------------------------
 src/ymsgbox.h   |  8 ++++----
 src/ywindow.h   |  5 ++---
 6 files changed, 56 insertions(+), 52 deletions(-)

commit e03c1b7c528c0a00990b5dc24e46aa8b559a5f1b
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Aug 16 01:52:08 2020 +0200

    Fix opacity in titlebar when using gradients.

 src/wmtitle.cc | 5 +++++
 1 file changed, 5 insertions(+)

commit abe0692ad897c21b1f0045d384800de067b915e3
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Aug 16 01:50:56 2020 +0200

    Fix logout menu status.

 src/wmapp.cc | 22 +++++++++++-----------
 1 file changed, 11 insertions(+), 11 deletions(-)

commit 3ad43322d1d8ec9393cf414a2ef2f8c09e9201b7
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Aug 16 01:50:34 2020 +0200

    Fix opacity when using gradients for task buttons.

 src/atasks.cc | 10 +++++++++-
 1 file changed, 9 insertions(+), 1 deletion(-)

commit e9228088d6ce5c1665d05701959cbc11be447a83
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sat Aug 15 02:53:32 2020 +0200

    New theme option MenuButtonIconVertOffset to adjust the position of the
    menu button icon in case ShowMenuButtonIcon=1 for issue #466.

 man/icewm-preferences.pod |  4 ++++
 src/themable.h            |  2 ++
 src/wmbutton.cc           | 28 ++++++++++++++++------------
 3 files changed, 22 insertions(+), 12 deletions(-)

commit 5ae7c3ec994311b2b32d30b4d7d58e8fd51dce25
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Fri Aug 14 21:15:08 2020 +0200

    Improved ICCCM conformance for restack requests for transient windows
    for issue #451.

 src/wmframe.cc | 261 +++++++++++++++++++++++++----------------------------
 1 file changed, 124 insertions(+), 137 deletions(-)

commit 59ae83702a2e8d44da2d06dc4c92df5ba2075248
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Fri Aug 14 21:11:30 2020 +0200

    Update all maximize menu entries.

 src/decorate.cc | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

commit 9e6e909a2578533e63592bb2873b998f4d0c9a65
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Fri Aug 14 06:02:30 2020 +0200

    Update close button for #447.

 lib/themes/CrystalBlue/close.xpm | 59 ++++++++++++++++++------------------
 1 file changed, 29 insertions(+), 30 deletions(-)

commit a0066b183defc632aa78bf50ecf8361a8a073057
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Fri Aug 14 01:08:28 2020 +0200

    Avoid creating a titlebar for minimized windows.

 src/decorate.cc | 35 ++++++++++++++++-------------------
 1 file changed, 16 insertions(+), 19 deletions(-)

commit bc501227fb665452ce9a7d541f04da56799d7197
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Fri Aug 14 01:06:39 2020 +0200

    Remove superfluous call to focusLastWindow in wmHide.

 src/wmframe.cc | 1 -
 1 file changed, 1 deletion(-)

commit 47e790e69696c224f06708b49c03aff15adde631
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Fri Aug 14 01:00:46 2020 +0200

    Enforce button opacity when using gradients for issue #468.

 src/aworkspaces.cc | 3 +++
 src/ybutton.cc     | 3 +++
 src/ypaint.cc      | 9 +++++++++
 src/ypaint.h       | 2 ++
 4 files changed, 17 insertions(+)

commit 73fb8c11deac6db3832c26330fcd4de6ee3dc09f
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Wed Aug 12 21:19:37 2020 +0200

    add titleAJ.xpm titleAQ.xpm titleIJ.xpm titleIQ.xpm to CrystalBlue theme
    to avoid artefacts in titlebar corners.

 lib/Makefile.am                    | 110 +++++++++++++++++----------------
 lib/themes/CrystalBlue/titleAJ.xpm |  54 ++++++++++++++++
 lib/themes/CrystalBlue/titleAQ.xpm |  54 ++++++++++++++++
 lib/themes/CrystalBlue/titleIJ.xpm |  54 ++++++++++++++++
 lib/themes/CrystalBlue/titleIQ.xpm |  54 ++++++++++++++++
 5 files changed, 273 insertions(+), 53 deletions(-)

commit 2d4839077d7f146e8de12ed0823d85e841b6c772
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Wed Aug 12 18:36:30 2020 +0200

    Support PagerShowPreview for windows with negative positions.

 src/aworkspaces.cc | 23 +++++++++++++----------
 1 file changed, 13 insertions(+), 10 deletions(-)

commit 40830702e3b85e09906b72c87bb959dd52054d75
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Tue Aug 11 16:31:46 2020 +0200

    Remove test for getFocus in setFocus for issues #464 and #462.

 src/wmmgr.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 64c45ca67a2bd864e711d120d83756b9f6183858
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Tue Aug 11 14:19:30 2020 +0200

    Add new CrystalBlue files for #447.

 lib/Makefile.am | 4 ++++
 1 file changed, 4 insertions(+)

commit 3e90b2e24464cda9a0561ebf02fbc70c0662ec13
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Tue Aug 11 01:34:11 2020 +0200

    Update theme CrystalBlue for issue #447.

 lib/themes/CrystalBlue/buttonA.xpm     | 57 +++++++++++++++++++++
 lib/themes/CrystalBlue/buttonI.xpm     | 57 +++++++++++++++++++++
 lib/themes/CrystalBlue/default.theme   |  2 +-
 lib/themes/CrystalBlue/menuButtonA.xpm | 79 ++++++++++++++++++++++++++++++
 lib/themes/CrystalBlue/menuButtonI.xpm | 79 ++++++++++++++++++++++++++++++
 5 files changed, 273 insertions(+), 1 deletion(-)

commit 6584c235c97a01b310ea26fd7f13ed99cfba38d1
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Tue Aug 11 01:31:58 2020 +0200

    Change xterm.icon into xterm.XTerm.icon.

 lib/winoptions.in | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 2315a2d683cf83ce6fbabe5073ded1c70ceb7be7
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Tue Aug 11 01:20:33 2020 +0200

    Simplify positioning of MiniIcons. Fix positioning of MiniIcons on restart
    for other workspaces. Avoid needlessly repositioning of MiniIcons when
    the work area shrinks. Fix reinitializing MiniIcon positioning when work
    area grows. Fix repainting workspace button on taking the focused window
    to a different workspace. Fix tooltip for MiniIcons when only the window
    title exists, but not the icon title.

 src/wmframe.cc    | 30 +++++-------------------------
 src/wmframe.h     |  2 --
 src/wmmgr.cc      | 23 +++++++++++++++--------
 src/wmminiicon.cc | 22 +++++++++++++++++++---
 src/wmminiicon.h  |  1 +
 5 files changed, 40 insertions(+), 38 deletions(-)

commit 82a7d1cb2861f461ad1bce5898b591edb82e61e8
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Tue Aug 11 01:15:02 2020 +0200

    Ensure icons of irregular sizes are always scaled or loaded for issue #459.

 src/yicon.cc | 59 ++++++++++++++++++++++++++++++--------------------------
 1 file changed, 32 insertions(+), 27 deletions(-)

commit fd2adcffab91840c4fb0857eb7bf3d561b09096c
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sat Aug 8 12:09:59 2020 +0200

    More beautiful miniicons show just a large icon for the minimized
    application.

 src/wmframe.cc    |   2 +-
 src/wmmgr.cc      |  40 ++++++----
 src/wmmgr.h       |   2 +-
 src/wmminiicon.cc | 204 ++++++++++++++++++--------------------------------
 src/wmminiicon.h  |  23 +++---
 5 files changed, 113 insertions(+), 158 deletions(-)

commit e5380e20e8ac27a58797d85008bd591648190abd
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sat Aug 8 12:05:42 2020 +0200

    Add test for dragging.

 src/ywindow.cc | 10 ++++++----
 src/ywindow.h  |  7 ++++---
 2 files changed, 10 insertions(+), 7 deletions(-)

commit c0bd68195dd63e6a6fb02035019d51535cb186e8
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sat Aug 8 12:01:03 2020 +0200

    More accurate raising and lowering of frames. Better miniicon positioning.

 src/wmframe.cc | 91 +++++++++++++++++++++++-------------------------------
 src/wmframe.h  |  5 ++-
 2 files changed, 41 insertions(+), 55 deletions(-)

commit 330f26acc9d2730e37f46c31c98b8c30ed93340a
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sat Aug 8 11:59:23 2020 +0200

    Enforce a larger minimum button size for wmdialog.

 src/wmdialog.cc | 27 ++++++++++-----------------
 src/wmdialog.h  |  4 ++--
 2 files changed, 12 insertions(+), 19 deletions(-)

commit ccd1924954e8beee238997f34fca777b53901201
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sat Aug 8 11:58:53 2020 +0200

    Fix --logevents.

 src/wmapp.cc | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit 66fc85e3f755eaabde3a9f4313bacdc9b3570571
Author: WhiredPlanck <47623588+whriedplanck@users.noreply.github.com>
Date:   Wed Aug 5 07:07:25 2020 +0800

    [Translation] Update zh_CN.po (#460)

    [trans] Update zh_CN.po.  Fix typos and incorrect translated strings.

 po/zh_CN.po | 121 ++++++++++++++++++++++++--------------------------------
 1 file changed, 51 insertions(+), 70 deletions(-)

commit 0a6c412752dd2b675bb8ab489d8e6c899e4f7460
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Wed Aug 5 00:57:20 2020 +0200

    Task bar can do without expose events.

 src/wmtaskbar.cc | 1 +
 1 file changed, 1 insertion(+)

commit 07b5501af8c8eaad453b798da823602d362d824f
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Wed Aug 5 00:56:42 2020 +0200

    Add beneath and raiseTo for restacking one window.

 src/ywindow.cc | 17 +++++++++++++++++
 src/ywindow.h  |  3 ++-
 2 files changed, 19 insertions(+), 1 deletion(-)

commit 3db04b4e443bf3d0fc1ef9a8c2bee5ebe54b7586
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Wed Aug 5 00:55:41 2020 +0200

    Update moveMenu and layerMenu to frame, before they are shown.

 src/decorate.cc | 2 ++
 1 file changed, 2 insertions(+)

commit c6cad974bbd80b0a80167664593f61c63677cf15
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Wed Aug 5 00:55:12 2020 +0200

    Update manual for battery patch.

 doc/icewm.adoc | 226 +++++++++++++++++++++++++++++------------------------
 1 file changed, 124 insertions(+), 102 deletions(-)

commit 162badc8de970e29bfa56fedb15144a82d7597ed
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Wed Aug 5 00:54:08 2020 +0200

    Remove function paintBackground for #457.

 src/aworkspaces.cc | 20 --------------------
 src/aworkspaces.h  |  1 -
 2 files changed, 21 deletions(-)

commit 195543d8250adca061ab0309f227265988769b01
Author: DieSpinne <62444221+DieSpinne@users.noreply.github.com>
Date:   Sun Aug 2 21:38:48 2020 -0300

    Rename comments from APM monitor to battery monitor (#456)

    Rename comments from APM monitor to battery monitor. Update
    icewm-preferences.pod.

 man/icewm-preferences.pod | 18 +++++++++---------
 src/default.h             |  8 ++++----
 src/themable.h            | 10 +++++-----
 3 files changed, 18 insertions(+), 18 deletions(-)

commit 311ef8670e8752476827037b9a04a2fce93620f2
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Aug 3 02:30:52 2020 +0200

    Better relocation of frames when workarea changes.

 src/wmmgr.cc | 68 ++++++++++++++++++++++++++++++++------------------------
 src/wmmgr.h  |  1 -
 2 files changed, 39 insertions(+), 30 deletions(-)

commit 718dca5595a5b416720e4ca816136bfee5cebb41
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Aug 3 02:16:38 2020 +0200

    Better positioning of collapse button to avoid a white line at the bottom
    of the taskbar for issue #455.

 src/wmapp.cc     |   1 -
 src/wmtaskbar.cc | 120 +++++++++++++++++++++++----------------------------
 src/wmtaskbar.h  |  19 ++++----
 3 files changed, 63 insertions(+), 77 deletions(-)

commit 04a7f71e14f9fd16ae282a9cd6fb3132fe14db77
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Aug 3 02:05:36 2020 +0200

    Better indentation for updateLayout

 src/wmframe.cc | 70 ++++++++++++++++++++++++++----------------------------
 1 file changed, 34 insertions(+), 36 deletions(-)

commit c72fe0c83d45bf33f9748013d236b679c0715a6e
Author: Eduard Bloch <blade@debian.org>
Date:   Sat Aug 1 13:20:33 2020 +0200

    Space-after-if cosmetics

 src/yicon.cc | 32 ++++++++++++++++----------------
 1 file changed, 16 insertions(+), 16 deletions(-)

commit eebe395998bafe9e765ba19631fd05e3efdf2354
Author: Eduard Bloch <blade@debian.org>
Date:   Sat Aug 1 12:58:42 2020 +0200

    Never try to load icon for names "none" or '-'

 src/yicon.cc | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit a07df9b700970b226c1cef6edd77f097a04ebd62
Author: Eduard Bloch <blade@debian.org>
Date:   Sat Aug 1 12:29:45 2020 +0200

    Add 128 and 64 folders as last-ressort versions

    Also cache the array of unified sizes

 src/yicon.cc | 27 +++++++++++++++++++--------
 1 file changed, 19 insertions(+), 8 deletions(-)

commit 15ee34b2cd2f445843af06fca17c8db861082dcf
Author: Eduard Bloch <blade@debian.org>
Date:   Sat Aug 1 12:00:15 2020 +0200

    Improve fallback in YIcon::getScaledIcon

    Avoid erraneous reports of "icon not found", just not trying to load
    standard sizes if those were already examined before.

 src/yicon.cc | 48 +++++++++++++++++++++++-------------------------
 1 file changed, 23 insertions(+), 25 deletions(-)

commit 2c1805ba6514f8fc9a9b678a4b694369333cf669
Author: Eduard Bloch <blade@debian.org>
Date:   Sat Aug 1 10:32:24 2020 +0200

    Fix lookup of all scalable/* categories

 src/yicon.cc | 14 +++++---------
 1 file changed, 5 insertions(+), 9 deletions(-)

commit 3e5462c49f227164377003ae2e06d55b7d3a3240
Author: Eduard Bloch <blade@debian.org>
Date:   Sat Aug 1 10:22:18 2020 +0200

    Use explicit lookup for scalable icons

    Drop the old fall-back code, rely on icon path cache instead

 src/yicon.cc | 112 +++++++++++++++++++++++--------------------------------
 src/yicon.h  |   9 +++--
 2 files changed, 53 insertions(+), 68 deletions(-)

commit df274ccee9ea6b7d772632c21bee5aeca72a8715
Author: Eduard Bloch <blade@debian.org>
Date:   Fri Jul 31 19:58:07 2020 +0200

    Reverting the use of map and deduplication set

    It doesn't make sense any longer for the small item set.
    Also improve the iterator, and fix the lookup of other categories than
    apps.

 src/yicon.cc | 115 +++++++++++++++++++++++++++++++------------------------
 1 file changed, 66 insertions(+), 49 deletions(-)

commit e6760f9c7812e8773df98df58b1c6e69b42153ec
Author: Eduard Bloch <blade@debian.org>
Date:   Fri Jul 31 18:14:36 2020 +0200

    Consider scalable folder

 src/yicon.cc | 100 +++++++++++++++++++++++++++++++++----------------------
 1 file changed, 60 insertions(+), 40 deletions(-)

commit cce843682380b9a1ad782f0fe30dab522110a797
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Fri Jul 31 23:07:07 2020 +0200

    Theme directories may have dots.

 src/yconfig.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit e39dad310e81076d8895213dcd8cc93399b5c14c
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Fri Jul 31 23:06:06 2020 +0200

    Check for null pixmaps to prevent a SIGSEGV for issue #454.

 src/wpixres.cc | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 6c8d52ca8f702601897ec4f52ba16f612e1e656c
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Fri Jul 31 22:19:51 2020 +0200

    Check TitleButtonsSupported before creating a new title bar button.

 src/wmtitle.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 5f43088e850e2a28bed0d398f4a783082561ab97
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Fri Jul 31 22:11:57 2020 +0200

    Update lib/Makefile.am for updated theme CrystalBlue.

 lib/Makefile.am | 12 ++++--------
 1 file changed, 4 insertions(+), 8 deletions(-)

commit 300975e2393e1c9b7e38c615ff244a69d268fbd7
Author: Eduard Bloch <blade@debian.org>
Date:   Fri Jul 31 12:07:50 2020 +0200

    Fix the size preference in one the strategies

    Also factoring out the size selection code into iterator function.

 src/yicon.cc | 84 ++++++++++++++++++++++++++++++++------------------------
 1 file changed, 48 insertions(+), 36 deletions(-)

commit 6fa660c573a492502a23d6e497c546695836684a
Author: Eduard Bloch <blade@debian.org>
Date:   Fri Jul 31 10:47:55 2020 +0200

    Explicite handling of absolute icon paths without suffix

 src/yicon.cc | 86 ++++++++++++++++++++++++++++++++------------------------
 1 file changed, 50 insertions(+), 36 deletions(-)

commit c4d2b6b08e6530d5774958c9ee5ebcf0f9ac2292
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Thu Jul 30 20:41:17 2020 +0200

    Handle more detail in configure request messages. Avoid focusing a random
    client when a request to stack a client below is received for issue
    #451. Update the _NET_CLIENT_LIST_STACKING when a configure request to
    restack was received. Remove the hopefully obsolete tcl/tk hack.

 src/wmframe.cc | 211 +++++++++++++++++++++++++++++++++++------------------
 src/wmframe.h  |   4 +-
 2 files changed, 144 insertions(+), 71 deletions(-)

commit de58bf30cd0386f5a9ca817c6d8a1ef62eb04c8e
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Thu Jul 30 20:36:47 2020 +0200

    Keep focus untouched if locked or same frame. Return true if restacked
    in setAbove or setBelow.

 src/wmmgr.cc | 21 +++++++++++++--------
 src/wmmgr.h  |  4 ++--
 2 files changed, 15 insertions(+), 10 deletions(-)

commit d6bcb0f47926be8e4ab4768d76ea5b2e08717857
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Thu Jul 30 20:34:54 2020 +0200

    More detail in logConfigureRequest.

 src/misc.cc | 8 ++++++--
 1 file changed, 6 insertions(+), 2 deletions(-)

commit aa2feb8dc4c6a602e07a41f61edc028054167d10
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Thu Jul 30 00:08:58 2020 +0200

    Remove unused setGrabPointer.

 src/ywindow.cc | 12 ++----------
 src/ywindow.h  |  1 -
 2 files changed, 2 insertions(+), 11 deletions(-)

commit 94b6a1a46bded77c8a1ae702d78f40d3c25eb089
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Thu Jul 30 00:08:31 2020 +0200

    Use bool in grabEvents and releaseEvents.

 src/atasks.cc | 15 ++++++------
 src/yxapp.cc  | 68 +++++++++++++++++++++++++------------------------------
 src/yxapp.h   | 12 ++++++----
 3 files changed, 45 insertions(+), 50 deletions(-)

commit deb6457bbc9a6e60616e1f80f81089e97523505e
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Thu Jul 30 00:07:14 2020 +0200

    Delegate titlebar actions to frame actionPerformed.

 src/wmtitle.cc | 65 ++++++++++++++++++++++++++++--------------------------
 1 file changed, 34 insertions(+), 31 deletions(-)

commit 2b2b71bb52e9df1ea83715f5c1cd136c49d50707
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Thu Jul 30 00:06:21 2020 +0200

    More accurate top side resize handle.

 src/decorate.cc | 9 ++++++---
 1 file changed, 6 insertions(+), 3 deletions(-)

commit c3b5f328a4b26b73dd35697e0d000ace947c2a74
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Thu Jul 30 00:05:12 2020 +0200

    Add workspace button pixmaps for theme CrystalBlue.

 .../taskbar/workspacebuttonactive.xpm            | 77 ++++++++++++++++++++
 .../CrystalBlue/taskbar/workspacebuttonbg.xpm    | 67 +++++++++++++++++
 2 files changed, 144 insertions(+)

commit c26ed17ab1fc980b8a6d972666fc21b7ca57b6bc
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Wed Jul 29 23:55:18 2020 +0200

    Update theme CrystalBlue for better positioning for issue #447.

 lib/themes/CrystalBlue/close.xpm                 |  94 +++++++++-
 lib/themes/CrystalBlue/closeA.xpm                | 171 +++++++++---------
 lib/themes/CrystalBlue/closeO.xpm                | 175 +++++++++----------
 lib/themes/CrystalBlue/default.theme             |  29 +--
 lib/themes/CrystalBlue/dframeAB.xpm              |  12 +-
 lib/themes/CrystalBlue/dframeABL.xpm             |  14 +-
 lib/themes/CrystalBlue/dframeABR.xpm             |  14 +-
 lib/themes/CrystalBlue/dframeAL.xpm              |   8 +-
 lib/themes/CrystalBlue/dframeAR.xpm              |   8 +-
 lib/themes/CrystalBlue/dframeAT.xpm              |  64 ++++++-
 lib/themes/CrystalBlue/dframeATL.xpm             |  64 ++++++-
 lib/themes/CrystalBlue/dframeATR.xpm             |  64 ++++++-
 lib/themes/CrystalBlue/dframeIB.xpm              |  12 +-
 lib/themes/CrystalBlue/dframeIBL.xpm             |  14 +-
 lib/themes/CrystalBlue/dframeIBR.xpm             |  14 +-
 lib/themes/CrystalBlue/dframeIL.xpm              |   8 +-
 lib/themes/CrystalBlue/dframeIR.xpm              |   8 +-
 lib/themes/CrystalBlue/dframeIT.xpm              |  64 ++++++-
 lib/themes/CrystalBlue/dframeITL.xpm             |  64 ++++++-
 lib/themes/CrystalBlue/dframeITR.xpm             |  64 ++++++-
 lib/themes/CrystalBlue/frameAB.xpm               |  12 +-
 lib/themes/CrystalBlue/frameABL.xpm              |  16 +-
 lib/themes/CrystalBlue/frameABR.xpm              |  16 +-
 lib/themes/CrystalBlue/frameAL.xpm               |   6 +-
 lib/themes/CrystalBlue/frameAR.xpm               |   8 +-
 lib/themes/CrystalBlue/frameAT.xpm               |  81 +++++----
 lib/themes/CrystalBlue/frameATL.xpm              | 119 +++++++------
 lib/themes/CrystalBlue/frameATR.xpm              | 119 +++++++------
 lib/themes/CrystalBlue/frameIB.xpm               |  12 +-
 lib/themes/CrystalBlue/frameIBL.xpm              |  14 +-
 lib/themes/CrystalBlue/frameIBR.xpm              |  14 +-
 lib/themes/CrystalBlue/frameIL.xpm               |   8 +-
 lib/themes/CrystalBlue/frameIR.xpm               |   8 +-
 lib/themes/CrystalBlue/frameIT.xpm               |  64 ++++++-
 lib/themes/CrystalBlue/frameITL.xpm              |  64 ++++++-
 lib/themes/CrystalBlue/frameITR.xpm              |  64 ++++++-
 lib/themes/CrystalBlue/maximize.xpm              |  93 +++++++++-
 lib/themes/CrystalBlue/maximizeA.xpm             | 174 +++++++++---------
 lib/themes/CrystalBlue/maximizeO.xpm             | 175 +++++++++----------
 lib/themes/CrystalBlue/menuButtonA.xpm           |   1 -
 lib/themes/CrystalBlue/menuButtonI.xpm           |   1 -
 lib/themes/CrystalBlue/minimize.xpm              |  93 +++++++++-
 lib/themes/CrystalBlue/minimizeA.xpm             | 169 +++++++++---------
 lib/themes/CrystalBlue/minimizeO.xpm             | 167 ++++++++----------
 lib/themes/CrystalBlue/restore.xpm               |  93 +++++++++-
 lib/themes/CrystalBlue/restoreA.xpm              | 169 +++++++++---------
 lib/themes/CrystalBlue/restoreO.xpm              | 173 +++++++++---------
 lib/themes/CrystalBlue/rolldown.xpm              |  93 +++++++++-
 lib/themes/CrystalBlue/rolldownA.xpm             | 171 +++++++++---------
 lib/themes/CrystalBlue/rolldownO.xpm             | 167 ++++++++----------
 lib/themes/CrystalBlue/rollup.xpm                |  93 +++++++++-
 lib/themes/CrystalBlue/rollupA.xpm               | 171 +++++++++---------
 lib/themes/CrystalBlue/rollupO.xpm               | 167 ++++++++----------
 lib/themes/CrystalBlue/taskbar/collapse.xpm      | 101 ++++++-----
 lib/themes/CrystalBlue/taskbar/expand.xpm        | 101 ++++++-----
 .../CrystalBlue/taskbar/taskbuttonactive.xpm     | 125 +++++++------
 lib/themes/CrystalBlue/taskbar/taskbuttonbg.xpm  | 112 ++++++------
 .../CrystalBlue/taskbar/taskbuttonminimized.xpm  | 114 ++++++------
 lib/themes/CrystalBlue/taskbar/toolbuttonbg.xpm  |   2 +-
 lib/themes/CrystalBlue/titleAB.xpm               |  63 +++----
 lib/themes/CrystalBlue/titleAJ.xpm               |  63 -------
 lib/themes/CrystalBlue/titleAM.xpm               | 118 ++++++-------
 lib/themes/CrystalBlue/titleAP.xpm               | 118 ++++++-------
 lib/themes/CrystalBlue/titleAQ.xpm               |  63 -------
 lib/themes/CrystalBlue/titleAS.xpm               |  55 +++++-
 lib/themes/CrystalBlue/titleAT.xpm               |  62 +++----
 lib/themes/CrystalBlue/titleIB.xpm               |  55 +++++-
 lib/themes/CrystalBlue/titleIJ.xpm               |   1 -
 lib/themes/CrystalBlue/titleIM.xpm               |  52 +++++-
 lib/themes/CrystalBlue/titleIP.xpm               |  52 +++++-
 lib/themes/CrystalBlue/titleIQ.xpm               |   1 -
 lib/themes/CrystalBlue/titleIS.xpm               |  55 +++++-
 lib/themes/CrystalBlue/titleIT.xpm               |  46 ++++-
 73 files changed, 3229 insertions(+), 1890 deletions(-)

commit 102e7f1b5df9d59338c71691ad0abe504f205791
Author: Ferdinand Galko <galko.ferdinand@gmail.com>
Date:   Wed Jul 29 17:29:52 2020 +0000

    Translated using Weblate (Slovak)

    Currently translated at 100.0% (469 of 469 strings)

 po/sk.po | 14 ++++----------
 1 file changed, 4 insertions(+), 10 deletions(-)

commit 9e0a05b3776a97bf7a3733434504aa51a9b65fbc
Author: David Medina <medipas@gmail.com>
Date:   Wed Jul 29 15:08:32 2020 +0000

    Translated using Weblate (Catalan)

    Currently translated at 100.0% (469 of 469 strings)

 po/ca.po | 16 +++++-----------
 1 file changed, 5 insertions(+), 11 deletions(-)

commit cf578cdd073800bc2eaefad3b342d969f7c1f52f
Merge: ce1b17d9 5a97c114
Author: openSUSE Weblate <weblate-noreply@opensuse.org>
Date:   Wed Jul 29 14:46:15 2020 +0000

    Merge branch 'origin/icewm-1-4-BRANCH' into Weblate.

commit 5a97c114c60f8a4fc2be6fc6299307c6cc6bbbec
Author: Aleš Kastner <alkas@volny.cz>
Date:   Wed Jul 29 14:36:40 2020 +0000

    Translated using Weblate (Czech)

    Currently translated at 100.0% (469 of 469 strings)

 po/cs.po | 14 ++++----------
 1 file changed, 4 insertions(+), 10 deletions(-)

commit ce1b17d9bc3ba7907c20a6c0542f4eea6410dd12
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Wed Jul 29 11:41:26 2020 +0200

    Undo the translation of English into German in en.po.

 po/en.po | 53 +++++++++++++++++++++--------------------------------
 1 file changed, 21 insertions(+), 32 deletions(-)

commit ccfc741fa67a53f5336b76b82acc19f61fef976f
Author: Yasuhiko Kamata <belphegor@belbel.or.jp>
Date:   Wed Jul 29 01:15:39 2020 +0000

    Translated using Weblate (Japanese)

    Currently translated at 100.0% (469 of 469 strings)

 po/ja.po | 14 ++++----------
 1 file changed, 4 insertions(+), 10 deletions(-)

commit f79ef676075a5e6e2e46a1369573f4389cbe5bdd
Merge: 076eeb29 a7278d80
Author: Stanislav Brabec <sbrabec@suse.cz>
Date:   Wed Jul 29 02:16:24 2020 +0200

    Merge remote-tracking branch 'weblate/icewm-1-4-BRANCH' into
    icewm-1-4-BRANCH

commit 076eeb2959cb010d9f680051a268c01bbfedf3fe
Author: Eduard Bloch <blade@debian.org>
Date:   Mon Jul 27 22:50:09 2020 +0200

    Support icons without size spec straight in the path

    Also reformating, rephrasing, adding consideration for "/status" folder
    in the themes.

 src/yicon.cc | 81 ++++++++++++++++++++++++++++++++++++--------------------
 src/yicon.h  |  2 ++
 2 files changed, 55 insertions(+), 28 deletions(-)

commit aa56c85fc77482e816628442de5796ebe8f43092
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Jul 27 11:33:25 2020 +0200

    Improve ease of resizing near the top of the frame border.
    Reduce number of icon computations for _NET_WM_ICON.

 src/decorate.cc |  29 +++++------
 src/movesize.cc |  46 ++++++++++++------
 src/wmclient.cc |   8 +--
 src/wmclient.h  |   9 ++--
 src/wmframe.cc  | 138 +++++++++++++++++++++++++++-------------------------
 src/wmframe.h   |   2 +-
 6 files changed, 127 insertions(+), 105 deletions(-)

commit e23554a421cd27d5c10ca411d9952a7f79429c71
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Jul 27 11:32:23 2020 +0200

    Improve efficiency for titlebar buttons.

 src/wmbutton.cc | 157 ++++++++++++++++++++++++++++++++--------------------
 src/wmbutton.h  |   5 +-
 src/wmtitle.cc  |  48 ++--------------
 src/wmtitle.h   |   2 -
 src/ybutton.cc  |   2 +-
 5 files changed, 106 insertions(+), 108 deletions(-)

commit acdfa810b16dee6568e0a2a4e8716fafe9330587
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Jul 27 11:29:16 2020 +0200

    Compute topSideVerticalOffset as the unoccupied space at the top of
    frame border pixmaps.

 src/themable.h |  1 +
 src/wpixres.cc | 24 ++++++++++++++++++++++++
 2 files changed, 25 insertions(+)

commit 28b57f0cbacb81959a9dbc90f8047886d6f3d4d6
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Jul 27 11:28:24 2020 +0200

    Compute a vertical offset of pixmaps.

 src/ypixmap.cc | 23 +++++++++++++++++++++++
 src/ypixmap.h  |  1 +
 2 files changed, 24 insertions(+)

commit 1d56e43338568fc8f571395c2d6ee587925f8024
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Jul 27 11:27:13 2020 +0200

    Exclude the collapsed taskbar button from workarea calculations.

 src/wmtaskbar.cc | 19 +++++++++++++------
 src/wmtaskbar.h  |  1 +
 2 files changed, 14 insertions(+), 6 deletions(-)

commit a7278d80223e540fb43672b346d120537433b2f5
Author: Luiz Fernando Ranghetti <elchevive68@gmail.com>
Date:   Tue Jul 14 13:11:31 2020 +0000

    Translated using Weblate (Portuguese (Brazil))

    Currently translated at 100.0% (474 of 474 strings)

 po/pt_BR.po | 29 ++++++++---------------------
 1 file changed, 8 insertions(+), 21 deletions(-)

commit 8ea1235599fa7dcd7c811c8040633506baf14128
Author: Arif Budiman <arifpedia@gmail.com>
Date:   Thu Jul 23 23:44:41 2020 +0000

    Translated using Weblate (Indonesian)

    Currently translated at 100.0% (474 of 474 strings)

 po/id.po | 27 ++++++---------------------
 1 file changed, 6 insertions(+), 21 deletions(-)

commit 44891f521ab23adfed3e9d897803f4bf72545e1f
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Thu Jul 23 23:22:04 2020 +0200

    Update workspace buttons when workspace names change.

 src/aworkspaces.cc | 1 +
 1 file changed, 1 insertion(+)

commit 0b08893bbbed0df52965181dc18ebfe0ee2eff86
Author: Eduard Bloch <blade@debian.org>
Date:   Thu Jul 23 12:22:18 2020 +0200

    Load size typed icons by a specific order of prefernce

    Order of preference:
    in <size> without size-suffix
    in 0 with size-suffix
    in all-sizes-excl.ours-excl.0, without suffix
    in 0 with size-suffix like all-sizes-excl.ours-excl.0

 src/yicon.cc | 184 ++++++++++++++++++++++++++++---------------------------
 1 file changed, 94 insertions(+), 90 deletions(-)

commit 4a83785317d498df59262ddb0f23f6e918fedc0b
Author: Eduard Bloch <blade@debian.org>
Date:   Wed Jul 22 21:35:37 2020 +0200

    Extend lookup with the possibility of having the icon folder specified
    with full path by the user

    Also skip some probing when a certain folder structure can be assumed in
    the first examinations.

 src/yicon.cc | 122 +++++++++++++++++++++++++++++++------------------------
 1 file changed, 70 insertions(+), 52 deletions(-)

commit 4f8521d88b0faf71a9ff0075ba2080952d475626
Author: Eduard Bloch <blade@debian.org>
Date:   Wed Jul 22 21:05:31 2020 +0200

    Support icon themes with alternative structure

 src/yicon.cc | 41 +++++++++++++++++++++++------------------
 1 file changed, 23 insertions(+), 18 deletions(-)

commit d861c3e2a5f6e87617114a9c00c5e9953dc17518
Author: Eduard Bloch <blade@debian.org>
Date:   Wed Jul 22 20:31:20 2020 +0200

    Don't trigger glib debug assertion in corner cases

    Not sure why it happened but such menu entries were invalid before and it
    seems to happen only once, maybe on root node.

    Found with G_DEBUG=fatal-warnings set.

 src/fdomenu.cc | 18 +++++++++++++++++-
 1 file changed, 17 insertions(+), 1 deletion(-)

commit cdf01d26609aa1d5a8a9e18be24a87653393539c
Author: Eduard Bloch <blade@debian.org>
Date:   Wed Jul 22 18:48:49 2020 +0200

    Make sure not to include duplicated icon paths

    Even if the user has specified this for some reason, like simplified
    config with special wildcards.

 src/mstring.h |  1 +
 src/yicon.cc  | 11 ++++++++---
 2 files changed, 9 insertions(+), 3 deletions(-)

commit 4a2d188a856814beabd74f1ae66ef344355d02ac
Author: Eduard Bloch <blade@debian.org>
Date:   Wed Jul 22 18:08:37 2020 +0200

    Locating more special icons

    Also catch icons in base subfolder and those of type "devices" and
    "places" since they useful in menus like Settings.

 src/yicon.cc | 31 ++++++++++++++++++++++---------
 src/yicon.h  |  8 +++++---
 2 files changed, 27 insertions(+), 12 deletions(-)

commit b2810f54e191b3913cdcc3ce99cb0f00f641f011
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Wed Jul 22 18:35:04 2020 +0200

    Store titlebar buttons in an array. Remove unused MiniIcons when changing
    workarea dimensions. Repaint a menu button just once. Delete unused
    titlebar buttons. Fixes for titlebars of tiny windows.

 src/wmbutton.cc |  92 ++++++++++++++----
 src/wmbutton.h  |  18 ++--
 src/wmframe.cc  |  12 ++-
 src/wmtitle.cc  | 266 +++++++++++++---------------------------------------
 src/wmtitle.h   |  45 ++++-----
 5 files changed, 174 insertions(+), 259 deletions(-)

commit 66682e5aa1dd0c924d5f68893727401c541f70aa
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Wed Jul 22 18:33:24 2020 +0200

    Only show a sticky window once on all PagerShowPreview workspace buttons.'

 src/aworkspaces.cc | 37 +++++++++++++++++++++----------------
 src/aworkspaces.h  |  4 +---
 src/wmtaskbar.cc   |  1 +
 3 files changed, 23 insertions(+), 19 deletions(-)

commit e11590ba6303f62f705c220d8725ba7756726c13
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Wed Jul 22 18:32:26 2020 +0200

    Consider ClickToFocus when focussing a MiniIcon

 src/wmminiicon.cc | 2 ++
 1 file changed, 2 insertions(+)

commit 55696076b7947c3bb265ac62158246f2f49c7770
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Wed Jul 22 18:31:37 2020 +0200

    Free titlebar when none is needed.

 src/decorate.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit c376e6deddc48ae0260389f2e432dcc6c497162e
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Tue Jul 21 10:37:17 2020 +0200

    Use a enumerated type for title buttons supported.

 src/wmtitle.cc | 87 +++++++++++++++++++++++++++---------------------------
 src/wmtitle.h  | 17 ++++++++---
 2 files changed, 56 insertions(+), 48 deletions(-)

commit de293955d6254e5503a9f25720378e9fbb188563
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Tue Jul 21 10:10:40 2020 +0200

    Make button hover work after a click-cancel for #448.

 src/ybutton.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 4436daa8fe3daadaece756cb1a122a7785de7e03
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Jul 20 20:42:35 2020 +0200

    Allow quick repititions of rollup/down for backwards compatibility.

 src/wmbutton.cc | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

commit a20d71a5a5618c1502f9efc2548bb4d9d1165aa3
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Jul 20 01:39:17 2020 +0200

    Don't cache temporary NAtoms.

 src/icesh.cc | 9 +++++----
 1 file changed, 5 insertions(+), 4 deletions(-)

commit de6388769e26c4b74171d98ec540b47024ad4407
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Jul 20 01:38:45 2020 +0200

    Focus miniicons on mouse enter.

 src/wmminiicon.cc | 24 ++++++++++++++++++++----
 1 file changed, 20 insertions(+), 4 deletions(-)

commit 90d590ad62e2dcffa1862ed9c1b574e2797b5a92
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Jul 20 01:37:50 2020 +0200

    Do less when a frame is unmanaged.

 src/wmmgr.cc | 12 ++++++------
 1 file changed, 6 insertions(+), 6 deletions(-)

commit 9690a2244187ce04da03b687d297b34ea63bf3f4
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Jul 20 01:37:04 2020 +0200

    Fix for correctly computing the X shape mask of shaped titlebars. Fix
    for updating titlebar shape when title changes. Undo unroll on single
    click on titlebar.

 src/decorate.cc | 24 ++++++++++++++----------
 src/wmframe.cc  | 25 +++++++++++--------------
 src/wmframe.h   |  4 ++--
 src/wmtitle.cc  | 14 ++++++--------
 src/wmtitle.h   |  6 +-----
 5 files changed, 34 insertions(+), 39 deletions(-)

commit e051df01e1a67dacb3dddfc6f7a662990ef5de6e
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Jul 20 01:28:47 2020 +0200

    Simplify window titles.

 src/wmclient.cc | 150 ++++++++++++++--------------------------------------
 src/wmclient.h  |   6 ---
 2 files changed, 39 insertions(+), 117 deletions(-)

commit 7c207677c695be466f4e0d91f1effd7d4b95b645
Author: Eduard Bloch <blade@debian.org>
Date:   Sun Jul 19 13:12:27 2020 +0200

    Putting resource/system icons into different groups

    Instead of filtering while looping

 src/yicon.cc | 61 ++++++++++++++++++++++++++++++++------------------------
 src/yicon.h  |  7 +------
 2 files changed, 36 insertions(+), 32 deletions(-)

commit 1b94bdf8c851dbb7d1922052cfa5d2143249c730
Author: Eduard Bloch <blade@debian.org>
Date:   Sun Jul 19 11:48:56 2020 +0200

    Added basic indexing of source types and purpose

    And prefer our resource folders over external paths

 src/yicon.cc | 79 +++++++++++++++++++++++++++++++++++++++-----------------
 src/yicon.h  | 16 ++++++++++++
 2 files changed, 72 insertions(+), 23 deletions(-)

commit 941793ff0647a5e8b709558033a84cb62fa79f0d
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sat Jul 18 22:48:49 2020 +0200

    Manage title bar local to iconify.

 src/wmframe.cc | 11 ++++++-----
 1 file changed, 6 insertions(+), 5 deletions(-)

commit 4ad32f3848039db2918f3d3ca37009e3e74fc512
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sat Jul 18 22:47:45 2020 +0200

    Assume window under mouse is in normal state.

 src/wmmgr.cc | 1 -
 1 file changed, 1 deletion(-)

commit f63b4039fa78174b93b5f69bb7330a05c99d834d
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sat Jul 18 22:47:02 2020 +0200

    When iconic restore by toggling minimized.

 src/movesize.cc | 7 ++++---
 1 file changed, 4 insertions(+), 3 deletions(-)

commit 771a1dd934196f3eca569ee3ec20c9e22f582d2c
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sat Jul 18 22:46:04 2020 +0200

    Don't layout titlebar when minimized to desktop.

 src/decorate.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 581413330da4aaac348ab52f8dc0051c8c184b07
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sat Jul 18 22:44:38 2020 +0200

    Don't activate frame when button press on rollup button for issue #446.

 src/wmbutton.cc | 1 +
 1 file changed, 1 insertion(+)

commit bce1293c03cc237ee6edf30b07deae13f249ecf4
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sat Jul 18 06:58:55 2020 +0200

    Enable Arrange Icons in taskbar menu to rearrange all desktop miniicons.

 src/wmapp.cc     | 2 ++
 src/wmtaskbar.cc | 2 +-
 2 files changed, 3 insertions(+), 1 deletion(-)

commit 10d40411c0ec6bd59d62bd0c194ef8803860eba1
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sat Jul 18 06:53:50 2020 +0200

    Add arrangeIcons to rearrange miniicons. Update icon positions when
    workarea changes. Don't allow focus timer or autoraise timer to
    interfere when a frame is minimized, iconified or rolledup.

 src/wmframe.cc | 84 ++++++++++++++++++++++++++++++++++--------------------
 src/wmframe.h  | 10 +++----
 src/wmmgr.cc   | 19 +++++++++---
 src/wmmgr.h    |  2 ++
 4 files changed, 75 insertions(+), 40 deletions(-)

commit af79ca03cdac6d06b0b88aa4a576a92f8a4dd2be
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sat Jul 18 06:51:52 2020 +0200

    Handle WM_CHANGE_STATE messages via actionPerformed.
    Don't set _NET_WM_STATE_FOCUSED when mimimized, hidden or rolledup.

 src/wmclient.cc | 35 ++++++++++++++++++++---------------
 1 file changed, 20 insertions(+), 15 deletions(-)

commit b3616aa3d27e25d3b5ba9cd99b861a3d92408c9a
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sat Jul 18 06:45:23 2020 +0200

    Turn clipping for workspace buttons.

 src/aworkspaces.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit ba80c033b45ae76c69d6bd8ec70b57849ef2e7b4
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sat Jul 18 06:45:02 2020 +0200

    Support clipping in GraphicsBuffer.

 src/ypaint.cc | 18 +++++++++++-------
 src/ypaint.h  |  4 +++-
 2 files changed, 14 insertions(+), 8 deletions(-)

commit 7472dc7f2c7619decc51b690fb396b30b309649f
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sat Jul 18 06:44:01 2020 +0200

    When restoring from Iconic state then also raise.

 src/movesize.cc | 2 ++
 1 file changed, 2 insertions(+)

commit 1425ddc3e4a17111583ea285fcba7e156493bed8
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sat Jul 18 06:43:32 2020 +0200

    Add changeState. Replace yarray with vector.

 src/icesh.cc | 123 +++++++++++++++++++++++++++++++++++++++++--------------
 1 file changed, 92 insertions(+), 31 deletions(-)

commit 30f9c76fd186dee1cd13044f47d0d80af36bac7a
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sat Jul 18 06:43:11 2020 +0200

    Remove handleCreateWindow.

 src/ywindow.cc | 4 ----
 src/ywindow.h  | 3 ---
 2 files changed, 7 deletions(-)

commit 58501ac6b9ab8dbb30893f473e758ba81f2081da
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sat Jul 18 06:42:47 2020 +0200

    Simplify using visibleNow.

 src/atray.cc     | 3 +--
 src/decorate.cc  | 2 +-
 src/wmwinmenu.cc | 3 +--
 3 files changed, 3 insertions(+), 5 deletions(-)

commit fcd5bbefca3ed581d81b08b3fde750756fb95c31
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sat Jul 18 05:57:32 2020 +0200

    Only hide title when minimizeToDesktop for issue #446.

 src/wmframe.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 909ecdb3cddcac1772e53d31e5cd4027d9927bb9
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Fri Jul 17 01:01:08 2020 +0200

    Update theme NanoBlue from Nano.Blue-1.4.zip.

 lib/themes/NanoBlue/dframeAB.xpm                 |  18 +-
 lib/themes/NanoBlue/dframeABL.xpm                |   2 +-
 lib/themes/NanoBlue/dframeABR.xpm                |   2 +-
 lib/themes/NanoBlue/dframeAL.xpm                 |   2 +-
 lib/themes/NanoBlue/dframeAR.xpm                 |   2 +-
 lib/themes/NanoBlue/dframeAT.xpm                 |  20 +-
 lib/themes/NanoBlue/dframeATL.xpm                | 180 +++++++++---------
 lib/themes/NanoBlue/dframeATR.xpm                | 182 +++++++++----------
 lib/themes/NanoBlue/dframeIB.xpm                 |  18 +-
 lib/themes/NanoBlue/dframeIBL.xpm                |   2 +-
 lib/themes/NanoBlue/dframeIBR.xpm                |   2 +-
 lib/themes/NanoBlue/dframeIL.xpm                 |   2 +-
 lib/themes/NanoBlue/dframeIR.xpm                 |   2 +-
 lib/themes/NanoBlue/dframeIT.xpm                 |  20 +-
 lib/themes/NanoBlue/dframeITL.xpm                | 180 +++++++++---------
 lib/themes/NanoBlue/dframeITR.xpm                | 182 +++++++++----------
 lib/themes/NanoBlue/expandI.xpm                  |   2 +-
 lib/themes/NanoBlue/frameAB.xpm                  |  18 +-
 lib/themes/NanoBlue/frameAT.xpm                  |  20 +-
 lib/themes/NanoBlue/frameATL.xpm                 | 180 +++++++++---------
 lib/themes/NanoBlue/frameATR.xpm                 | 182 +++++++++----------
 lib/themes/NanoBlue/frameIB.xpm                  |  18 +-
 lib/themes/NanoBlue/frameIBL.xpm                 |   2 +-
 lib/themes/NanoBlue/frameIBR.xpm                 |   2 +-
 lib/themes/NanoBlue/frameIL.xpm                  |   2 +-
 lib/themes/NanoBlue/frameIR.xpm                  |   2 +-
 lib/themes/NanoBlue/frameIT.xpm                  |  20 +-
 lib/themes/NanoBlue/frameITL.xpm                 | 180 +++++++++---------
 lib/themes/NanoBlue/frameITR.xpm                 | 182 +++++++++----------
 lib/themes/NanoBlue/ledclock/space.xpm           |   2 +-
 lib/themes/NanoBlue/maximizeI.xpm                |   2 +-
 lib/themes/NanoBlue/menuButtonA.xpm              |   2 +-
 lib/themes/NanoBlue/menuButtonI.xpm              |   2 +-
 lib/themes/NanoBlue/menuButtonO.xpm              |   2 +-
 lib/themes/NanoBlue/minimizeI.xpm                |   2 +-
 lib/themes/NanoBlue/restoreI.xpm                 |   2 +-
 lib/themes/NanoBlue/taskbar/taskbuttonbg.xpm     | 111 +++++------
 .../NanoBlue/taskbar/taskbuttonminimized.xpm     | 113 ++++++------
 lib/themes/NanoBlue/taskbar/toolbuttonbg.xpm     | 113 ++++++------
 lib/themes/NanoBlue/titleAB.xpm                  |  98 +++++-----
 lib/themes/NanoBlue/titleAL.xpm                  |  98 +++++-----
 lib/themes/NanoBlue/titleAM.xpm                  |  98 +++++-----
 lib/themes/NanoBlue/titleAP.xpm                  |  98 +++++-----
 lib/themes/NanoBlue/titleAR.xpm                  |  98 +++++-----
 lib/themes/NanoBlue/titleAS.xpm                  |  98 +++++-----
 lib/themes/NanoBlue/titleAT.xpm                  |  98 +++++-----
 lib/themes/NanoBlue/titleIB.xpm                  |  98 +++++-----
 lib/themes/NanoBlue/titleIL.xpm                  |  98 +++++-----
 lib/themes/NanoBlue/titleIM.xpm                  |  98 +++++-----
 lib/themes/NanoBlue/titleIP.xpm                  |  98 +++++-----
 lib/themes/NanoBlue/titleIR.xpm                  |  98 +++++-----
 lib/themes/NanoBlue/titleIS.xpm                  |  98 +++++-----
 lib/themes/NanoBlue/titleIT.xpm                  |  98 +++++-----
 53 files changed, 1676 insertions(+), 1673 deletions(-)

commit a9472d4f0a7c4fcd542344aac19338e2f76825e8
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Thu Jul 16 22:50:29 2020 +0200

    Remove 2 obsolete files in theme NanoBlue.

 lib/Makefile.am                  |  2 -
 lib/themes/NanoBlue/drameAB.xpm  |  9 ----
 lib/themes/NanoBlue/drameATR.xpm | 91 ------------------------------------
 3 files changed, 102 deletions(-)

commit db3cd63ec374bb942ee16efa2719a039707800b8
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Thu Jul 16 22:37:13 2020 +0200

    Remove unused variables.

 src/wmmgr.cc | 4 +---
 1 file changed, 1 insertion(+), 3 deletions(-)

commit b87e4b7ec8249a7163884dcca4c23dea0878a094
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Thu Jul 16 22:36:09 2020 +0200

    fix space alignment

 src/default.h | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 485123cfc5bb8167db2913262944667a9bb4a5eb
Author: Code7R <Code7R@users.noreply.github.com>
Date:   Thu Jul 16 22:25:13 2020 +0200

    [WIP] Discover and remember existing icon paths (#444)

    Discover and remember existing icon paths.
    This avoids blind attempts to access icons in unknown folders.
    This also implements a selection option (or excluding option) for
    specific (maybe pattern matched) XDG icon themes.
    Also reorder icon members to save memory (due to type alignment).
    Dropping hardcoded theme subfolders.
    Also unifying Linux and BSD variants
    Also reordered the building of suffix candidates to check better icon
    types first, assuming that foo.png would be better than foo_32x32.xpm .
    Document IconThemes and changed IconPaths settings.

 doc/icewm.adoc            |   9 +-
 man/icewm-preferences.pod |  14 +-
 src/config.cmake.h.in     |   1 +
 src/default.h             |   1 +
 src/ycollections.h        |  12 ++
 src/yicon.cc              | 341 ++++++++++++++++++++++++------------------
 src/yicon.h               |   5 +-
 src/yprefs.h              |  18 +--
 8 files changed, 228 insertions(+), 173 deletions(-)

commit 9c4b5a3046525d5c447ff3875922f76f355a38ef
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Thu Jul 16 21:59:24 2020 +0200

    Place icons considering the workarea.

 src/wmmgr.cc | 44 +++++++++++++++++++++++++++++++-------------
 src/wmmgr.h  |  3 +++
 2 files changed, 34 insertions(+), 13 deletions(-)

commit 1fc69bec52b7fb46c37d5ccfeb0b2299a08f2e54
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Thu Jul 16 21:57:56 2020 +0200

    Also drag miniicons with left mouse button. Make drawing miniicons
    more efficient.

 src/wmminiicon.cc | 88 ++++++++++++++++++++++++++++++++-------------------
 src/wmminiicon.h  |  5 +++
 2 files changed, 60 insertions(+), 33 deletions(-)

commit ddc5448ce20160aca301645497648ec317db9df1
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Thu Jul 16 20:39:16 2020 +0200

    handleIdle is virtual

 src/yxapp.h | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit a359a204ab90e78b594224f72d7aa229a0ea6bf4
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Thu Jul 16 20:38:23 2020 +0200

    Hide titlebar if isIconic and MinimizeToDesktop.

 src/wmframe.cc | 13 ++++++++-----
 1 file changed, 8 insertions(+), 5 deletions(-)

commit 182de7e2a3fe7bc4ade99ec7e6d73ef36defc2e5
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Thu Jul 16 20:37:11 2020 +0200

    Set WM_ICON_SIZE according to theme icon sizes.

 src/wmapp.cc | 26 ++++++++++++++++++++------
 1 file changed, 20 insertions(+), 6 deletions(-)

commit 1cfbe059afa740346d7083ad1e1b537d08e65ca0
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Wed Jul 15 19:48:32 2020 +0200

    Check window may have _NET_WM_NAME. Print more of WM_HINTS property.

 src/icesh.cc | 27 +++++++++++++--------------
 1 file changed, 13 insertions(+), 14 deletions(-)

commit deed70008b4e2d28322c1ad4d8e1d8d142457023
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Wed Jul 15 19:44:42 2020 +0200

    Add begin() + end() to YArrays for C++11 for loops.

 src/yarray.cc |  4 ++--
 src/yarray.h  | 21 +++++++++++++++++----
 2 files changed, 19 insertions(+), 6 deletions(-)

commit f60340768c55fc209148d23571cb5a12f32bc3a4
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Wed Jul 15 19:26:41 2020 +0200

    Add sys/resource.h for FreeBSD for issue #445.

 src/acpustatus.cc | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit 32c295c85d22eb958d16d17ec5c2b70a601bdb13
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Wed Jul 15 19:24:06 2020 +0200

    Add definition of ACPIDEV for FreeBSD.

 src/aapm.h | 3 +++
 1 file changed, 3 insertions(+)

commit 1a0bd2dc184601c33079341f94ea4375d8c7c269
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Wed Jul 15 19:21:34 2020 +0200

    update to 1.7.0

 AUTHORS      |   12 +-
 ChangeLog    | 8171 ++++++++++++++++++++++++++++--------------------------
 README.md    |    4 +-
 RELEASE.md   |    2 +-
 VERSION      |    2 +-
 configure.ac |   10 +-
 6 files changed, 4271 insertions(+), 3930 deletions(-)

commit c60c3f235f79bf8c24f8f175c692185bc4a6d4d7
Author: Sarah Kriesch <ada.lovelace@gmx.de>
Date:   Sat Jul 4 18:46:25 2020 +0000

    Translated using Weblate (German)

    Currently translated at 100.0% (474 of 474 strings)

 po/de.po | 22 +++++-----------------
 1 file changed, 5 insertions(+), 17 deletions(-)

commit 75ba6095192ba54bdd5fba8ca19a4bf9ba1bcd18
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Jul 12 20:03:50 2020 +0200

    Prepare 1.7.0 release

 AUTHORS      |   12 +-
 ChangeLog    | 8171 ++++++++++++++++++++++++++++--------------------------
 NEWS         |  Bin 29248 -> 26387 bytes
 README.md    |   36 +-
 RELEASE.md   |    2 +-
 VERSION      |    2 +-
 configure.ac |   10 +-
 po/ar.po     |    2 +-
 po/be.po     |    2 +-
 po/bg.po     |    2 +-
 po/ca.po     |    2 +-
 po/cs.po     |    2 +-
 po/da.po     |    2 +-
 po/de.po     |    2 +-
 po/el.po     |    2 +-
 po/en.po     |    2 +-
 po/es.po     |    2 +-
 po/fi.po     |    2 +-
 po/fr.po     |    2 +-
 po/he.po     |    2 +-
 po/hr.po     |    2 +-
 po/hu.po     |    2 +-
 po/icewm.pot |    4 +-
 po/id.po     |    2 +-
 po/it.po     |    2 +-
 po/ja.po     |    2 +-
 po/ko.po     |    2 +-
 po/lt.po     |    2 +-
 po/lv.po     |    2 +-
 po/mk.po     |    2 +-
 po/nb.po     |    2 +-
 po/nl.po     |    2 +-
 po/no.po     |    2 +-
 po/pl.po     |    2 +-
 po/pt_BR.po  |    2 +-
 po/ro.po     |    2 +-
 po/ru.po     |    2 +-
 po/sk.po     |    2 +-
 po/sl.po     |    2 +-
 po/sv.po     |    2 +-
 po/tr.po     |    2 +-
 po/uk.po     |    2 +-
 po/vi.po     |    2 +-
 po/zh_CN.po  |    2 +-
 po/zh_TW.po  |    2 +-
 45 files changed, 4326 insertions(+), 3985 deletions(-)

commit da559935c3d27b60ee0e8fed97d27fbc332c0506
Merge: 70dadbf4 1a8f4336
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Jul 12 19:58:41 2020 +0200

    Merge branch 'icewm-1-4-BRANCH'

commit 1a8f433642b62f0c27a52f3e9c1e13a933d4a4a9
Merge: 6c103076 f5aa6146
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Jul 12 19:56:36 2020 +0200

    Merge remote-tracking branch 'upstream/icewm-1-4-BRANCH' into
    icewm-1-4-BRANCH

commit f5aa6146a5c3a0a26fe037f0a408407fed65e0fa
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Jul 12 19:52:00 2020 +0200

    make update-po

 po/ar.po     | 262 ++++++++++++++++++++++++++----------------------------
 po/be.po     | 241 +++++++++++++++++++++++--------------------------
 po/bg.po     | 241 +++++++++++++++++++++++--------------------------
 po/ca.po     | 262 ++++++++++++++++++++++++++----------------------------
 po/cs.po     | 262 ++++++++++++++++++++++++++----------------------------
 po/da.po     | 262 ++++++++++++++++++++++++++----------------------------
 po/de.po     | 262 ++++++++++++++++++++++++++----------------------------
 po/el.po     | 262 ++++++++++++++++++++++++++----------------------------
 po/en.po     | 235 ++++++++++++++++++++++--------------------------
 po/es.po     | 262 ++++++++++++++++++++++++++----------------------------
 po/fi.po     | 241 +++++++++++++++++++++++--------------------------
 po/fr.po     | 262 ++++++++++++++++++++++++++----------------------------
 po/he.po     | 238 ++++++++++++++++++++++---------------------------
 po/hr.po     | 241 +++++++++++++++++++++++--------------------------
 po/hu.po     | 266 +++++++++++++++++++++++++++----------------------------
 po/icewm.pot | 237 ++++++++++++++++++++++---------------------------
 po/id.po     | 262 ++++++++++++++++++++++++++----------------------------
 po/it.po     | 262 ++++++++++++++++++++++++++----------------------------
 po/ja.po     | 262 ++++++++++++++++++++++++++----------------------------
 po/ko.po     | 262 ++++++++++++++++++++++++++----------------------------
 po/lt.po     | 247 ++++++++++++++++++++++++---------------------------
 po/lv.po     | 241 +++++++++++++++++++++++--------------------------
 po/mk.po     | 241 +++++++++++++++++++++++--------------------------
 po/nb.po     | 241 +++++++++++++++++++++++--------------------------
 po/nl.po     | 262 ++++++++++++++++++++++++++----------------------------
 po/no.po     | 241 +++++++++++++++++++++++--------------------------
 po/pl.po     | 262 ++++++++++++++++++++++++++----------------------------
 po/pt_BR.po  | 264 ++++++++++++++++++++++++++----------------------------
 po/ro.po     | 241 +++++++++++++++++++++++--------------------------
 po/ru.po     | 262 ++++++++++++++++++++++++++----------------------------
 po/sk.po     | 262 ++++++++++++++++++++++++++----------------------------
 po/sl.po     | 241 +++++++++++++++++++++++--------------------------
 po/sv.po     | 262 ++++++++++++++++++++++++++----------------------------
 po/tr.po     | 241 +++++++++++++++++++++++--------------------------
 po/uk.po     | 265 +++++++++++++++++++++++++++---------------------------
 po/vi.po     | 241 +++++++++++++++++++++++--------------------------
 po/zh_CN.po  | 262 ++++++++++++++++++++++++++----------------------------
 po/zh_TW.po  | 262 ++++++++++++++++++++++++++----------------------------
 38 files changed, 4550 insertions(+), 5072 deletions(-)

commit 606fdaa38e4a64d90b157f547b479ec3de7a804e
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Jul 12 19:28:24 2020 +0200

    Add --help usage.

 rebuild.sh | 17 +++++++++++++++++
 1 file changed, 17 insertions(+)

commit 6798e9e1b260962298c5bd87b414fdf24928d209
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Jul 12 18:39:49 2020 +0200

    Fix explanation.

 man/icewm.pod | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

commit 51551a5966ec48f9ac866b9872c55a48d59dcf9d
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Jul 12 18:39:01 2020 +0200

    Fix move menu and layer menu for selections in window list window.

 src/wmwinlist.cc | 4 ++++
 1 file changed, 4 insertions(+)

commit f746312d077cb8bfb168a5c1eb6cac6b7c22ae83
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sat Jul 11 12:33:58 2020 +0200

    Different option formatting.

 man/icewm.pod | 340 +++++++++++++++++++++++++++---------------------------
 1 file changed, 170 insertions(+), 170 deletions(-)

commit 247a75059f1e001525eaf9e78539ca439f818117
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sat Jul 11 12:01:45 2020 +0200

    Desktop mouse wheel focus.

 man/icewm.pod | 13 +++++++------
 1 file changed, 7 insertions(+), 6 deletions(-)

commit 796ab3c831df0eb05d85ae02730828a2ffd03327
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sat Jul 11 11:35:59 2020 +0200

    Don't take away focus from an application when icewm exits.  On startup
    check _NET_ACTIVE_WINDOW and use it to preserve focus over restarts.

 src/wmmgr.cc | 97 ++++++++++++++++++++++++++------------------------------
 src/wmmgr.h  |  5 +--
 2 files changed, 48 insertions(+), 54 deletions(-)

commit 30d9c65509c71239833054171fa5da08a0ca5b0c
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sat Jul 11 11:35:35 2020 +0200

    Simplify menu creation.

 src/wmapp.cc | 42 +++++++++++++++++++++---------------------
 1 file changed, 21 insertions(+), 21 deletions(-)

commit 1f5972ec8adaa04f8341d88ac1e7200c9aa032ff
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Fri Jul 10 17:53:14 2020 +0200

    Add missing acquire in c_str.

 src/mstring.cc | 1 +
 1 file changed, 1 insertion(+)

commit 92ca7ed4dd1f8ceb30818e5c4e774ab8c5d41e31
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Thu Jul 9 21:34:36 2020 +0200

    Support ICCCM WM_CHANGE_STATE messages. Simplify UnmapNotify message
    handling.

 src/wmmgr.cc | 19 ++++++++++++-------
 1 file changed, 12 insertions(+), 7 deletions(-)

commit 5113341279036086d423f7ba7b0658ed692da18c
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Thu Jul 9 12:43:36 2020 +0200

    Modernize use of nullptr.

 src/aaddressbar.cc |   4 +-
 src/aaddressbar.h  |   2 +-
 src/aapm.cc        |  62 ++++++++++++++--------------
 src/aapm.h         |   2 +-
 src/aclock.cc      |  12 +++---
 src/acpustatus.cc  |  10 ++---
 src/akeyboard.cc   |   2 +-
 src/amailbox.cc    |  24 +++++------
 src/amemstatus.cc  |   8 ++--
 src/apppstatus.cc  |  24 +++++------
 src/apppstatus.h   |   2 +-
 src/argument.h     |   6 +--
 src/atasks.cc      |  20 ++++-----
 src/atray.cc       |   6 +--
 src/aworkspaces.cc |  10 ++---
 src/base.h         |   2 +-
 src/browse.cc      |   2 +-
 src/browse.h       |   2 +-
 src/decorate.cc    |   4 +-
 src/fdomenu.cc     |  54 ++++++++++++------------
 src/fdospecgen.h   | 108 ++++++++++++++++++++++++------------------------
 src/genpref.cc     |   6 +--
 src/globit.c       |  14 +++----
 src/icehelp.cc     |  70 +++++++++++++++----------------
 src/icesh.cc       |   4 +-
 src/icesm.cc       |  22 +++++-----
 src/icesound.cc    |  72 ++++++++++++++++----------------
 src/icewmbg.cc     |  44 ++++++++++----------
 src/icewmhint.cc   |   4 +-
 src/misc.cc        |  46 ++++++++++-----------
 src/objmenu.h      |   2 +-
 src/ref.cc         |   2 +-
 src/ref.h          |  20 ++++-----
 src/strtest.cc     |  10 ++---
 src/themes.cc      |  12 +++---
 src/themes.h       |   2 +-
 src/udir.cc        |  20 ++++-----
 src/udir.h         |   4 +-
 src/upath.cc       |   4 +-
 src/upath.h        |   6 +--
 src/wmabout.cc     |   4 +-
 src/wmapp.cc       |  84 ++++++++++++++++++-------------------
 src/wmapp.h        |   4 +-
 src/wmclient.cc    |  44 ++++++++++----------
 src/wmclient.h     |   4 +-
 src/wmcontainer.cc |   2 +-
 src/wmdialog.cc    |  18 ++++----
 src/wmframe.cc     | 110 ++++++++++++++++++++++++-------------------------
 src/wmframe.h      |   2 +-
 src/wmmenu.cc      |  64 ++++++++++++++--------------
 src/wmmgr.cc       |  84 ++++++++++++++++++-------------------
 src/wmmgr.h        |   2 +-
 src/wmoption.cc    |   4 +-
 src/wmprog.cc      |  28 ++++++-------
 src/wmprog.h       |   6 +--
 src/wmsession.cc   |  14 +++----
 src/wmstatus.cc    |   2 +-
 src/wmswitch.cc    |  28 ++++++-------
 src/wmswitch.h     |   6 +--
 src/wmtaskbar.cc   |  18 ++++----
 src/wmtitle.cc     |  60 +++++++++++++--------------
 src/wmwinlist.cc   |  12 +++---
 src/wmwinmenu.cc   |   8 ++--
 src/wmwinmenu.h    |   2 +-
 src/wpixres.cc     |  18 ++++----
 src/yapp.cc        |  22 +++++-----
 src/yarray.cc      |   4 +-
 src/yarray.h       |  10 ++---
 src/ybutton.cc     |   6 +--
 src/ybutton.h      |   2 +-
 src/ycollections.h |   4 +-
 src/ycolor.cc      |   2 +-
 src/ycolor.h       |  12 +++---
 src/yconfig.cc     |  12 +++---
 src/yconfig.h      |   2 +-
 src/ydialog.cc     |   2 +-
 src/ydialog.h      |   2 +-
 src/yfontxft.cc    |  22 +++++-----
 src/yicon.cc       |   8 ++--
 src/yimage_gdk.cc  |  20 ++++-----
 src/yinput.cc      |   8 ++--
 src/yinputline.h   |   2 +-
 src/ylabel.h       |   2 +-
 src/ylist.h        |   4 +-
 src/ylistbox.cc    |   4 +-
 src/ymenu.cc       |  50 +++++++++++-----------
 src/ymenu.h        |   2 +-
 src/ymenuitem.cc   |   6 +--
 src/ymenuitem.h    |   2 +-
 src/ymsgbox.cc     |  12 +++---
 src/ymsgbox.h      |   2 +-
 src/ypaint.cc      |  18 ++++----
 src/ypipereader.cc |   2 +-
 src/ypixmap.cc     |   4 +-
 src/ypopup.cc      |  20 ++++-----
 src/yscrollbar.cc  |   6 +--
 src/yscrollview.cc |   6 +--
 src/ysmapp.cc      |  54 ++++++++++++------------
 src/ysmapp.h       |   2 +-
 src/ysocket.cc     |   4 +-
 src/ytime.cc       |   2 +-
 src/ytimer.cc      |   4 +-
 src/yurl.cc        |   2 +-
 src/ywindow.cc     |  60 +++++++++++++--------------
 src/ywindow.h      |   2 +-
 src/yxapp.cc       |  42 +++++++++----------
 src/yxapp.h        |   4 +-
 src/yxcontext.h    |  10 ++---
 src/yxtray.cc      |   6 +--
 src/yxtray.h       |   2 +-
 110 files changed, 916 insertions(+), 916 deletions(-)

commit a6f88293b8f9fe94c292413f902062fe7d60619f
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Thu Jul 9 12:43:01 2020 +0200

    Fix clang warnings.

 src/wmmgr.cc | 4 +++-
 src/ypaint.h | 2 +-
 2 files changed, 4 insertions(+), 2 deletions(-)

commit d6d6954af453f64c661747d1909a58b8b2c1753d
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Wed Jul 8 21:07:17 2020 +0200

    Remove findPath.

 src/upath.h     |  2 --
 src/wmdialog.cc |  5 +++--
 src/wmmenu.cc   | 41 ++++++++++++++++++-----------------------
 src/wmprog.cc   | 21 ++++++++++-----------
 src/yconfig.cc  | 21 ---------------------
 5 files changed, 31 insertions(+), 59 deletions(-)

commit 86cb16875a728d79c1d4f40813d1464ad10a9173
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Wed Jul 8 01:28:10 2020 +0200

    Remove initFontPath. Make defaultAppIcon local.

 src/wmapp.cc   | 111 +----------------------------------------------------
 src/wmapp.h    |  11 +++---
 src/wmframe.cc |   2 +-
 3 files changed, 8 insertions(+), 116 deletions(-)

commit 6b65b9b46fca05775a0ed93c7015105cabe17985
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Tue Jul 7 23:53:18 2020 +0200

    Fix for --enable-debug.

 src/acpustatus.cc | 8 ++++----
 src/wmclient.cc   | 9 +++++++--
 src/wmmgr.cc      | 6 +++---
 src/yarray.cc     | 2 --
 src/ypaths.cc     | 2 +-
 src/ypaths.h      | 2 +-
 6 files changed, 16 insertions(+), 13 deletions(-)

commit cc25ca1e3c36ed3aca792372cb8f95d0c4affc8e
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Tue Jul 7 23:25:52 2020 +0200

    Make cstring obsolete and remove it.

 src/aaddressbar.cc |  5 ++---
 src/aapm.h         |  2 +-
 src/akeyboard.cc   |  4 ++--
 src/amailbox.cc    | 26 +++++++++++-----------
 src/amailbox.h     |  4 ++--
 src/apppstatus.cc  | 16 +++++++-------
 src/apppstatus.h   | 28 ++++++++++++------------
 src/atray.cc       |  2 +-
 src/aworkspaces.cc |  6 +++---
 src/icehelp.cc     | 58 +++++++++++++++++++++++++-------------------------
 src/icerun.cc      |  4 ++--
 src/icesm.cc       |  2 +-
 src/icesound.cc    |  2 +-
 src/icewmbg.cc     |  6 +++---
 src/mstring.cc     | 21 ++++++++++++------
 src/mstring.h      | 39 ++++-----------------------------
 src/strtest.cc     | 18 ++++++++--------
 src/themes.cc      |  6 +++---
 src/udir.cc        |  2 +-
 src/upath.cc       | 47 ++++++++++++++++++++--------------------
 src/upath.h        | 51 ++++++++++++++++++++++----------------------
 src/wmapp.cc       | 37 ++++++++++++++++----------------
 src/wmclient.cc    |  6 +++---
 src/wmconfig.cc    | 10 ++++-----
 src/wmconfig.h     |  2 +-
 src/wmframe.cc     |  2 +-
 src/wmmenu.cc      |  6 +++---
 src/wmmgr.cc       | 12 +++++------
 src/wmoption.cc    |  2 --
 src/wmprog.cc      | 16 +++++++-------
 src/wmsession.cc   | 12 +++++------
 src/wmswitch.cc    |  2 +-
 src/yapp.cc        |  2 +-
 src/yarray.cc      |  6 +++---
 src/ycolor.cc      |  8 +++----
 src/ycursor.cc     |  6 +++---
 src/yfont.cc       |  9 ++------
 src/yfontcore.cc   | 14 ++++++------
 src/yfontxft.cc    | 20 ++++++++---------
 src/yicon.cc       | 15 ++++++-------
 src/yimage_gdk.cc  |  2 +-
 src/yinput.cc      |  2 +-
 src/ylistbox.cc    |  2 +-
 src/ymsgbox.cc     |  7 +++---
 src/ymsgbox.h      |  4 ++--
 src/ypaint.cc      | 20 ++---------------
 src/ypaint.h       | 11 +++-------
 src/ypaths.cc      | 15 ++++++-------
 src/ypaths.h       |  4 ++--
 src/ysmapp.cc      |  2 +-
 src/ysocket.cc     |  4 ----
 src/ysocket.h      |  4 ----
 src/yurl.cc        |  2 +-
 src/yurl.h         | 12 +++++------
 src/yxapp.cc       |  6 +++---
 src/yxapp.h        |  2 +-
 src/yximage.cc     | 20 ++++++++---------
 src/yxtray.cc      | 12 +++++------
 src/yxtray.h       |  8 +++----
 59 files changed, 303 insertions(+), 372 deletions(-)

commit 5b47c2f0cfd67753d31a91ba6987ba623e407336
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Tue Jul 7 23:15:18 2020 +0200

    Revert commit 63a1adb745507fc921422f20d62699699f308489 for #442.

 po/en.po | 29 +++++++++++++----------------
 1 file changed, 13 insertions(+), 16 deletions(-)

commit a18b7c9bd32b7a7f9c5c0697750cad2516866a91
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Tue Jul 7 18:27:44 2020 +0200

    make update-po

 po/ar.po     | 242 ++++++++++++++++++++++++++++---------------------------
 po/be.po     | 235 ++++++++++++++++++++++++++---------------------------
 po/bg.po     | 235 ++++++++++++++++++++++++++---------------------------
 po/ca.po     | 242 ++++++++++++++++++++++++++++---------------------------
 po/cs.po     | 242 ++++++++++++++++++++++++++++---------------------------
 po/da.po     | 242 ++++++++++++++++++++++++++++---------------------------
 po/de.po     | 242 ++++++++++++++++++++++++++++---------------------------
 po/el.po     | 242 ++++++++++++++++++++++++++++---------------------------
 po/en.po     | 235 ++++++++++++++++++++++++++---------------------------
 po/es.po     | 242 ++++++++++++++++++++++++++++---------------------------
 po/fi.po     | 235 ++++++++++++++++++++++++++---------------------------
 po/fr.po     | 242 ++++++++++++++++++++++++++++---------------------------
 po/he.po     | 235 ++++++++++++++++++++++++++---------------------------
 po/hr.po     | 235 ++++++++++++++++++++++++++---------------------------
 po/hu.po     | 242 ++++++++++++++++++++++++++++---------------------------
 po/icewm.pot | 237 ++++++++++++++++++++++++++---------------------------
 po/id.po     | 242 ++++++++++++++++++++++++++++---------------------------
 po/it.po     | 242 ++++++++++++++++++++++++++++---------------------------
 po/ja.po     | 242 ++++++++++++++++++++++++++++---------------------------
 po/ko.po     | 242 ++++++++++++++++++++++++++++---------------------------
 po/lt.po     | 235 ++++++++++++++++++++++++++---------------------------
 po/lv.po     | 235 ++++++++++++++++++++++++++---------------------------
 po/mk.po     | 235 ++++++++++++++++++++++++++---------------------------
 po/nb.po     | 235 ++++++++++++++++++++++++++---------------------------
 po/nl.po     | 242 ++++++++++++++++++++++++++++---------------------------
 po/no.po     | 235 ++++++++++++++++++++++++++---------------------------
 po/pl.po     | 242 ++++++++++++++++++++++++++++---------------------------
 po/pt_BR.po  | 242 ++++++++++++++++++++++++++++---------------------------
 po/ro.po     | 235 ++++++++++++++++++++++++++---------------------------
 po/ru.po     | 242 ++++++++++++++++++++++++++++---------------------------
 po/sk.po     | 242 ++++++++++++++++++++++++++++---------------------------
 po/sl.po     | 235 ++++++++++++++++++++++++++---------------------------
 po/sv.po     | 242 ++++++++++++++++++++++++++++---------------------------
 po/tr.po     | 235 ++++++++++++++++++++++++++---------------------------
 po/uk.po     | 235 ++++++++++++++++++++++++++---------------------------
 po/vi.po     | 235 ++++++++++++++++++++++++++---------------------------
 po/zh_CN.po  | 242 ++++++++++++++++++++++++++++---------------------------
 po/zh_TW.po  | 242 ++++++++++++++++++++++++++++---------------------------
 38 files changed, 4632 insertions(+), 4447 deletions(-)

commit 85cbd1645c86f93e5c83d72575216d616fddbc12
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Tue Jul 7 18:27:00 2020 +0200

    Replace pstring and ustring by mstring. Remove pstring and ustring.

 src/acpustatus.cc |  2 +-
 src/atasks.cc     |  2 +-
 src/browse.cc     |  2 +-
 src/iceicon.cc    |  2 +-
 src/icelist.cc    |  6 +++---
 src/iceview.cc    |  2 +-
 src/mstring.h     |  2 --
 src/obj.h         |  8 ++++----
 src/objbar.cc     |  4 ++--
 src/objbar.h      |  4 ++--
 src/objmenu.h     |  2 +-
 src/themes.cc     | 24 ++++++++++++------------
 src/themes.h      | 10 +++++-----
 src/udir.cc       |  6 +++---
 src/udir.h        | 14 +++++++-------
 src/upath.cc      |  8 ++++----
 src/upath.h       | 21 ++++++++++-----------
 src/wmabout.cc    |  4 ++--
 src/wmclient.cc   |  2 +-
 src/wmclient.h    | 20 ++++++++++----------
 src/wmconfig.cc   |  2 +-
 src/wmdialog.cc   |  2 +-
 src/wmdialog.h    |  2 +-
 src/wmframe.cc    | 14 +++++++-------
 src/wmframe.h     |  6 +++---
 src/wmmenu.cc     |  6 +++---
 src/wmminiicon.cc |  2 +-
 src/wmoption.cc   | 10 +++++-----
 src/wmoption.h    | 16 ++++++++--------
 src/wmprog.cc     | 16 ++++++++--------
 src/wmprog.h      | 10 +++++-----
 src/wmsession.cc  | 18 +++++++++---------
 src/wmsession.h   | 16 ++++++++--------
 src/wmstatus.cc   | 14 +++++++-------
 src/wmstatus.h    | 16 ++++++++--------
 src/wmswitch.cc   | 10 +++++-----
 src/wmswitch.h    |  2 +-
 src/wmtitle.cc    |  6 +++---
 src/wmwinlist.cc  |  2 +-
 src/wmwinlist.h   |  2 +-
 src/ybutton.cc    |  2 +-
 src/ybutton.h     |  6 +++---
 src/yconfig.cc    |  4 ++--
 src/yfont.cc      |  8 ++++----
 src/yfontcore.cc  |  8 ++++----
 src/yfontxft.cc   | 16 ++++++++--------
 src/yinput.cc     |  8 ++++----
 src/yinputline.h  |  8 ++++----
 src/ylabel.cc     |  8 ++++----
 src/ylabel.h      |  8 ++++----
 src/ylistbox.cc   |  4 ++--
 src/ylistbox.h    |  2 +-
 src/ymenu.cc      | 24 ++++++++++++------------
 src/ymenu.h       | 16 ++++++++--------
 src/ymenuitem.cc  |  8 ++++----
 src/ymenuitem.h   | 12 ++++++------
 src/ymsgbox.cc    |  4 ++--
 src/ymsgbox.h     |  4 ++--
 src/ypaint.cc     |  8 ++++----
 src/ypaint.h      | 14 +++++++-------
 src/ypaths.cc     |  2 +-
 src/ytooltip.cc   |  4 ++--
 src/ytooltip.h    |  8 ++++----
 src/yurl.cc       | 16 ++++++++--------
 src/yurl.h        |  6 +++---
 src/ywindow.cc    |  2 +-
 src/ywindow.h     |  2 +-
 src/yximage.cc    |  6 +++---
 68 files changed, 266 insertions(+), 269 deletions(-)

commit 7cfa58e03306fd019ad1af62b54c3ad74068d200
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Tue Jul 7 18:22:40 2020 +0200

    Simplify cstring.

 src/aaddressbar.cc |  2 +-
 src/amailbox.cc    |  2 +-
 src/amailbox.h     |  2 +-
 src/apppstatus.h   |  4 ++--
 src/icehelp.cc     |  8 ++++----
 src/mstring.h      | 56 ++++++++++++++++++++++++--------------------------
 src/upath.h        |  2 +-
 src/wmclient.cc    |  4 ++--
 src/yfontcore.cc   |  4 ++--
 src/yfontxft.cc    |  2 +-
 src/yicon.cc       |  4 ++--
 src/ypaint.cc      |  2 +-
 src/ysocket.cc     |  2 +-
 src/ysocket.h      |  2 +-
 src/yxtray.h       |  2 +-
 15 files changed, 48 insertions(+), 50 deletions(-)

commit 587c32a8b61e471e63fed966c1a33ce157bda0a8
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Jul 6 01:57:36 2020 +0200

    Add check for dependencies.

 rebuild.sh | 21 +++++++++++++++++++--
 1 file changed, 19 insertions(+), 2 deletions(-)

commit 0baf9e3fb56e01d185c3c48cfaf80c0ca1aa3c7e
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Jul 6 01:56:47 2020 +0200

    Document mailbox monitoring.

 man/icewm.pod | 91 +++++++++++++++++++++++++++++++++++++++++++++++--------
 1 file changed, 78 insertions(+), 13 deletions(-)

commit 9e1def49ce0ad8e4ad42e7884781f6906da7c878
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Jul 6 01:56:25 2020 +0200

    Document "ignoreActivationMessages".

 man/icewm-winoptions.pod | 1 +
 1 file changed, 1 insertion(+)

commit d93f7f37e78ad74256038a4578b0578699acd81e
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Jul 6 01:55:38 2020 +0200

    Fix for taskBarWidthPercentage in case screen is not at (0, 0).

 src/wmtaskbar.cc | 12 ++++++++----
 1 file changed, 8 insertions(+), 4 deletions(-)

commit 80bf1e4d68fe2ae9af4f14b17675596d74b4cc5c
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Jul 6 01:55:16 2020 +0200

    Assume wordexp.

 src/config.cmake.h.in | 1 -
 src/wmapp.cc          | 3 ---
 2 files changed, 4 deletions(-)

commit 3c77c45e0bcea57f0373dd1433716335a5b7533d
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Jul 6 01:53:47 2020 +0200

    Add winoption "ignoreActivationMessages".

 src/wmclient.cc  |  7 ++++---
 src/wmframe.cc   | 34 +++++++++++++++++-----------------
 src/wmframe.h    | 49 ++++++++++++++++++++++++-------------------------
 src/wmmgr.cc     | 34 +++++++++++++++++-----------------
 src/wmoption.cc  | 23 +++++++----------------
 src/wmoption.h   |  4 ++--
 src/wmswitch.cc  |  2 +-
 src/wmwinlist.cc |  2 +-
 src/wmwinmenu.cc |  2 +-
 9 files changed, 74 insertions(+), 83 deletions(-)

commit 6831f6c363f80b6843b51f1ec1ace764b4922459
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Jul 6 01:46:49 2020 +0200

    Prefer yad over zenity. Facilitate focus if icewm crashed. Support
    terminal.

 src/CMakeLists.txt |   3 +-
 src/Makefile.am    |   2 +-
 src/icesm.cc       | 240 ++++++++++++++++++++++++++++++++++++++++++-------
 3 files changed, 209 insertions(+), 36 deletions(-)

commit 853d66f70c2a046df9700ecd27c0b4519ee65b66
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Jul 6 01:44:56 2020 +0200

    Fix merging of hints for systray.

 src/yxtray.cc | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit bdef893b9314aa74f93d1b41e2f1c22a6372be6e
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Jul 6 01:44:42 2020 +0200

    Simplify casts.

 src/ywindow.cc | 6 ++----
 1 file changed, 2 insertions(+), 4 deletions(-)

commit 773e92d2aa15240e5b3defd9c988c4b186bb4bdb
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Jul 6 01:44:22 2020 +0200

    Assume wordexp.

 src/yicon.cc | 6 ------
 1 file changed, 6 deletions(-)

commit 4386670bbc2cc2c13e7c627bce945e8397531012
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Jul 6 01:44:06 2020 +0200

    Use wordexp to avoid a /bin/sh.

 src/yapp.cc | 18 ++++++++++++++----
 1 file changed, 14 insertions(+), 4 deletions(-)

commit 744d5e8ee2ecbf42e8a61212373ad56dbf60ea29
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Jul 6 01:42:52 2020 +0200

    Use wordexp to avoid a /bin/sh.

 src/wmapp.cc | 32 ++++++++++++++++++++++++++------
 1 file changed, 26 insertions(+), 6 deletions(-)

commit a996fa5c7c519bd8ff71fe03302d02bada7c553a
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Jul 6 01:42:00 2020 +0200

    Permit an optional equal sign for short option arguments.

 src/misc.cc | 50 +++++++++++++++++++++++++-------------------------
 1 file changed, 25 insertions(+), 25 deletions(-)

commit a4b5afda289e4ce8f5ba10754d30d4239eb411af
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Jul 6 01:40:41 2020 +0200

    Catch X errors. Handle _NET_WM_USER_TIME.

 src/icesh.cc | 101 ++++++++++++++++++++++++++++++++++++++++++-------------
 1 file changed, 78 insertions(+), 23 deletions(-)

commit bcbca5201a4307ee727011bf05f11697015ade44
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Jul 6 01:40:09 2020 +0200

    Add fsleep.

 src/ytime.cc | 12 ++++++++++++
 src/ytime.h  |  1 +
 2 files changed, 13 insertions(+)

commit 965b130355550dde7e9b11d9b9b126f2d2be2cfd
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Jul 6 01:38:31 2020 +0200

    Use wordexp to split a terminalCommand or addressBarCommand.

 src/aaddressbar.cc | 36 ++++++++----------------------------
 1 file changed, 8 insertions(+), 28 deletions(-)

commit 09735136b25b3fcc5ed07fd68b0a612d8e3a3dcf
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Jul 6 01:37:04 2020 +0200

    Fix ice-wm/icewm#21 "Problem with dosbox and re-maximize the screen"

 src/wmmgr.cc | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 2b5aeefb3df7678f443980d5b950838e777d22c6
Author: Jens <jens@karatek.net>
Date:   Sat Jul 4 10:37:53 2020 +0000

    Translated using Weblate (German)

    Currently translated at 99.8% (473 of 474 strings)

 po/de.po | 21 ++++++++++-----------
 1 file changed, 10 insertions(+), 11 deletions(-)

commit 9b8991b9232bef3508eb5bb915656a94e428b957
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Thu Jul 2 12:37:28 2020 +0200

    Add Maximize Horizontal to window list window.

 src/wmwinlist.cc | 1 +
 1 file changed, 1 insertion(+)

commit 46bd224a39bd768b9e156c51d138c161553e18a2
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Thu Jul 2 12:37:04 2020 +0200

    Undo b8881bab079c6b085032b84c0153398390d3a5aa.

 src/acpustatus.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 997177aa79fa5b80a3fdc3e1d3e48be74946b058
Author: Adolfo Jayme Barrientos <fitoschido@gmail.com>
Date:   Wed Jul 1 17:07:58 2020 +0000

    Translated using Weblate (Spanish)

    Currently translated at 100.0% (474 of 474 strings)

 po/es.po | 38 ++++++++++++--------------------------
 1 file changed, 12 insertions(+), 26 deletions(-)

commit 546bac39a1c197aaa77039144b0e648f7bf813a6
Author: Ferdinand Galko <galko.ferdinand@gmail.com>
Date:   Tue Jun 30 17:12:36 2020 +0000

    Translated using Weblate (Slovak)

    Currently translated at 100.0% (474 of 474 strings)

 po/sk.po | 29 ++++++++---------------------
 1 file changed, 8 insertions(+), 21 deletions(-)

commit 2ea8ad4bad9721cc23db130d0d9b6b71e6413c1d
Author: Jens Maucher <jens.maucher@gmx.de>
Date:   Wed Jul 1 17:35:03 2020 +0000

    Translated using Weblate (English)

    Currently translated at 4.9% (23 of 474 strings)

 po/en.po | 32 ++++++++++++++++++++------------
 1 file changed, 20 insertions(+), 12 deletions(-)

commit 255536263d615d48ed7b802f005f2ed1de4992a0
Author: David Medina <medipas@gmail.com>
Date:   Tue Jun 30 09:21:12 2020 +0000

    Translated using Weblate (Catalan)

    Currently translated at 100.0% (474 of 474 strings)

 po/ca.po | 28 +++++++---------------------
 1 file changed, 7 insertions(+), 21 deletions(-)

commit e22a7ea8250b33f31d21a1cda368da999e14b3c8
Author: Yasuhiko Kamata <belphegor@belbel.or.jp>
Date:   Tue Jun 30 06:32:46 2020 +0000

    Translated using Weblate (Japanese)

    Currently translated at 100.0% (474 of 474 strings)

 po/ja.po | 35 ++++++++++-------------------------
 1 file changed, 10 insertions(+), 25 deletions(-)

commit c9506394ccf4f657ffeb1d0a44eaa0e29c30b390
Author: Aleš Kastner <alkas@volny.cz>
Date:   Tue Jun 30 07:21:39 2020 +0000

    Translated using Weblate (Czech)

    Currently translated at 100.0% (474 of 474 strings)

 po/cs.po | 31 +++++++++----------------------
 1 file changed, 9 insertions(+), 22 deletions(-)

commit cd314e207a0d8e333cc1f76cb0624d1bd3024d29
Merge: 0006b1e0 2144600e
Author: Stanislav Brabec <sbrabec@suse.cz>
Date:   Tue Jun 30 03:32:23 2020 +0200

    Merge remote-tracking branch 'weblate/icewm-1-4-BRANCH' into
    icewm-1-4-BRANCH

commit 2144600ea1bcd697ee8d9c1b58e30ea69679f34e
Author: Ferdinand Galko <galko.ferdinand@gmail.com>
Date:   Sat Jun 20 18:07:38 2020 +0000

    Translated using Weblate (Slovak)

    Currently translated at 100.0% (471 of 471 strings)

 po/sk.po | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 7d4ae6f3e692b8eb7a18e1c086ef7e66860e6e7b
Author: Kimmo Kujansuu <mrkujansuu@gmail.com>
Date:   Wed Jun 24 19:54:38 2020 +0000

    Translated using Weblate (Finnish)

    Currently translated at 59.0% (278 of 471 strings)

 po/fi.po | 16 ++++++++--------
 1 file changed, 8 insertions(+), 8 deletions(-)

commit 63a1adb745507fc921422f20d62699699f308489
Author: Jens Maucher <jens.maucher@gmx.de>
Date:   Sun Jun 7 11:03:55 2020 +0000

    Translated using Weblate (English)

    Currently translated at 2.1% (10 of 471 strings)

 po/en.po | 27 +++++++++++++++------------
 1 file changed, 15 insertions(+), 12 deletions(-)

commit 0006b1e09f87e96024a1e4cdcfb47231f6e9682d
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Jun 28 21:17:52 2020 +0200

    Refresh frames and buttons after screen resize to prevent artefacts.

 src/objbar.cc    |  8 ++++++++
 src/objbar.h     |  1 +
 src/wmframe.cc   |  7 +++++++
 src/wmframe.h    |  1 +
 src/wmmgr.cc     | 13 +++++++++++++
 src/wmmgr.h      |  1 +
 src/wmtaskbar.cc | 24 ++++++++++++++++--------
 src/wmtaskbar.h  |  1 +
 src/wmtitle.cc   | 18 ++++++++++++++++++
 src/wmtitle.h    |  1 +
 10 files changed, 67 insertions(+), 8 deletions(-)

commit 5c380edab214a47b1e85a16dd93a4786f922e19f
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Jun 28 15:41:53 2020 +0200

    Check for empty keyboard definition.

 src/wmconfig.cc | 4 +++-
 src/wmmgr.cc    | 6 ++++--
 2 files changed, 7 insertions(+), 3 deletions(-)

commit e8e28f6779ac81322a86d5edbee12ba17da020cd
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Jun 28 13:34:27 2020 +0200

    make update-po

 po/ar.po     | 268 +++++++++++++++++++++++++++---------------------------
 po/be.po     | 268 +++++++++++++++++++++++++++---------------------------
 po/bg.po     | 268 +++++++++++++++++++++++++++---------------------------
 po/ca.po     | 268 +++++++++++++++++++++++++++---------------------------
 po/cs.po     | 268 +++++++++++++++++++++++++++---------------------------
 po/da.po     | 268 +++++++++++++++++++++++++++---------------------------
 po/de.po     | 268 +++++++++++++++++++++++++++---------------------------
 po/el.po     | 268 +++++++++++++++++++++++++++---------------------------
 po/en.po     | 268 +++++++++++++++++++++++++++---------------------------
 po/es.po     | 268 +++++++++++++++++++++++++++---------------------------
 po/fi.po     | 268 +++++++++++++++++++++++++++---------------------------
 po/fr.po     | 268 +++++++++++++++++++++++++++---------------------------
 po/he.po     | 268 +++++++++++++++++++++++++++---------------------------
 po/hr.po     | 268 +++++++++++++++++++++++++++---------------------------
 po/hu.po     | 268 +++++++++++++++++++++++++++---------------------------
 po/icewm.pot | 270 ++++++++++++++++++++++++++++---------------------------
 po/id.po     | 268 +++++++++++++++++++++++++++---------------------------
 po/it.po     | 268 +++++++++++++++++++++++++++---------------------------
 po/ja.po     | 268 +++++++++++++++++++++++++++---------------------------
 po/ko.po     | 268 +++++++++++++++++++++++++++---------------------------
 po/lt.po     | 268 +++++++++++++++++++++++++++---------------------------
 po/lv.po     | 268 +++++++++++++++++++++++++++---------------------------
 po/mk.po     | 268 +++++++++++++++++++++++++++---------------------------
 po/nb.po     | 268 +++++++++++++++++++++++++++---------------------------
 po/nl.po     | 268 +++++++++++++++++++++++++++---------------------------
 po/no.po     | 268 +++++++++++++++++++++++++++---------------------------
 po/pl.po     | 268 +++++++++++++++++++++++++++---------------------------
 po/pt_BR.po  | 268 +++++++++++++++++++++++++++---------------------------
 po/ro.po     | 268 +++++++++++++++++++++++++++---------------------------
 po/ru.po     | 268 +++++++++++++++++++++++++++---------------------------
 po/sk.po     | 268 +++++++++++++++++++++++++++---------------------------
 po/sl.po     | 268 +++++++++++++++++++++++++++---------------------------
 po/sv.po     | 268 +++++++++++++++++++++++++++---------------------------
 po/tr.po     | 268 +++++++++++++++++++++++++++---------------------------
 po/uk.po     | 268 +++++++++++++++++++++++++++---------------------------
 po/vi.po     | 268 +++++++++++++++++++++++++++---------------------------
 po/zh_CN.po  | 268 +++++++++++++++++++++++++++---------------------------
 po/zh_TW.po  | 268 +++++++++++++++++++++++++++---------------------------
 38 files changed, 5245 insertions(+), 4941 deletions(-)

commit 36a9be8a15d1b8cc989199532f4c18fbf875935e
Merge: 468f75e5 7155b491
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Jun 28 13:26:52 2020 +0200

    merge

commit 468f75e5547496e534e4ae2ab65a31b6b5a47730
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Jun 28 13:23:37 2020 +0200

    Add support for switching of keyboards layouts for issue ice-wm/icewm#22.

 man/icewm-preferences.pod |  14 +++
 man/icewm-winoptions.pod  |  10 +++
 man/icewm.pod             |  40 ++++++++-
 src/CMakeLists.txt        |   2 +-
 src/Makefile.am           |   2 +
 src/akeyboard.cc          | 147 +++++++++++++++++++++++++++++++
 src/akeyboard.h           |  45 ++++++++++
 src/default.h             |   1 +
 src/genpref.cc            |   1 +
 src/wmconfig.cc           |   8 ++
 src/wmconfig.h            |   4 +
 src/wmframe.cc            |  12 +--
 src/wmframe.h             |   2 +
 src/wmmgr.cc              | 196 +++++++++++++++++++++++-------------------
 src/wmmgr.h               |  17 ++--
 src/wmoption.cc           |   4 +
 src/wmoption.h            |   1 +
 src/wmtaskbar.cc          | 115 ++++++++++++++-----------
 src/wmtaskbar.h           |   3 +
 src/yapp.cc               |   2 +-
 20 files changed, 471 insertions(+), 155 deletions(-)

commit 503557965b0078d0efbc50aa3e97cde6d39eaf4d
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Jun 28 13:16:19 2020 +0200

    Check for BadWindow in fetchTitle.

 src/yxtray.cc | 59 ++++++++++++++++++++++++++++++++++++++++++++-----------
 1 file changed, 48 insertions(+), 11 deletions(-)

commit a04a3784de76f24bd50450b2aa21620528ca87b2
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Jun 28 13:15:29 2020 +0200

    Accept mstring as const.

 src/yarray.h | 10 +++++-----
 1 file changed, 5 insertions(+), 5 deletions(-)

commit 33edccaa78f76e3561fa700a4299c9e2c5d4cc96
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Jun 28 13:14:54 2020 +0200

    Make findIcon public.

 src/yicon.h | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 2c9981738e086c189cf97c40e57573121ab1b13f
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Jun 28 13:14:09 2020 +0200

    Add bool const to lazy.

 src/ref.h | 1 +
 1 file changed, 1 insertion(+)

commit f063c52abf3547c9c96126b11b2c730aeaf0ed5b
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Jun 28 13:13:45 2020 +0200

    Test if null.

 src/mstring.h | 16 ++++++++++------
 1 file changed, 10 insertions(+), 6 deletions(-)

commit ea1effd3fd1ba4ea3daa55c8e53f94bdb81256b8
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Jun 28 13:12:52 2020 +0200

    Clear workspace button before drawing gradient.

 src/aworkspaces.cc | 1 +
 1 file changed, 1 insertion(+)

commit b8881bab079c6b085032b84c0153398390d3a5aa
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Jun 28 13:12:25 2020 +0200

    add separator to menu

 src/aclock.cc     | 1 +
 src/acpustatus.cc | 3 ++-
 src/amailbox.cc   | 8 +++++---
 src/amemstatus.cc | 1 +
 src/apppstatus.cc | 1 +
 5 files changed, 10 insertions(+), 4 deletions(-)

commit 7155b491a649f6fa3b5709017656af55ed43bca4
Author: Eduard Bloch <blade@debian.org>
Date:   Sat Jun 27 22:58:49 2020 +0200

    Factor out fnmatch calls

    For later reuse in icon theme caching

 src/apppstatus.cc |  5 ++---
 src/strtest.cc    | 25 +++++++++++++++++++------
 src/upath.cc      |  6 ++++++
 src/upath.h       |  1 +
 4 files changed, 28 insertions(+), 9 deletions(-)

commit 0fdd6bce50db6407b18b5bdf182690ada593cecc
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sat Jun 27 01:24:53 2020 +0200

    Document Trace modules and explain ConsiderSizeHintsMaximized.

 man/icewm-preferences.pod | 4 +++-
 man/icewm.pod             | 2 +-
 2 files changed, 4 insertions(+), 2 deletions(-)

commit eed9cdb83385e3ecf08648cb5bb8f056027d24a9
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sat Jun 27 01:21:43 2020 +0200

    Add detailed tracing of systray activity. Slightly better conformance to
    XEMBED standard. Reorder systray operations for better test results.

 src/yxembed.cc |  66 +++++++++++++-------
 src/yxembed.h  |   7 ++-
 src/yxtray.cc  | 174 ++++++++++++++++++++++++++++++++---------------------
 src/yxtray.h   |  16 +++--
 4 files changed, 167 insertions(+), 96 deletions(-)

commit 2788da38f278fc0b1fe45e72b0adfecdcc4132ad
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sat Jun 27 01:19:40 2020 +0200

    Only refocus in setWorkspace if workspace really changes.
    Reset workspace focused frame if focused frame changes workspace.

 src/wmframe.cc | 19 ++++++++++++-------
 1 file changed, 12 insertions(+), 7 deletions(-)

commit bda9e9eb14b3514ff565377622f505d0809f153c
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sat Jun 27 01:19:25 2020 +0200

    Use AllWorkspacs where applicable.

 src/wmabout.cc   | 2 +-
 src/wmframe.h    | 2 +-
 src/wmmgr.cc     | 7 ++++---
 src/wmmgr.h      | 5 +++--
 src/wmtaskbar.cc | 2 +-
 src/wmwinlist.cc | 8 ++++----
 src/ymsgbox.cc   | 2 +-
 7 files changed, 15 insertions(+), 13 deletions(-)

commit 03455271f969ab70ff9a310d379ed8cc551a7b24
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sat Jun 27 01:16:53 2020 +0200

    Test for tracing with traces.

 src/ytrace.h | 8 +++++++-
 1 file changed, 7 insertions(+), 1 deletion(-)

commit e3dc4bab8c0fec7ce67b8e11e8776316ddb18067
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sat Jun 27 01:16:15 2020 +0200

    Distinguish adopt from create.

 src/ywindow.cc | 228 +++++++++++++++++++++++++++--------------------------
 src/ywindow.h  |   1 +
 2 files changed, 119 insertions(+), 110 deletions(-)

commit 51220c8666a2eb4902cf515e3d4366981168104c
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Jun 22 21:53:10 2020 +0200

    Fix for negative geometry positions in winoptions.

 src/wmmgr.cc    | 24 ++++++++----------------
 src/wmoption.cc |  4 ----
 2 files changed, 8 insertions(+), 20 deletions(-)

commit 0d5f0e3e68b194d3dbd4ea94736d4b4d264a2b45
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Thu Jun 18 11:59:34 2020 +0200

    Fix icesh runonce.

 man/icesh.pod |  9 +++++----
 src/icesh.cc  | 27 ++++++++++++++++++---------
 2 files changed, 23 insertions(+), 13 deletions(-)

commit 054a96cacd5a0aac05b13b7261516307666dfa1c
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Thu Jun 18 11:59:18 2020 +0200

    Fix typo.

 src/wmoption.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 49e2edb64a022506bc223e94f990b937813af535
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Thu Jun 18 09:50:38 2020 +0200

    Fix typo.

 src/wmoption.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit cbaab73c7c3abc15f46826f303992d50f36f253b
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Thu Jun 18 03:48:06 2020 +0200

    Restore --replace.

 src/wmapp.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit b2977b088d89266c638bae2e4b172eb919c799de
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Thu Jun 18 02:53:39 2020 +0200

    Restore magical order for getSizeHints.

 src/wmclient.cc | 6 ++++--
 1 file changed, 4 insertions(+), 2 deletions(-)

commit 8712da96670f4cb6dee6bf763c390cf052240919
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Thu Jun 18 00:04:32 2020 +0200

    Only read properties if window is adopted.

 src/wmclient.cc | 41 ++++++++++++++++++++++-------------------
 1 file changed, 22 insertions(+), 19 deletions(-)

commit 16faf409f085a8fd48a8d43fb8916d9fe2908fa5
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Thu Jun 18 00:03:48 2020 +0200

    Ensure size increment is non-zero.

 src/wmframe.cc | 16 ++++++++++------
 1 file changed, 10 insertions(+), 6 deletions(-)

commit 227fc7f87bdbf8f273fd7113c2d39a9b874d55e6
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Wed Jun 17 21:16:54 2020 +0200

    Fix combining of hints with winoptions.

 src/wmoption.cc | 94 +++++++++++++++++++++++++++++------------------------
 src/wmoption.h  |  3 +-
 2 files changed, 53 insertions(+), 44 deletions(-)

commit dac21ce06b14315d1715c22ec6d314eb7bbd3013
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Wed Jun 17 20:41:13 2020 +0200

    Add 'icesh current'. Improve the introduction of icesh.1.

 man/icesh.pod | 60 +++++++++++++++++++++++++++++++++++++++++++++----------
 src/icesh.cc  | 18 +++++++++++++++++
 2 files changed, 67 insertions(+), 11 deletions(-)

commit 65907ad12854c83efa8b1d0a332caa89099edf3c
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Wed Jun 17 19:15:53 2020 +0200

    ClassHint check for nullptr

 src/wmclient.h   | 12 ++++++++----
 src/wmwinlist.cc |  5 +++--
 2 files changed, 11 insertions(+), 6 deletions(-)

commit 41c3a01663fc967eff75fd6dbef0e95295158009
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Wed Jun 17 13:09:50 2020 +0200

    Fix icewm hint processing and make icewmhint geometry work.

 src/wmclient.cc | 11 +++++++----
 src/wmclient.h  | 31 +++++++++++++++++++++++++++---
 src/wmframe.cc  | 55 +++++++++++++++++++++++++++++------------------------
 src/wmframe.h   |  7 ++++---
 src/wmmgr.cc    |  3 +--
 src/wmoption.cc |  5 ++---
 src/wmoption.h  |  6 ++++--
 7 files changed, 76 insertions(+), 42 deletions(-)

commit f560116573f2c3ee1b3a7865cfb3ed0554e04eef
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Wed Jun 17 13:05:49 2020 +0200

    Avoid icehelp parsing output to fix .xsession-errors #438

 src/icehelp.cc | 29 ++++++++++++++++++++++-------
 1 file changed, 22 insertions(+), 7 deletions(-)

commit 23024e97bf4f0f365095bfb125a8e19e2b8a2635
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Wed Jun 17 13:03:11 2020 +0200

    Active may be None.

 src/icesh.cc | 28 ++++++++++++++++++++--------
 1 file changed, 20 insertions(+), 8 deletions(-)

commit 17785b00a135e7d0d029d9731e67a3fc0322ecdd
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Wed Jun 17 13:02:36 2020 +0200

    Fix lazy indirection

 src/ref.h | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 0bf70fd44b3e71985c8c68f564c8751d3d547a96
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Tue Jun 16 03:25:50 2020 +0200

    Set _NET_ACTIVE_WINDOW to None when no window has focus.

 src/wmmgr.cc | 4 ++++
 1 file changed, 4 insertions(+)

commit 555708d9a4f12f3b05e99b68688b6448e7f7b0ec
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Tue Jun 16 03:25:50 2020 +0200

    simplify parse geometry winoption

 src/wmoption.cc | 21 +++++----------------
 1 file changed, 5 insertions(+), 16 deletions(-)

commit ee81ca05297a459804eae4ba38f927e76cea4a66
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Jun 7 10:56:47 2020 +0200

    add NanoBlue/icons/app_32x32.xpm

 lib/Makefile.am | 1 +
 1 file changed, 1 insertion(+)

commit 467bae4a2886a0b07eb5e30711dbdeeeb0647fef
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Jun 7 10:47:08 2020 +0200

    Update NanoBlue from Nano_Blu-1.3 for Glamor.

 lib/themes/NanoBlue/default.theme                |  20 +-
 lib/themes/NanoBlue/icons/IceWM_16x16.xpm        | Bin 2968 -> 1353 bytes
 lib/themes/NanoBlue/icons/IceWM_32x32.xpm        | Bin 2968 -> 5099 bytes
 lib/themes/NanoBlue/icons/app_16x16.xpm          | Bin 4013 -> 2505 bytes
 lib/themes/NanoBlue/icons/app_32x32.xpm          | 467 +++++++++++++++++++
 lib/themes/NanoBlue/icons/firefox_16x16.xpm      | Bin 4653 -> 3197 bytes
 lib/themes/NanoBlue/icons/firefox_32x32.xpm      | Bin 4653 -> 11181 bytes
 lib/themes/NanoBlue/icons/folder_16x16.xpm       | Bin 2202 -> 2700 bytes
 lib/themes/NanoBlue/icons/folder_32x32.xpm       | Bin 2202 -> 7996 bytes
 lib/themes/NanoBlue/icons/gimp_16x16.xpm         | Bin 3040 -> 1637 bytes
 lib/themes/NanoBlue/icons/gimp_32x32.xpm         | Bin 3040 -> 7178 bytes
 lib/themes/NanoBlue/icons/mplayer_16x16.xpm      | Bin 9769 -> 2813 bytes
 lib/themes/NanoBlue/icons/mplayer_32x32.xpm      | Bin 9769 -> 6733 bytes
 lib/themes/NanoBlue/icons/thunderbird_16x16.xpm  | Bin 12269 -> 3105 bytes
 lib/themes/NanoBlue/icons/thunderbird_32x32.xpm  | Bin 12269 -> 11665 bytes
 lib/themes/NanoBlue/icons/xterm_16x16.xpm        | Bin 2666 -> 3275 bytes
 lib/themes/NanoBlue/icons/xterm_32x32.xpm        | Bin 2666 -> 9835 bytes
 lib/themes/NanoBlue/ledclock/a.xpm               | 128 ++---
 lib/themes/NanoBlue/ledclock/colon.xpm           |   9 +-
 lib/themes/NanoBlue/ledclock/dot.xpm             |   4 +-
 lib/themes/NanoBlue/ledclock/m.xpm               |  68 ++-
 lib/themes/NanoBlue/ledclock/n0.xpm              | 130 +++---
 lib/themes/NanoBlue/ledclock/n1.xpm              |  60 ++-
 lib/themes/NanoBlue/ledclock/n2.xpm              | 121 +++--
 lib/themes/NanoBlue/ledclock/n3.xpm              | 141 +++---
 lib/themes/NanoBlue/ledclock/n4.xpm              |  95 ++--
 lib/themes/NanoBlue/ledclock/n5.xpm              | 119 +++--
 lib/themes/NanoBlue/ledclock/n6.xpm              | 142 +++---
 lib/themes/NanoBlue/ledclock/n7.xpm              | 107 ++---
 lib/themes/NanoBlue/ledclock/n8.xpm              | 145 +++---
 lib/themes/NanoBlue/ledclock/n9.xpm              | 149 +++---
 lib/themes/NanoBlue/ledclock/p.xpm               | 108 ++---
 lib/themes/NanoBlue/ledclock/slash.xpm           | 106 ++---
 lib/themes/NanoBlue/taskbar/expand.xpm           |  40 +-
 lib/themes/NanoBlue/taskbar/taskbarbg.xpm        | 116 ++---
 .../NanoBlue/taskbar/taskbuttonminimized.xpm     | 114 +++--
 lib/themes/NanoBlue/taskbar/toolbuttonbg.xpm     | 114 +++--
 .../NanoBlue/taskbar/workspacebuttonactive.xpm   |  60 +--
 .../NanoBlue/taskbar/workspacebuttonbg.xpm       |  61 ++-
 39 files changed, 1530 insertions(+), 1094 deletions(-)

commit 3eca7cfd4f6fe1d9e62af72263d3ff0ef15729ea
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Jun 7 10:38:49 2020 +0200

    Revert commit b72d99baa3ab03b10cdc423c7ded3d147b97d2ce "NanoBlue icons
    are PNG."

 lib/Makefile.am                                  |  30 +++++++++----------
 .../icons/{IceWM_16x16.png => IceWM_16x16.xpm}   | Bin
 .../icons/{IceWM_32x32.png => IceWM_32x32.xpm}   | Bin
 .../icons/{app_16x16.png => app_16x16.xpm}       | Bin
 .../{firefox_16x16.png => firefox_16x16.xpm}     | Bin
 .../{firefox_32x32.png => firefox_32x32.xpm}     | Bin
 .../icons/{folder_16x16.png => folder_16x16.xpm} | Bin
 .../icons/{folder_32x32.png => folder_32x32.xpm} | Bin
 .../icons/{gimp_16x16.png => gimp_16x16.xpm}     | Bin
 .../icons/{gimp_32x32.png => gimp_32x32.xpm}     | Bin
 .../{mplayer_16x16.png => mplayer_16x16.xpm}     | Bin
 .../{mplayer_32x32.png => mplayer_32x32.xpm}     | Bin
 ...underbird_16x16.png => thunderbird_16x16.xpm} | Bin
 ...underbird_32x32.png => thunderbird_32x32.xpm} | Bin
 .../icons/{xterm_16x16.png => xterm_16x16.xpm}   | Bin
 .../icons/{xterm_32x32.png => xterm_32x32.xpm}   | Bin
 16 files changed, 15 insertions(+), 15 deletions(-)

commit cf66c86057fd5371a9f44651a5695bfc26f847f3
Author: CJ Kucera <pez@apocalyptech.com>
Date:   Fri Jun 5 09:54:30 2020 -0500

    Add a couple of undocumented keybinds (#437)

    Excellent!

 doc/icewm.adoc | 8 ++++++++
 1 file changed, 8 insertions(+)

commit 51193ed979556010dc547702b383136f7e3d163a
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Wed Jun 3 05:56:28 2020 +0200

    Hide locale details in a single file.

 src/base.h     |   2 +
 src/misc.cc    |  10 +++
 src/ylocale.cc | 231 ++++++++++++++++++++++++++++++++++-------------------
 src/ylocale.h  |  42 +++-------
 src/ystring.h  | 116 +++++++++++++--------------
 5 files changed, 230 insertions(+), 171 deletions(-)

commit fbd67b50aff92c99403e9b326cfdab99f2537340
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Wed Jun 3 05:51:00 2020 +0200

    Give a dockapp example.

 man/icewm-winoptions.pod | 13 +++++++++++++
 1 file changed, 13 insertions(+)

commit c26b3bb3885eafdd62cda4c975bd9e1f7555ea13
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Wed Jun 3 05:45:16 2020 +0200

    Add a motif example.

 man/icesh.pod | 9 ++++++---
 1 file changed, 6 insertions(+), 3 deletions(-)

commit a13793d2bd4e6e3fdf1306b97807ad019875c066
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Wed Jun 3 05:43:24 2020 +0200

    Add a cmake release and --prefix.

 INSTALL-cmakebuild.md |  3 ++-
 INSTALL.cmakebuild    |  3 ++-
 rebuild.sh            | 45 +++++++++++++++++++++++++++++++++++----------
 3 files changed, 39 insertions(+), 12 deletions(-)

commit 1972fba70cd92dceacba95ad2466c60e7e289f23
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Wed Jun 3 05:35:59 2020 +0200

    Drop obsolete icewm-menu-gnome2 and icewmtray.

 README.md    | 4 ----
 README.md.in | 4 ----
 2 files changed, 8 deletions(-)

commit f0b142a3f1ad83de8cabc51da8c579ff6049b68c
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Wed Jun 3 05:28:09 2020 +0200

    update to 1.6.6

 AUTHORS      |   44 +-
 ChangeLog    | 7728 +++++++++++++++++++++++++++---------------------------
 NEWS         |  Bin 128913 -> 29248 bytes
 README.md    |    4 +-
 RELEASE.md   |    2 +-
 VERSION      |    2 +-
 configure.ac |   10 +-
 7 files changed, 3958 insertions(+), 3832 deletions(-)

commit 70dadbf41ac4e4dc8d4bfbea0fc122f9a996795e
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Fri May 29 19:13:07 2020 +0200

    Prepare 1.6.6 release

 README.md    | 40 ++++++++++++++++++++--------------------
 RELEASE.md   |  2 +-
 VERSION      |  2 +-
 configure.ac | 10 +++++-----
 4 files changed, 27 insertions(+), 27 deletions(-)

commit d1abd04be4bfb71ff0b7c1e4d7eb4c11d7847f3f
Merge: 11b8ecfa 6c103076
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Fri May 29 18:52:39 2020 +0200

    Merge branch 'icewm-1-4-BRANCH'

commit 6c103076b758f62855157a31e9a620d64c6baab2
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Fri May 29 15:43:36 2020 +0200

    fix merge

 AUTHORS   |    77 +-
 ChangeLog | 10062 ++++++++++++--------------------------------------------
 NEWS      |  2396 +-------------
 3 files changed, 2170 insertions(+), 10365 deletions(-)

commit 36ae5a2470df3f5c8ddbed63dfc1613c25f69cd6
Merge: a0eef122 46638bb1
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Fri May 29 12:22:39 2020 +0200

    merge

commit 46638bb18440758ea2714394f72e54082ade48d0
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Wed May 27 23:00:50 2020 +0200

    make update-po

 po/ar.po     | 315 +++++++++++++++++++++++++++++-------------------------
 po/be.po     | 295 +++++++++++++++++++++++++-------------------------
 po/bg.po     | 294 +++++++++++++++++++++++++-------------------------
 po/ca.po     | 311 ++++++++++++++++++++++++++++-------------------------
 po/cs.po     | 311 ++++++++++++++++++++++++++++-------------------------
 po/da.po     | 311 ++++++++++++++++++++++++++++-------------------------
 po/de.po     | 311 ++++++++++++++++++++++++++++-------------------------
 po/el.po     | 294 +++++++++++++++++++++++++-------------------------
 po/en.po     | 292 +++++++++++++++++++++++++-------------------------
 po/es.po     | 311 ++++++++++++++++++++++++++++-------------------------
 po/fi.po     | 298 ++++++++++++++++++++++++++-------------------------
 po/fr.po     | 311 ++++++++++++++++++++++++++++-------------------------
 po/he.po     | 294 +++++++++++++++++++++++++-------------------------
 po/hr.po     | 294 +++++++++++++++++++++++++-------------------------
 po/hu.po     | 294 +++++++++++++++++++++++++-------------------------
 po/icewm.pot | 294 +++++++++++++++++++++++++-------------------------
 po/id.po     | 319 +++++++++++++++++++++++++++++--------------------------
 po/it.po     | 311 ++++++++++++++++++++++++++++-------------------------
 po/ja.po     | 311 ++++++++++++++++++++++++++++-------------------------
 po/ko.po     | 294 +++++++++++++++++++++++++-------------------------
 po/lt.po     | 294 +++++++++++++++++++++++++-------------------------
 po/lv.po     | 294 +++++++++++++++++++++++++-------------------------
 po/mk.po     | 294 +++++++++++++++++++++++++-------------------------
 po/nb.po     | 294 +++++++++++++++++++++++++-------------------------
 po/nl.po     | 311 ++++++++++++++++++++++++++++-------------------------
 po/no.po     | 294 +++++++++++++++++++++++++-------------------------
 po/pl.po     | 294 +++++++++++++++++++++++++-------------------------
 po/pt_BR.po  | 307 +++++++++++++++++++++++++++-------------------------
 po/ro.po     | 294 +++++++++++++++++++++++++-------------------------
 po/ru.po     | 294 +++++++++++++++++++++++++-------------------------
 po/sk.po     | 311 ++++++++++++++++++++++++++++-------------------------
 po/sl.po     | 294 +++++++++++++++++++++++++-------------------------
 po/sv.po     | 311 ++++++++++++++++++++++++++++-------------------------
 po/tr.po     | 294 +++++++++++++++++++++++++-------------------------
 po/uk.po     | 294 +++++++++++++++++++++++++-------------------------
 po/vi.po     | 294 +++++++++++++++++++++++++-------------------------
 po/zh_CN.po  | 307 +++++++++++++++++++++++++++-------------------------
 po/zh_TW.po  | 307 +++++++++++++++++++++++++++-------------------------
 38 files changed, 5978 insertions(+), 5469 deletions(-)

commit 3f4385caca0bd86b65ad10192cc23fde1ab70098
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Wed May 27 17:28:09 2020 +0200

    Permit deleting entire input line.

 src/yinput.cc | 16 ++++++----------
 1 file changed, 6 insertions(+), 10 deletions(-)

commit 84c82809beec8e135aa6c1b8b002f90f241b10f8
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Wed May 27 17:28:09 2020 +0200

    Prevent reallocations.

 src/mstring.cc | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit a68f20e16923ebc8cf97d2a5dd2f67a42493d430
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Wed May 27 11:00:20 2020 +0200

    Onle consider if addressbar is visible if TaskBarShowWindows=1 for #434.

 src/wmtaskbar.cc | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 05372e87596a693a61d623f24f7ea5e74bb4d80e
Author: Efstathios Iosifidis <eiosifidis@gmail.com>
Date:   Sun May 17 07:40:21 2020 +0000

    Translated using Weblate (Greek)

    Currently translated at 100.0% (471 of 471 strings)

 po/el.po | 545 +++++++++++++++++++++++------------------------------------
 1 file changed, 211 insertions(+), 334 deletions(-)

commit 51478a92cbe5b8133dc164c5afc5d62ef522aa09
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon May 25 21:09:39 2020 +0200

    Accept requests for clipboard selection as UTF-8.

 src/wmtaskbar.cc |  1 +
 src/yapp.h       |  1 -
 src/ylocale.cc   |  8 ++++++-
 src/yxapp.cc     | 68 ++++++++++++++++++++++++----------------------------
 src/yxapp.h      |  5 ++--
 5 files changed, 42 insertions(+), 41 deletions(-)

commit acfd45179a19b1633c049767548d499712a1c0d2
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon May 25 19:20:27 2020 +0200

    More ConfigureNotify details.

 src/icesh.cc | 9 +++++++--
 1 file changed, 7 insertions(+), 2 deletions(-)

commit 6ef97dafe3b2b68fa722233d7b9dd6fca9445ea0
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon May 25 19:16:39 2020 +0200

    Reduce spaces when logging events.

 src/misc.cc | 37 +++++++++++++++++--------------------
 1 file changed, 17 insertions(+), 20 deletions(-)

commit 9132ef448805f6b5e161010fe954e0e10084714d
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon May 25 19:15:15 2020 +0200

    Request selection as UTF-8 string in addressbar.

 src/wmmgr.h    | 4 ----
 src/ywindow.cc | 2 +-
 src/ywindow.h  | 3 +++
 3 files changed, 4 insertions(+), 5 deletions(-)

commit ce0292bb33050e089f0e104fc7940948c715982e
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon May 25 10:24:31 2020 +0200

    try harder for C++11

 configure.ac | 11 +++++++++--
 1 file changed, 9 insertions(+), 2 deletions(-)

commit a7a019fe4c3c9dd5396eb42e6ba4e99f226dca20
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sat May 23 12:03:42 2020 +0200

    add ICEWM_OPTIONS env var to icewm-session

 man/icewm-session.pod | 11 +++++++++++
 src/icesm.cc          | 35 +++++++++++++++++++++++++++++++++--
 2 files changed, 44 insertions(+), 2 deletions(-)

commit ce9058a5dc4584c4bc69316954cec94f1ecc5b9a
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sat May 23 10:53:55 2020 +0200

    New option PagerShowLabels for ice-wm/icewm#19

 man/icewm-preferences.pod | 4 ++++
 src/aworkspaces.cc        | 3 ++-
 src/default.h             | 2 ++
 3 files changed, 8 insertions(+), 1 deletion(-)

commit 52113d9fbf936b6242afbe7897a8918a747810b2
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Fri May 22 10:59:13 2020 +0200

    fix battery divisions

 src/aapm.cc | 54 ++++++++++++++++++++++++------------------------------
 1 file changed, 24 insertions(+), 30 deletions(-)

commit 8b7d9aa6cbc6b0b5142bdc69149b3c29ab7c635a
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Fri May 22 10:58:28 2020 +0200

    center temperature

 src/acpustatus.cc | 12 ++++++------
 1 file changed, 6 insertions(+), 6 deletions(-)

commit f81f309093d5401bee3f8ea14ed17e0272a2de5d
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Thu May 21 23:28:47 2020 +0200

    Make window list icon size consistent for #433.

 src/ylistbox.cc | 10 +++++++---
 1 file changed, 7 insertions(+), 3 deletions(-)

commit beeb8dfef2c6bd6818555015f3edc2d165a6cc9e
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Thu May 21 23:10:12 2020 +0200

    try harder to get a scaled icon for #429

 src/yicon.cc | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 6882907b101dad93856c229b70111d9b43cc7ad2
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon May 18 05:44:20 2020 +0200

    simplify multiplication of width

 src/wmtaskbar.cc | 7 ++-----
 1 file changed, 2 insertions(+), 5 deletions(-)

commit 4cbe695d214bd1cc3da64ce824b5e26ea83987b2
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon May 18 05:42:40 2020 +0200

    simplify ifdefs for APM

 src/aapm.h | 33 +++++++++++++++++----------------
 1 file changed, 17 insertions(+), 16 deletions(-)

commit 5324ed55355ebb0b6ff7184c8a7e458a1654d98d
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon May 18 05:41:37 2020 +0200

    remove duplicate definition of ACPIDEV

 src/aapm.cc | 1 -
 1 file changed, 1 deletion(-)

commit dc09cf41cff4caeef20bdc79373c4f22d3c346ad
Author: Eduard Bloch <blade@debian.org>
Date:   Sat May 16 20:58:14 2020 +0200

    Xrandr menu option to move primary flag to left screen

 contrib/icewm-menu-xrandr        |   3 +++
 lib/icons/setscreen21x_32x32.png | Bin 0 -> 621 bytes
 2 files changed, 3 insertions(+)

commit aa45aa243d58455d91383b8689196d7be86db5d4
Author: Eduard Bloch <blade@debian.org>
Date:   Sun Apr 26 17:42:55 2020 +0200

    Added optional build target for strtest

 src/CMakeLists.txt | 4 ++++
 1 file changed, 4 insertions(+)

commit c5942d9a36345c5af215c208dbee32f9719f14f0
Merge: d72ee2fc 46bf3950
Author: Markéta Calábková <meggy.calabkova@gmail.com>
Date:   Tue May 12 17:16:55 2020 +0200

    Merge remote-tracking branch 'weblate/icewm-1-4-BRANCH' into
    icewm-1-4-BRANCH

commit d72ee2fc53ec63f606973bfedee3aa66a706e633
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon May 11 10:00:34 2020 +0200

    Add systray y-position when filling with taskbarbg for #430.

 src/yxtray.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 98a5152bf5980e84b6d73c7244023d66bf8abc99
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon May 11 00:43:17 2020 +0200

    update print_configured.

 src/config.cmake.h.in | 1 -
 src/wmapp.cc          | 9 +++------
 2 files changed, 3 insertions(+), 7 deletions(-)

commit 48687aaf951f7bba3e5b06c48f0d1d89d627f4c1
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun May 10 20:23:15 2020 +0200

    When CPUStatusShowAcpiTempInGraph=1 redraw entire CPU graph pixmap
    for #431.

 src/acpustatus.cc | 53 ++++++++++++++++++++++++++-------------------------
 src/acpustatus.h  |  6 +-----
 2 files changed, 28 insertions(+), 31 deletions(-)

commit 1eed8783b1a653572c4f5fda086f54a53078e076
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Thu May 7 17:46:50 2020 +0200

    The cmake build is no longer experimental.

 INSTALL-cmakebuild.md | 33 ++++++++++++++++-----------------
 INSTALL.cmakebuild    | 33 ++++++++++++++++-----------------
 2 files changed, 32 insertions(+), 34 deletions(-)

commit 46bf3950dc7258c4a7fede8ffd8f9baf78a99334
Author: ingemar karlsson <ingemar_bengt@hotmail.com>
Date:   Tue May 5 15:26:15 2020 +0000

    Translated using Weblate (Swedish)

    Currently translated at 100.0% (471 of 471 strings)

 po/sv.po | 13 ++++++-------
 1 file changed, 6 insertions(+), 7 deletions(-)

commit a982785fa64e0845cc3cc9a284a0a97b860f2ccc
Author: Andika Triwidada <andika@gmail.com>
Date:   Tue May 5 21:44:35 2020 +0000

    Translated using Weblate (Indonesian)

    Currently translated at 100.0% (471 of 471 strings)

 po/id.po | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 88256d83612c008567ec67ffd78c7dd7cb33033d
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun May 3 21:15:14 2020 +0200

    Caution for '\0' when using strchr.

 src/misc.cc | 9 +++++++--
 1 file changed, 7 insertions(+), 2 deletions(-)

commit ea440b721d1ce60ea6c77e3133975baa3898815f
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun May 3 21:14:06 2020 +0200

    Make title buttons behave the same as title bar for Button2.

 src/wmbutton.cc | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 5335ba24f13064b79b2ec121391c49970e3e0d52
Author: Luna Jernberg <droidbittin@gmail.com>
Date:   Thu Mar 26 08:40:05 2020 +0000

    Translated using Weblate (Swedish)

    Currently translated at 99.6% (469 of 471 strings)

 po/sv.po | 25 +++++++++++--------------
 1 file changed, 11 insertions(+), 14 deletions(-)

commit c7265486aead9908944a1f26224877c4c2d5e073
Author: Juan Sarria <juansarriam@gmail.com>
Date:   Sat Mar 14 13:36:39 2020 +0000

    Translated using Weblate (Spanish)

    Currently translated at 100.0% (471 of 471 strings)

 po/es.po | 28 ++++++++++++----------------
 1 file changed, 12 insertions(+), 16 deletions(-)

commit b0358b69d347840ebe78b275881bfa8d6422586a
Author: Davide Aiello <davidea@novilinguists.com>
Date:   Thu Mar 19 14:16:08 2020 +0000

    Translated using Weblate (Italian)

    Currently translated at 100.0% (471 of 471 strings)

 po/it.po | 28 ++++++++++++----------------
 1 file changed, 12 insertions(+), 16 deletions(-)

commit 88974cade1e28d2e6223d5570bb72ec14df8ee36
Author: Kukuh Syafaat <syafaatkukuh@gmail.com>
Date:   Mon Apr 13 10:07:04 2020 +0000

    Translated using Weblate (Indonesian)

    Currently translated at 100.0% (471 of 471 strings)

 po/id.po | 1103 +++++++++++++++++++++++++++++-----------------------------
 1 file changed, 549 insertions(+), 554 deletions(-)

commit 2053fa7ea5557cafa74cf385acab871a73662777
Author: Franziska Weinberger <f.weinberger@gemino.de>
Date:   Thu Mar 19 13:29:17 2020 +0000

    Translated using Weblate (German)

    Currently translated at 100.0% (471 of 471 strings)

 po/de.po | 30 +++++++++++++-----------------
 1 file changed, 13 insertions(+), 17 deletions(-)

commit b7d698ac1f157c7cefd5f31d83f04414184d1f87
Author: Christine Gabriel <christine@stoquart.com>
Date:   Thu Mar 19 16:20:56 2020 +0000

    Translated using Weblate (French)

    Currently translated at 100.0% (471 of 471 strings)

 po/fr.po | 28 ++++++++++++----------------
 1 file changed, 12 insertions(+), 16 deletions(-)

commit e399363a7aabffcd50f295b3e10d6bffee7f1bc5
Author: Kimmo Kujansuu <mrkujansuu@gmail.com>
Date:   Sat Apr 11 20:43:48 2020 +0000

    Translated using Weblate (Finnish)

    Currently translated at 57.5% (271 of 471 strings)

 po/fi.po | 99 +++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 52 insertions(+), 47 deletions(-)

commit d8daf12b442535fd99bb19951c009fa5c1d1073d
Author: Grace Yu <grace.yu@excel-gits.com>
Date:   Sat Mar 21 08:52:37 2020 +0000

    Translated using Weblate (Chinese (Taiwan))

    Currently translated at 100.0% (471 of 471 strings)

 po/zh_TW.po | 24 ++++++++++--------------
 1 file changed, 10 insertions(+), 14 deletions(-)

commit f2ffca5b29c52605c976a58e618786d4f06c2ea8
Author: Grace Yu <grace.yu@excel-gits.com>
Date:   Sat Mar 21 07:07:15 2020 +0000

    Translated using Weblate (Chinese (China))

    Currently translated at 100.0% (471 of 471 strings)

 po/zh_CN.po | 24 ++++++++++--------------
 1 file changed, 10 insertions(+), 14 deletions(-)

commit 5deced5894312e79bb8e4a0ceecae2b30cd91b2e
Author: mohammad alhargan <malham1@gmail.com>
Date:   Tue Apr 28 20:32:40 2020 +0000

    Translated using Weblate (Arabic)

    Currently translated at 100.0% (471 of 471 strings)

 po/ar.po | 143 +++++++++++++----------------------------------------------
 1 file changed, 31 insertions(+), 112 deletions(-)

commit 7ca2a97d76ca6dd1a7e68eab14968bb9da8af60d
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Apr 26 09:26:32 2020 +0200

    Pass mouse presses on object buttons on to the taskbar for #424.

 src/objbar.cc   | 12 ++++++++++++
 src/objbar.h    |  1 +
 src/objbutton.h |  1 +
 3 files changed, 14 insertions(+)

commit be1a2d9e7d8d8478c86b574f292ad889c80e4eac
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Wed Apr 22 07:52:45 2020 +0200

    Prevent warnings.

 doc/icewm.adoc | 105 +++++++++++++++++++++++++++--------------------------
 1 file changed, 53 insertions(+), 52 deletions(-)

commit 56b989a8d849f6bf4e15e3d49fd93356feb762bd
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Wed Apr 22 01:46:38 2020 +0200

    Add -xembed for #423.

 man/icesh.pod |  6 +++++-
 src/icesh.cc  | 20 ++++++++++++++++++++
 2 files changed, 25 insertions(+), 1 deletion(-)

commit c5ff580042809fb5d4f37fb6014fe8ad51a863e7
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Wed Apr 22 01:42:15 2020 +0200

    Fix -window. Use vector.

 man/icesh.pod |   6 +-
 src/icesh.cc  | 283 +++++++++++++++++++++++++-----------------------------
 2 files changed, 135 insertions(+), 154 deletions(-)

commit 8e041404292266bb2d6a3138b190af1209c6d262
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Wed Apr 22 01:39:01 2020 +0200

    check_argv shortcut.

 src/misc.cc | 20 +++++++++++++-------
 1 file changed, 13 insertions(+), 7 deletions(-)

commit 65a671b738de95c63c8287f3bdf778689f093cc4
Author: Eduard Bloch <blade@debian.org>
Date:   Tue Apr 14 14:20:22 2020 +0200

    Revert "Auto-expand icon paths for all installed icon themes"

    This reverts commit df52bcb3b0eddf3958858e879d08ef2418909226.

    It was a flawed idea from the start and needs a (actually long overdue)
    concept extension.

 src/default.h  | 2 +-
 src/iceicon.cc | 2 --
 src/yicon.cc   | 3 ---
 src/yprefs.h   | 7 +++----
 4 files changed, 4 insertions(+), 10 deletions(-)

commit 3d1baf0b6c99f37a6f5a938adaac97e10e38d369
Author: Kukuh Syafaat <kukuh@syafaat.id>
Date:   Mon Apr 13 18:44:31 2020 +0700

    Update Indonesian translations (#421)

 po/id.po | 1104 +++++++++++++++++++++++++++++-----------------------------
 1 file changed, 551 insertions(+), 553 deletions(-)

commit e86ec796ce00ca60ad647a3a10db7ca44c671253
Author: Kukuh Syafaat <kukuh@syafaat.id>
Date:   Mon Apr 13 18:42:47 2020 +0700

    Update Indonesian translation of desktop files (#420)

    thank you!

 lib/icewm-session.desktop | 3 +++
 lib/icewm.desktop         | 2 ++
 2 files changed, 5 insertions(+)

commit 955f3af8abd92788cc9cd320ec0cf4459163d2e2
Author: Eduard Bloch <blade@debian.org>
Date:   Sat Apr 11 12:34:30 2020 +0200

    Require C++11 standard

 src/CMakeLists.txt | 17 ++++++++---------
 1 file changed, 8 insertions(+), 9 deletions(-)
